<?php
/*
 * Followig class handling select input control and their
* dependencies. Do not make changes in code
* Create on: 9 November, 2013
*/

class NM_Selectqty_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Selecty Option Quantity', 'ppom-pro' );
		$this->desc     = __( 'Select option\'s quantity', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-list-ol" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}

	function variation_layout() {

		$layout_options = array(
			'simple_view' => __( 'Vertical Layout', 'ppom-pro' ),
			'horizontal'  => __( 'Horizontal Layout', 'ppom-pro' ),
			'grid'        => __( 'Grid Layout', 'ppom-pro' ),
		);

		return apply_filters( 'ppom_variation_layout_options', $layout_options );
	}

	private function get_settings() {

		$how_link   = '<a href="https://najeebmedia.com/2016/09/29/add-quantity-fields-variations-woocommerce/" target="_blank">Example</a>';
		$input_meta = array(
			'title'           => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will be shown as field label. See example for usage.', 'ppom-pro' ),
				'link'  => '',
			),
			'data_name'       => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'     => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Small description, it will be display near name title.', 'ppom-pro' ),
			),
			'error_message'   => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'options'         => array(
				'type'  => 'paired',
				'title' => __( 'Add options', 'ppom-pro' ),
				'desc'  => __( 'Type option with price (optionally), Option ID should be unique and without spaces.', 'ppom-pro' ),
			),
			'selected'        => array(
				'type'  => 'text',
				'title' => __( 'Selected option', 'ppom-pro' ),
				'desc'  => __( 'Type option name given in (Add Options) tab if you want already selected.', 'ppom-pro' ),
			),
			'first_option'    => array(
				'type'        => 'text',
				'title'       => __( 'First option', 'ppom-pro' ),
				'desc'        => __( 'Default first selected option.', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			// 'view_control' => array (
			// 'type' => 'select',
			// 'title' => __ ( 'Variation Layout', 'woocommerce-product-addon' ),
			// 'desc' => __ ( 'Select variation layout design', "woocommerce-product-addon"),
			// 'options'   => $this->variation_layout(),
			// 'default'   => 'simple_view',
			// 'col_classes' => array('col-md-3','col-sm-12')
			// ),
			'option_label'    => array(
				'type'        => 'text',
				'title'       => __( 'Option label', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
				'default'     => __( 'Option', 'ppom-pro' ),
			),
			'qty_label'       => array(
				'type'        => 'text',
				'title'       => __( 'Quantity label', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
				'default'     => __( 'Quantity', 'ppom-pro' ),
			),
			'class'           => array(
				'type'        => 'text',
				'title'       => __( 'Class', 'ppom-pro' ),
				'desc'        => __( 'Insert an additional class(es) (separateb by comma) for more personalization.', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'width'           => array(
				'type'        => 'select',
				'title'       => __( 'Width', 'ppom-pro' ),
				'desc'        => __( 'Select width column', 'ppom-pro' ),
				'options'     => ppom_get_input_cols(),
				'default'     => 12,
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'visibility'      => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role' => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'    => array(
				'type'        => 'checkbox',
				'title'       => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'        => __( 'Show Description in Tooltip with Help Icon', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'required'        => array(
				'type'        => 'checkbox',
				'title'       => __( 'Required', 'ppom-pro' ),
				'desc'        => __( 'Select this if it must be required.', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'logic'           => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'      => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);

		$type = 'selectqty';

		return apply_filters( "poom_{$type}_input_setting", $input_meta, $this );
	}
}
