<?php
/**
 * Quantities Input Vertical Layout Template
 *
 * This template can be overridden by copying it to yourtheme/ppom/frontend/component/quantities/vertical-layout.php
 *
 * @version 1.0
 **/

/* 
**========== Block direct access =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$fm = new PPOM_InputManager( $field_meta, 'quantities' );

// TODO: re-check again
global $product;

$min_qty       = $fm->get_meta_value( 'min_qty' );
$max_qty       = $fm->get_meta_value( 'max_qty' );
$default_price = $fm->get_meta_value( 'default_price', 0 );

$option_label = $fm->get_meta_value( 'option_label', 'Option' );
$qty_label    = $fm->get_meta_value( 'qty_label', 'Quantity' );

$include_productprice = '';
if ( ppom_is_field_has_price( $field_meta ) ) {
	$include_productprice = 'on';
}

// If price matrix attached then disable default_price
$pricematrix_field = ppom_has_field_by_type( ppom_get_product_id( $product ), 'pricematrix' );
if ( $pricematrix_field ) {
	$default_price = 0;
}

// Get Product Type
$product_type = $product->get_type();
$options      = ppom_convert_options_to_key_val( $fm->options(), $field_meta, $product );
// ppom_pa($options);

?>

<table class="table table-bordered table-hover">
	<thead>
	<tr>
		<th><?php echo $option_label; ?></th>
		<th><?php echo $qty_label; ?></th>
	</tr>
	</thead>

	<tr>
		<th>

			<select
					id="<?php echo esc_attr( $fm->data_name() ); ?>"
					name="<?php echo esc_attr( $fm->form_name() ); ?>[option]"
					class="<?php echo esc_attr( $fm->input_classes() ); ?> selectqty"
					data-data_name="<?php echo esc_attr( $fm->data_name() ); ?>"
			>

				<?php
				foreach ( $options as $key => $value ) {

					$option_label = $value['label'];
					$option_price = $value['price'];
					$option_id    = isset( $value['id'] ) ? $value['id'] : '';
					$raw_label    = $value['raw'];
					$without_tax  = $value['without_tax'];
					$opt_percent  = isset( $value['percent'] ) ? $value['percent'] : '';
					$onetime      = '';

					$ppom_has_percent = $opt_percent !== '' ? 'ppom-option-has-percent' : '';
					$option_class     = array(
						"ppom-option-{$option_id}",
						"ppom-{$product_type}-option",
						$ppom_has_percent,
					);

					$option_class = apply_filters( 'ppom_option_classes', implode( ' ', $option_class ), $field_meta );

					// if option has weight and price is not set, then set it zero for calculation
					if ( empty( $option_price ) && ! empty( $value['option_weight'] ) ) {
						$option_price = 0;
					}

					$usebaseprice = isset( $value['price'] ) ? 'no' : 'yes';

					$selected_value = selected( $default_value, $key, false );
					?>

					<option
							value="<?php echo esc_attr( $key ); ?>"
							class="<?php echo esc_attr( $option_class ); ?>"
							option-price="<?php echo esc_attr( $option_price ); ?>"
							option-usebase_price="<?php echo esc_attr( $usebaseprice ); ?>"
							option-includeprice="<?php echo esc_attr( $include_productprice ); ?>"
							data-optionid="<?php echo esc_attr( $option_id ); ?>"
							data-percent="<?php echo esc_attr( $opt_percent ); ?>"
							data-label="<?php echo esc_attr( $raw_label ); ?>"
							data-title="<?php echo esc_attr( $fm->title() ); ?>"
							data-onetime="<?php echo esc_attr( $onetime ); ?>"
							data-data_name="<?php echo esc_attr( $fm->data_name() ); ?>"
							<?php echo $selected_value; ?>
					><?php echo esc_html( $option_label ); ?></option>

					<?php
				}
				?>

			</select>
		</th>

		<td>

			<input
					type="number"
					name="<?php echo esc_attr( $fm->form_name() ); ?>[qty]"
					id="<?php echo esc_attr( $fm->data_name() ); ?>-qty"
					data-data_name="<?php echo esc_attr( $fm->data_name() ); ?>"
					class="ppom-quantity selectqty"
					data-includeprice=""
					data-usebase_price=""
					data-price=""
					placeholder="0"
					data-label="<?php echo esc_attr( $fm->title() ); ?>"
					style="width: 50%;"/>

		</td>

	</tr>
</table>
