<?php
/*
 * Followig class handling price matrix based on quantity provied in range
 * like 1-25
* dependencies. Do not make changes in code
* Create on: 10 February, 2017
*/

if ( ! class_exists('PPOM_Inputs') ) return;

class NM_BulkQuantity_wooproduct extends PPOM_Inputs{

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct(){

		$this -> plugin_meta = ppom_get_plugin_meta();

		$this -> title 		= __ ( 'Bulk Quantity', 'ppom-pro' );
		$this -> desc		= __ ( 'Price/Quantity', 'ppom-pro' );
		$this -> icon		= __ ( '<i class="fa fa-columns" aria-hidden="true"></i>', 'ppom-pro' );
		$this -> settings	= self::get_settings();

	}


	private function get_settings(){

		return array (

			'title' => array (
					'type' => 'text',
					'title' => __ ( 'Titles', 'ppom-pro' ),
					'desc' => __ ( 'It will as section heading wrapped in h2', 'ppom-pro' )
			),
			'data_name' => array (
					'type' => 'text',
					'title' => __ ( 'Data name', 'ppom-pro' ),
					'desc' => __ ( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' )
			),
			'description' => array (
					'type' => 'textarea',
					'title' => __ ( 'Description', 'ppom-pro' ),
					'desc' => __ ( 'Type description, it will be diplay under section heading.', 'ppom-pro' )
			),
			'options' => array (
					'type' => 'bulk-quantity',
					'title' => __ ( 'Bulk Quantity', 'ppom-pro' ),
					'desc' => __ ( 'Type quantity range with price', 'ppom-pro' )
			),
			'fixed_prices' => array (
					'type' => 'textarea',
					'title' => __ ( 'Fixed Prices', 'ppom-pro' ),
					'desc' => __ ( 'Variation name with price eg: color | 50', 'ppom-pro' )
			),
			'label_quantity' => array (
					'type' => 'text',
					'title' => __ ( 'Quantity Label', 'ppom-pro' ),
					'desc' => __ ( 'label used for quantity. Default: Quantity', 'ppom-pro' )
			),
			'label_baseprice' => array (
					'type' => 'text',
					'title' => __ ( 'Base Price Label', 'ppom-pro' ),
					'desc' => __ ( 'label used for base price. Default: Base Price', 'ppom-pro' )
			),
			'label_total' => array (
					'type' => 'text',
					'title' => __ ( 'Total Price Label', 'ppom-pro' ),
					'desc' => __ ( 'label used for total price. Default: Total', 'ppom-pro' )
			),
			'label_fixed' => array (
					'type' => 'text',
					'title' => __ ( 'Fixed Price Label', 'ppom-pro' ),
					'desc' => __ ( 'label used for fixed price. Default: Fixed', 'ppom-pro' )
			),
			'hide_baseprice' => array (
					'type' => 'checkbox',
					'title' => __ ( 'Hide Base Price', 'ppom-pro' ),
					'desc' => __ ( 'Hide base price row.', 'ppom-pro' )
			),
			'show_pricerange' => array (
					'type' => 'checkbox',
					'title' => __ ( 'Show price range', 'ppom-pro' ),
					'desc' => __ ( 'Show price range as product price', 'ppom-pro' )
			),
			'logic' => array (
					'type' => 'checkbox',
					'title' => __ ( 'Enable conditional logic', 'ppom-pro' ),
					'desc' => __ ( 'Tick it to turn conditional logic to work below', 'ppom-pro' )
			),
			'conditions' => array (
					'type' => 'html-conditions',
					'title' => __ ( 'Conditions', 'ppom-pro' ),
					'desc' => __ ( 'Tick it to turn conditional logic to work below', 'ppom-pro' )
			),

		);
	}

}