<?php
/**
 * input Bulkquantites Addon render
 *
 **/

if( ! defined("ABSPATH") ) die("Not Allowed");

global $product;

$hide_baseprice	= isset($args['hide_baseprice']) ? $args['hide_baseprice'] : '';
$options	= isset($args['options']) ? $args['options'] : null;
$field_id	= isset($args['data_name']) ? $args['data_name'] : '';
$field_title	= isset($args['title']) ? $args['title'] : '';
// labels
$label_quantity = ($args['label_quantity'] != '') ? $args['label_quantity'] : 'Quantity' ;
$label_baseprice = ($args['label_baseprice'] != '') ? $args['label_baseprice'] : 'Base Price' ;
$label_total = ($args['label_total'] != '') ? $args['label_total'] : 'Total' ;
$label_fixed = ($args['label_fixed'] != '') ? $args['label_fixed'] : 'Fixed' ;

$ppom_format = get_woocommerce_price_format();
$ppom_currency = get_woocommerce_currency_symbol();

$data = json_decode(stripcslashes($options), true);
$display_data = $data;

// getting post/get value
$posted_values = isset($_POST['ppom']['fields']) ? $_POST['ppom']['fields'] : '';

if (isset($posted_values[$field_id]) && !empty($posted_values[$field_id]) ) {
	$default_postedval = $posted_values[$field_id];
}else if (isset($_GET[$field_id]) && !empty($_GET[$field_id]) ) {
	$default_postedval = $_GET[$field_id];
}

$posted_qty = isset($default_postedval['qty']) ? $default_postedval['qty'] : '';
$posted_option = isset($default_postedval['option']) ? $default_postedval['option'] : '';
// ppom_pa($posted_option);

// Fixed Price Creating array
$fixed_prices_arr = array();
if ($args['fixed_prices'] != '') {
$all_vars = explode(PHP_EOL, $args['fixed_prices']);
// var_dump($all_vars);
if (is_array($all_vars)) {
	foreach ($all_vars as $var) {
		$var_arr = explode('|', $var);
		$fixed_prices_arr[trim($var_arr[0])] = intval($var_arr[1]);
	}
}
}

// Creating variation array from table data
$variations = array();

foreach ($data[0] as $col_name => $val) {
	if ($col_name != 'Quantity Range' && $col_name != 'Base Price') {
		$variations[] = $col_name;
	}
}

// taking last length of quantity range
foreach (end($data) as $col_name => $val) {
	if ($col_name == 'Quantity Range') {
		$lastRange = explode('-', $val);
		$max_range = $lastRange[1];
	}
}

// taking first length of quantity range
$min_range = 0;
foreach (reset($data) as $col_name => $val) {
	if ($col_name == 'Quantity Range') {
		$firstRange = explode('-', $val);
		$min_range = $firstRange[0];
	}
}

$bulk_qty = 0;
if ($posted_qty != '') {
	$bulk_qty = $posted_qty;
}else{
	$bulk_qty = $min_range;
}

$field_name = "ppom[fields][{$field_id}]";


$display_type = ppom_get_option('ppom-bq-display-type');

if(empty($display_type)) $display_type = 'bq_standard';

$table_class = '';
if($display_type == 'bq_standard'){
	$table_class = "table table-bordered";
}


/** check if variation quantities or variation quantity matrix is used **/
$quantities_found = ppom_has_field_by_type( $product->get_id(), 'quantities' );
$vqmatrix_found = ppom_has_field_by_type( $product->get_id(), 'vqmatrix' );
$quantities_found = '';
if( $quantities_found || $vqmatrix_found ) {
	$quantities_found = 'quantities-found';
}

$includeprice = apply_filters('ppom_bulkquantity_includeprice', '', $args, $product);
?>

<table class="table table-bordered bq-display-type <?php echo $quantities_found;?>">
	<tr class="vqmatrix-option">
		<td><label><?php echo $label; ?></label></td>
		<td class="value">
			<select class="ppom-bulkquantity-options form-control <?php echo esc_attr($field_id);?>"
					data-type="<?php echo esc_attr($args['type']);?>"
					data-fieldid="<?php echo esc_attr($field_id);?>"
					data-includeprice="<?php echo esc_attr($includeprice);?>"
					name="<?php echo esc_attr($field_name);?>[option]"
					onchange="ppom_bulkquantity_price_manager(document.getElementsByClassName('ppom-bulkquantity-qty')[0].value, '<?php echo $field_id;?>')">
				<?php foreach ($variations as $option) {

					$checked_opt = '';
					if ( $posted_option != '' ) {

						$checked_opt = selected( $posted_option, $option, false );
					}

				?>
					<option data-label="<?php echo esc_attr($option); ?>" value="<?php echo esc_attr($option); ?>" <?php echo $checked_opt; ?> >
						<?php echo $option; ?>
					</option>
				<?php } ?>
			</select>
		</td>
	</tr>
	<tr class="vqmatrix-quantity">
		<td><label><?php echo $label_quantity; ?></label></td>
		<td class="value">
			<input type="number" class="ppom-bulkquantity-qty form-control <?php echo esc_attr($field_id);?>"
								value="<?php echo esc_attr($bulk_qty);?>"
								data-fieldid="<?php echo $field_id?>"
								name="<?php echo esc_attr($field_name);?>[qty]"
								min="<?php echo esc_attr($min_range);?>" max="<?php echo esc_attr($max_range);?>" step="1"
								onchange="ppom_bq_qty_changed(this.value, '<?php echo $field_id;?>', 'number')">
		</td>
	</tr>
	<tr class="vqmatrix-slider">
		<td colspan="2">
			<input type="range" class="form-control <?php echo esc_attr($field_id);?>" value="<?php echo esc_attr($bulk_qty);?>"
							onchange="ppom_bq_qty_changed(this.value, '<?php echo $field_id;?>', 'range')"
							min="<?php echo esc_attr($min_range);?>" max="<?php echo esc_attr($max_range);?>"
							step="1" list="bq_range_list"
							style="width: 100%;cursor:pointer;">

		</td>
	</tr>
</table>

<input type="hidden" name="<?php echo $field_id?>[total]" value="100">
<input type="hidden" name="<?php echo $field_id?>fixed" value='<?php echo json_encode($fixed_prices_arr); ?>'>
<table class="<?php echo $table_class; ?> bq_wrapper ppom-table-customizer">
		<tr>
			<?php
				// hide base price
				if ( $hide_baseprice == 'on' ) {
					unset($display_data[0]['Base Price']);
				}

				$bq_num = 0;
				foreach ($display_data[0] as $title => $value) {
					$title = ($title == 'Base Price') ? $label_baseprice : $title ;
					$title = ($title == 'Quantity Range') ? $label_quantity : $title ;
					$bq_h_class = 'ppom-row-js ppom_row_'.$title;

					echo '<td class="headre '.$bq_h_class.'">';
					echo esc_html( $title );
					echo '</td>';
				}
			?>
		</tr>
		<?php

			$num = 0;
			foreach ($display_data as $row => $display_data) {

				echo '<tr>';

				// hide base price
				if ( $hide_baseprice == 'on' ) {
					unset($display_data['Base Price']);
				}
				foreach ($display_data as $key => $value) {

					$bq_d_class = '';
					if( $key != 'Quantity Range' ) {
						$class = '';
						$bq_d_class = 'ppom-inner-box';
						$value = wc_price($value);
						$input = false;
					} else {

						$class = 'quantity_price';

						$value = apply_filters('ppom_bulkquantity_range_title', $value, $display_data, $field_id);

						if($display_type != 'bq_standard'){
							$firstRange = explode('-', $value);
							$max_range = $firstRange[1];
							$bq_d_class ='ppom-column-js ppom_colunm_'.$max_range;

							$value = $max_range;
						}



						$input = true;
					}

					// var_dump($max_range);



					$resetArr = reset($display_data);

					echo '<td class="'.$class.' '.$bq_d_class.'">';
					if (!$input) {

					echo '<input style="display:none;" type="radio" class="ppom-qty-js" name="qbox1" data-label="" data-quan="" data-vlabel="'.$key.'" data-vquantity="'.$max_range.'"	>';
					}
					echo $value;
					echo '</td>';
				}
				echo '</tr>';
			}
		?>
</table>