<?php
/**
 * Edit PPOM Meta
 */

/*
**========== Direct access not allowed ===========
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

$enable_cart_popup  = ppom_get_option( 'ppom_editcart_popup' );
$display            = $show_fields && $enable_cart_popup == 'yes' ? 'none' : '';
$product            = wc_get_product( $product_id );
$GLOBALS['product'] = $product;

$args      = [ 'cart_item_key' => $cart_item_key ];
$cart_item = WC()->cart->get_cart_item( $cart_item_key );
$quantity  = ! empty( $cart_item ) ? (int) $cart_item['quantity'] : 1;
?>

<div class="ppom-ce-fields ppom-cartedit-items-editor" style="display: <?php echo esc_attr( $display ); ?>">
	<?php if ( $enable_cart_popup == 'yes' ) { ?>
		<a href="#" class="ppom-cartedit-backtoview"><?php echo __( 'Back', 'ppom-pro' ); ?></a>
	<?php } ?>
	<div id="product-<?php echo $product_id; ?>" <?php wc_product_class( '', $product ); ?>>

		<?php
		// do_action( 'woocommerce_before_add_to_cart_button' );

		if ( function_exists( 'ppom_is_legacy_mode' ) && ppom_is_legacy_mode() ) {
			ppom_woocommerce_show_fields_on_product( $product_id, $args );
		} else {
			$args = apply_filters( 'ppom_rendering_template_args', [ 'enable_add_to_cart_id' => false ], $product );
			ppom_woocommerce_template_base_inputs_rendering( $product_id, $args );
		}

		do_action( 'woocommerce_before_add_to_cart_quantity' );

		woocommerce_quantity_input(
			array(
				'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
				'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
				'input_value' => isset( $quantity ) ? wc_stock_amount( wp_unslash( $quantity ) ) : $product->get_min_purchase_quantity(),
					// WPCS: CSRF ok, input var ok.
			)
		);

		do_action( 'woocommerce_after_add_to_cart_quantity' );

		?>
		<button type="submit" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>"
				class="single_add_to_cart_button button alt"><?php echo esc_html( $product->single_add_to_cart_text() ); ?></button>

		<?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>

	</div>
</div>
