<?php
/*
 * Followig class handling select input control and their
* dependencies. Do not make changes in code
* Create on: 9 November, 2013
*/

class NM_chained_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Chained Input', 'ppom-pro' );
		$this->desc     = __( 'regular select input', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-check" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}

	private function get_settings() {

		return array(
			'title'           => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will be shown as field label', 'ppom-pro' ),
			),
			'data_name'       => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'     => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Small description, it will be display near name title.', 'ppom-pro' ),
			),
			'error_message'   => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'options'         => array(
				'type'  => 'chained_options',
				'title' => __( 'Add options', 'ppom-pro' ),
				'desc'  => __( 'Type option with price (optionally), Option ID should be unique and without spaces.', 'ppom-pro' ),
			),
			'selected'        => array(
				'type'  => 'text',
				'title' => __( 'Selected option', 'ppom-pro' ),
				'desc'  => __( 'Type option name given in (Add Options) tab if you want already selected.', 'ppom-pro' ),
			),

			'first_option'    => array(
				'type'        => 'text',
				'title'       => __( 'First option', 'ppom-pro' ),
				'desc'        => __( 'Just for info e.g: Select your option.', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'class'           => array(
				'type'        => 'text',
				'title'       => __( 'Class', 'ppom-pro' ),
				'desc'        => __( 'Insert an additional class(es) (separateb by comma) for more personalization.', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'width'           => array(
				'type'        => 'select',
				'title'       => __( 'Width', 'ppom-pro' ),
				'desc'        => __( 'Select width column', 'ppom-pro' ),
				'options'     => ppom_get_input_cols(),
				'default'     => 12,
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'visibility'      => array(
				'type'        => 'select',
				'title'       => __( 'Visibility', 'ppom-pro' ),
				'desc'        => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options'     => ppom_field_visibility_options(),
				'default'     => 'everyone',
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'visibility_role' => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'    => array(
				'type'        => 'checkbox',
				'title'       => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'        => __( 'Show Description in Tooltip with Help Icon', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'onetime'         => array(
				'type'        => 'checkbox',
				'title'       => __( 'Fixed Fee', 'ppom-pro' ),
				'desc'        => __( 'Add one time fee to cart total.', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'required'        => array(
				'type'        => 'checkbox',
				'title'       => __( 'Required', 'ppom-pro' ),
				'desc'        => __( 'Select this if it must be required.', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'logic'           => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'      => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
