<?php
/**
 * Switcher Input Template
 *
 * This template can be overridden by copying it to yourtheme/ppom/frontend/switcher/switcher.php
 *
 * @version 1.0
 **/

/* 
**========== Block direct access =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$fm = new PPOM_InputManager( $field_meta, 'chained' );
// ppom_pa($field_meta);
?>
<div class="<?php echo esc_attr( $fm->field_inner_wrapper_classes() ); ?>">

	<!-- If title of field exist -->
	<?php if ( $fm->field_label() ) : ?>
		<label class="<?php echo esc_attr( $fm->label_classes() ); ?>"
			   for="<?php echo esc_attr( $fm->data_name() ); ?>"><?php echo $fm->field_label(); ?></label>
	<?php endif ?>

	<?php
	foreach ( $options as $data ) {
		// ppom_pa($data);
		$id = $field_meta['id'] . '-' . $data['key'];

		$title   = $data['title'];
		$options = $data['data'];

		$name = $fm->form_name() . '[' . $data['key'] . ']';

		$label_classes = 'form-control-label';

		$select_classes = 'form-control';

		echo '<p>';

		echo '<label for="' . esc_attr( $id ) . '" class="' . esc_attr( $label_classes ) . '">' . $title . '</label>';

		echo '<select id="' . esc_attr( $id ) . '" name="' . esc_attr( $name ) . '" class="' . esc_attr( $select_classes ) . '">';

		foreach ( $options as $option ) {

			$chained = sanitize_key( $option['chained'] );
			$value   = sanitize_key( $option['option'] );

			$data_chained = $option['chained'] != '' ? 'data-chained="' . esc_attr( $chained ) . '"' : '';
			echo '<option ' . $data_chained . ' value="' . esc_attr( $value ) . '">' . $option['option'] . '</option>';
		}

		echo '</select>';
		echo '</p>';
	}

	?>
</div>
