<?php
/*
* Followig class handling images text
* dependencies. Do not make changes in code
* Create on: 10 February, 2017
*/

/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class NM_Collapse_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Collapse', 'ppom-pro' );
		$this->settings = self::get_settings();
		$this->icon     = __( '<i class="fa fa-money" aria-hidden="true"></i>', 'ppom-pro' );

	}

	function collapse_start_end_options() {

		$collapse_type = array(
			'start' => __( 'Start', 'ppom-pro' ),
			'end'   => __( 'End', 'ppom-pro' ),
		);

		return apply_filters( 'collapse_start_end_options', $collapse_type );
	}

	private function get_settings() {

		return array(
			'title'         => array(
				'type'  => 'text',
				'title' => __( 'Titles', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2.', 'ppom-pro' ),
			),
			'data_name'     => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'collapse_type' => array(
				'type'    => 'select',
				'title'   => __( 'Collase Type', 'ppom-pro' ),
				'desc'    => __( 'Select collapse type for start or end.', 'ppom-pro' ),
				'options' => $this->collapse_start_end_options(),
				'default' => 'start',
			),
			'default_open'  => array(
				'type'  => 'checkbox',
				'title' => __( 'Default Open', 'ppom-pro' ),
				'desc'  => __( 'This collapse open by default. If default open more than one please check option Multiple Collapse Open from PPOM Settings', 'ppom-pro' ),
			),
			'logic'         => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below.', 'ppom-pro' ),
			),
			'conditions'    => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
