"use strict"
jQuery(function($) {

    const PPOMCollapse = {
        init(selector) {
            selector.ziehharmonika({
                collapsible: true,
                highlander: (multiple_collapse_open == 'yes') ? false : true,
                arrow: (hide_collapse_arrow == 'yes') ? false : true,
                next_prev_btn: (allow_nextprev == 'yes') ? false : true,
                collapseIconsAlign: icon_position,
                text_color: (text_color != '') ? text_color : '#fff',
                bg_color: (bg_color != '') ? bg_color : '#272e35',
                open_text_color: (open_text_color != '') ? open_text_color : '#fff',
                open_bg_color: (open_bg_color != '') ? open_bg_color : '#009640',
            });
        }
    };

    /*****************************
     *    PPOM Collapse Addon JS   *
     ******************************/

    /*
     **============= Get PPOM inputs fields meta ================ 
     */
    var fields_meta = ppom_input_vars.field_meta;


    /*
     **============= Get Collapse Settings ================ 
     */
    var multiple_collapse_open = ppom_collapse_vars.multiple_collapse_open;
    var hide_collapse_arrow = ppom_collapse_vars.hide_collapse_arrow;
    var icon_position = ppom_collapse_vars.icon_position;
    var text_color = ppom_collapse_vars.text_color;
    var bg_color = ppom_collapse_vars.bg_color;
    var open_text_color = ppom_collapse_vars.open_text_color;
    var open_bg_color = ppom_collapse_vars.open_bg_color;
    var allow_nextprev = ppom_collapse_vars.allow_nextprev;

    /*
     **============= Init Collapse Plugin ================ 
     */
    PPOMCollapse.init($('.ppom-section-collapse'));

    $('.ppom-rendering-fields').on('ppom_repeated', ( e, cloned_fields ) => {
        if( ! ( cloned_fields.find('.collapsed-child').length > 0 ) ) {
            return;
        }

        PPOMCollapse.init(cloned_fields);
    });


    /*
     **============= Loop PPOM inputs fields meta ================ 
     */
    $.each(fields_meta, function(index, value) {

        var fields_type = value.type;

        if (fields_type == 'collapse') {

            var default_open = value.default_open;
            if (default_open == 'on') {

                var data_name = value.data_name;
                $('[data-collapse-id="' + data_name + '"]').trigger('click');
            }

        }
    });

    if (allow_nextprev == 'yes') {

        const total_collapse = $(".ppom-collapsed-title").length;
        $('[data-collapse-index="' + total_collapse + '"] .ppom-collapse-next').hide();
        $('[data-collapse-index="1"] .ppom-collapse-prev').hide();
        $('.ppom-section-collapse h4:eq(0)').ziehharmonika('open');

        $(document).on('click', '.ppom-collapse-prev', function(e) {
            e.preventDefault();

            let collapse_index = $(this).closest('div').attr('data-collapse-index');
            collapse_index = parseFloat(collapse_index) - 2;
            $('.ppom-section-collapse h4:eq(' + collapse_index + ')').ziehharmonika('open');
        });

        $(document).on('click', '.ppom-collapse-next', function(e) {
            e.preventDefault();

            let collapse_index = $(this).closest('div').attr('data-collapse-index');
            $('.ppom-section-collapse h4:eq(' + collapse_index + ')').ziehharmonika('open');
        });
    }

});
