<?php
/*
* PPOM Conditional Meta Input
*/

class NM_conditional_meta_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Conditional Images', 'ppom-pro' );
		$this->desc     = __( 'Images selection', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-picture-o" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}

	private function get_settings() {

		return array(
			'title'              => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will be shown as field label', 'ppom-pro' ),
			),
			'data_name'          => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'        => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Small description, it will be display near name title.', 'ppom-pro' ),
			),
			'error_message'      => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'class'              => array(
				'type'  => 'text',
				'title' => __( 'Class', 'ppom-pro' ),
				'desc'  => __( 'Insert an additional class(es) (separateb by comma) for more personalization.', 'ppom-pro' ),
			),
			'selected_optionclr' => array(
				'type'  => 'color',
				'title' => __( 'Selected Option Frame Color', 'ppom-pro' ),
				'desc'  => __( 'Change selected Option frame color, e.g: #fff', 'ppom-pro' ),
			),
			// 'selected_img_bordercolor' => array (
			// 'type'  => 'text',
			// 'title' => __ ( 'Selected Image Border Color', 'woocommerce-product-addon' ),
			// 'desc'  => __ ( 'Change selected images border color, e.g: #fff', 'woocommerce-product-addon' )
			// ),
			'width'              => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'images'             => array(
				'type'  => 'conditional-images',
				'title' => __( 'Select images', 'ppom-pro' ),
				'desc'  => __( 'Select images from media library', 'ppom-pro' ),
			),
			// 'image_width' => array (
			// 'type' => 'text',
			// 'title' => __ ( 'Image Width', 'woocommerce-product-addon' ),
			// 'desc' => __ ( 'Change image width e,g: 50px or 50%.', 'woocommerce-product-addon' )
			// ),
			// 'image_height' => array (
			// 'type' => 'text',
			// 'title' => __ ( 'Image Height', 'woocommerce-product-addon' ),
			// 'desc' => __ ( 'Change image height e,g: 50px or 50%. ', 'woocommerce-product-addon' )
			// ),
			'visibility'         => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role'    => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'       => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon', 'ppom-pro' ),
			),
			'logic'              => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'         => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
