<?php
/**
 * Conditional Meta Image Template
 **/

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Not Allowed' );
}

global $product;
$product_id = ppom_get_product_id( $product );

// ppom_pa($meta);
$images             = isset( $meta['images'] ) ? $meta['images'] : array();
$input_class        = isset( $meta['class'] ) ? $meta['class'] : '';
$field_title        = isset( $meta['title'] ) ? $meta['title'] : '';
$ppom_id            = isset( $meta['ppom_id'] ) ? $meta['ppom_id'] : 0;
$selected_optionclr = isset( $meta['selected_optionclr'] ) ? $meta['selected_optionclr'] : '';

$input_name            = "ppom[fields][{$data_name}]";
$product_url           = get_permalink();
$image_select_id       = isset( $_GET['attach_id'] ) ? $_GET['attach_id'] : 0;
$ppom_conditional_meta = isset( $_GET['ppom-meta'] ) ? $_GET['ppom-meta'] : 0;

$ppom_product_id = $class_obj->get_attached_meta_ids( $product_id );

$attach_productmeta_id = is_array( $ppom_product_id ) ? implode( ',', $ppom_product_id ) : $ppom_product_id;

?>

<input type="hidden" name="ppom[conditional_meta]" value="<?php echo esc_attr( $ppom_conditional_meta ); ?>">

<div class="nm-boxes-outer">
	<?php
	if ( ! empty( $images ) ) {

		foreach ( $images as $image ) {

			$image_full  = isset( $image['link'] ) ? $image['link'] : 0;
			$image_id    = isset( $image['id'] ) ? $image['id'] : 0;
			$image_title = isset( $image['title'] ) ? stripslashes( $image['title'] ) : '';
			$image_link  = isset( $image['url'] ) ? $image['url'] : '';
			$meta_id     = isset( $image['meta_id'] ) && ! empty( $image['meta_id'] ) ? $image['meta_id'] : 0;
			$option_id   = $data_name . '-' . $image_id;


			$attach_meta_ids = "{$attach_productmeta_id},{$meta_id}";
			$meta_url        = add_query_arg(
				array(
					'attach_id' => $image_id,
					'ppom-meta' => $attach_meta_ids,
				),
				$product_url 
			);

			// Actually image URL is link
			$image_url = wp_get_attachment_thumb_url( $image_id );

			$checked_option = '';

			if ( $image_id == $image_select_id ) {
				$checked_option = 'checked="checked"';
			}

			?>
			<a href="<?php echo esc_url( $meta_url ); ?>">
				<span class="ppom-conditional-meta-img <?php echo esc_attr( $input_class ); ?>"
					  title="<?php echo esc_attr( $image_title ); ?>" data-ppom-tooltip="ppom_tooltip">
					
					<input
							type="radio"
							name="<?php echo esc_attr( $input_name ); ?>[]"
							id="<?php echo esc_attr( $option_id ); ?>"
							data-label="<?php echo esc_attr( $image_title ); ?>"
							data-title="<?php echo esc_attr( $field_title ); ?>"
							data-type="image"
							data-optionid="<?php echo esc_attr( $option_id ); ?>"
							data-data_name="<?php echo esc_attr( $data_name ); ?>"
							value="<?php echo esc_attr( json_encode( $image ) ); ?>"
						<?php echo esc_attr( $checked_option ); ?>
					> 
					<?php
					if ( $image_id != '' ) {
						if ( isset( $image['url'] ) && $image['url'] != '' ) {
							?>
							<a href="<?php echo esc_url( $image_link ); ?>">
								<img src="<?php echo esc_url( $image_url ); ?>">
							</a>
							<?php
						} else {
							echo wp_get_attachment_image(
								$image['id'],
								'thumbnail',
								false,
								array(
									'class' => 'img-thumbnail ppom-zoom-' . esc_attr( $data_name ),
								)
							);
							?>
							<?php
						}
					} else {

						if ( isset( $image['url'] ) && $image['url'] != '' ) {
							?>
							<a href="<?php echo esc_url( $image_link ); ?>">
								<img width="150" height="150" src="<?php echo esc_url( $image['link'] ); ?>">
							</a>
							<?php
						} else {
							?>
							<img class="img-thumbnail ppom-zoom-<?php echo esc_attr( $data_name ); ?>"
								 data-image-tooltip="<?php echo esc_url( $image['link'] ); ?>"
								 src="<?php echo esc_url( $image['link'] ); ?>">
							<?php
						}
						?>
						<?php
					}
					?>

				</span> <!-- pre_upload_image -->
			</a>
			<?php
		}
	}
	?>
	<div style="clear:both"></div>
</div>
