<?php
/*
* Followig class handling Domain Checking
* using phpwhois funcion
* dependencies. Do not make changes in code
* Create on: May 5, 2018
*/

class NM_Domain_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Domain', 'ppom-pro' );
		$this->desc     = __( 'Check Domain', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-server" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}


	private function get_settings() {

		return array(

			'title'                => array(
				'type'  => 'text',
				'title' => __( 'Titles', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2', 'ppom-pro' ),
			),
			'data_name'            => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'          => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Type description, it will be display under section heading.', 'ppom-pro' ),
			),
			'placeholder'          => array(
				'type'  => 'text',
				'title' => __( 'Placeholder', 'ppom-pro' ),
				'desc'  => __( 'Optionally placeholder.', 'ppom-pro' ),
			),
			'available_message'    => array(
				'type'  => 'textarea',
				'title' => __( 'Available', 'ppom-pro' ),
				'desc'  => __( 'Message when domain is available', 'ppom-pro' ),
			),
			'notavailable_message' => array(
				'type'  => 'textarea',
				'title' => __( 'Not Available', 'ppom-pro' ),
				'desc'  => __( 'Message when domain is Not available.', 'ppom-pro' ),
			),
			'button_label'         => array(
				'type'  => 'text',
				'title' => __( 'Button Label', 'ppom-pro' ),
				'desc'  => __( 'Search button label', 'ppom-pro' ),
			),
			'button_class'         => array(
				'type'  => 'text',
				'title' => __( 'Button Class', 'ppom-pro' ),
				'desc'  => __( 'Search button class', 'ppom-pro' ),
			),
			'width'                => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'required'             => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'logic'                => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'           => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),

		);
	}
}
