"use strict"
jQuery(function($){
    
        
    $(".ppom-domain-picker").keypress(function(e){
        
        // console.log(e.which);
        if( e.which === 13) {
            e.preventDefault();
            
            $('form.cart').block({
                message: ppom_domain.i18n.pleaseWait
            });
            
            var field_id = $(this).attr('id');
            ppom_check_domain_availability(field_id);
        }
    });
    
    $(".ppom-domain-button").on('click', function(e){
        
        e.preventDefault();
        
        var field_id = $(this).data('id');
        ppom_check_domain_availability(field_id);
        
        var domain_result = $("#ppom-domain-result-"+field_id);
        domain_result.html('Searching ...');
        
    });
    
    function ppom_check_domain_availability(field_id) {
        
        var domain_field = $("#"+field_id);
        
        var data = {action:'ppom_check_domain_availability',
                    domain_name: domain_field.val(),
                    field_id:field_id,
                    product_id: $("#ppom_product_id").val(),
        }
        
        $.post(ppom_domain.ajaxurl, data, function(resp) {
            
            $('form.cart').unblock();
            
            if( resp.status == 'success' ) {
                
                var message = resp.message + " ("+domain_field.val()+")";
                
                var domain_result = $("#ppom-domain-result-"+field_id);
                if( resp.available === 'yes' ) {
                    domain_result.html( message ).css('color','green');
                } else {
                    domain_result.html( message ).css('color','red');
                }
                
            } else {
                alert(resp.message);
            }
            
        }, 'json');
    }
    
    /*
    **============= PPOM hidden field control ================ 
    */
	$(document).on('ppom_field_hidden', function(e) {
       
        var element_type    = ppom_get_field_type_by_id( e.field );
        // console.log('input[name="ppom[fields]['+e.field+']"]');
        if( element_type === 'domain' ) {
            
            $('input[name="ppom[fields]['+e.field+'][]"]').prop('required', false);
        }
	});
	

    /*
    **============= PPOM shown field control ================ 
    */
	$(document).on('ppom_field_shown', function(e){
	    
	    var element_type    = ppom_get_field_type_by_id( e.field );
        
        if( element_type === 'domain' ) {
            
            $('input[name="ppom[fields]['+e.field+'][]"]').prop('required', true);
        }
	});
    
    
  
});