<?php
/**
 * Managing TLDs
 **/

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Not Allowed' );
}

function ppom_get_valid_tlds() {

	$valid_tlds = array(
		'aaa'                      => 'aaa',
		'aarp'                     => 'aarp',
		'abarth'                   => 'abarth',
		'abb'                      => 'abb',
		'abbott'                   => 'abbott',
		'abbvie'                   => 'abbvie',
		'abc'                      => 'abc',
		'able'                     => 'able',
		'abogado'                  => 'abogado',
		'abudhabi'                 => 'abudhabi',
		'ac'                       => 'ac',
		'academy'                  => 'academy',
		'accenture'                => 'accenture',
		'accountant'               => 'accountant',
		'accountants'              => 'accountants',
		'aco'                      => 'aco',
		'active'                   => 'active',
		'actor'                    => 'actor',
		'ad'                       => 'ad',
		'adac'                     => 'adac',
		'ads'                      => 'ads',
		'adult'                    => 'adult',
		'ae'                       => 'ae',
		'aeg'                      => 'aeg',
		'aero'                     => 'aero',
		'aetna'                    => 'aetna',
		'af'                       => 'af',
		'afamilycompany'           => 'afamilycompany',
		'afl'                      => 'afl',
		'africa'                   => 'africa',
		'ag'                       => 'ag',
		'agakhan'                  => 'agakhan',
		'agency'                   => 'agency',
		'ai'                       => 'ai',
		'aig'                      => 'aig',
		'aigo'                     => 'aigo',
		'airbus'                   => 'airbus',
		'airforce'                 => 'airforce',
		'airtel'                   => 'airtel',
		'akdn'                     => 'akdn',
		'al'                       => 'al',
		'alfaromeo'                => 'alfaromeo',
		'alibaba'                  => 'alibaba',
		'alipay'                   => 'alipay',
		'allfinanz'                => 'allfinanz',
		'allstate'                 => 'allstate',
		'ally'                     => 'ally',
		'alsace'                   => 'alsace',
		'alstom'                   => 'alstom',
		'am'                       => 'am',
		'americanexpress'          => 'americanexpress',
		'americanfamily'           => 'americanfamily',
		'amex'                     => 'amex',
		'amfam'                    => 'amfam',
		'amica'                    => 'amica',
		'amsterdam'                => 'amsterdam',
		'analytics'                => 'analytics',
		'android'                  => 'android',
		'anquan'                   => 'anquan',
		'anz'                      => 'anz',
		'ao'                       => 'ao',
		'aol'                      => 'aol',
		'apartments'               => 'apartments',
		'app'                      => 'app',
		'apple'                    => 'apple',
		'aq'                       => 'aq',
		'aquarelle'                => 'aquarelle',
		'ar'                       => 'ar',
		'arab'                     => 'arab',
		'aramco'                   => 'aramco',
		'archi'                    => 'archi',
		'army'                     => 'army',
		'arpa'                     => 'arpa',
		'art'                      => 'art',
		'arte'                     => 'arte',
		'as'                       => 'as',
		'asda'                     => 'asda',
		'asia'                     => 'asia',
		'associates'               => 'associates',
		'at'                       => 'at',
		'athleta'                  => 'athleta',
		'attorney'                 => 'attorney',
		'au'                       => 'au',
		'auction'                  => 'auction',
		'audi'                     => 'audi',
		'audible'                  => 'audible',
		'audio'                    => 'audio',
		'auspost'                  => 'auspost',
		'author'                   => 'author',
		'auto'                     => 'auto',
		'autos'                    => 'autos',
		'avianca'                  => 'avianca',
		'aw'                       => 'aw',
		'aws'                      => 'aws',
		'ax'                       => 'ax',
		'axa'                      => 'axa',
		'az'                       => 'az',
		'azure'                    => 'azure',
		'ba'                       => 'ba',
		'baby'                     => 'baby',
		'baidu'                    => 'baidu',
		'banamex'                  => 'banamex',
		'bananarepublic'           => 'bananarepublic',
		'band'                     => 'band',
		'bank'                     => 'bank',
		'bar'                      => 'bar',
		'barcelona'                => 'barcelona',
		'barclaycard'              => 'barclaycard',
		'barclays'                 => 'barclays',
		'barefoot'                 => 'barefoot',
		'bargains'                 => 'bargains',
		'baseball'                 => 'baseball',
		'basketball'               => 'basketball',
		'bauhaus'                  => 'bauhaus',
		'bayern'                   => 'bayern',
		'bb'                       => 'bb',
		'bbc'                      => 'bbc',
		'bbt'                      => 'bbt',
		'bbva'                     => 'bbva',
		'bcg'                      => 'bcg',
		'bcn'                      => 'bcn',
		'bd'                       => 'bd',
		'be'                       => 'be',
		'beats'                    => 'beats',
		'beauty'                   => 'beauty',
		'beer'                     => 'beer',
		'bentley'                  => 'bentley',
		'berlin'                   => 'berlin',
		'best'                     => 'best',
		'bestbuy'                  => 'bestbuy',
		'bet'                      => 'bet',
		'bf'                       => 'bf',
		'bg'                       => 'bg',
		'bh'                       => 'bh',
		'bharti'                   => 'bharti',
		'bi'                       => 'bi',
		'bible'                    => 'bible',
		'bid'                      => 'bid',
		'bike'                     => 'bike',
		'bing'                     => 'bing',
		'bingo'                    => 'bingo',
		'bio'                      => 'bio',
		'biz'                      => 'biz',
		'bj'                       => 'bj',
		'black'                    => 'black',
		'blackfriday'              => 'blackfriday',
		'blanco'                   => 'blanco',
		'blockbuster'              => 'blockbuster',
		'blog'                     => 'blog',
		'bloomberg'                => 'bloomberg',
		'blue'                     => 'blue',
		'bm'                       => 'bm',
		'bms'                      => 'bms',
		'bmw'                      => 'bmw',
		'bn'                       => 'bn',
		'bnl'                      => 'bnl',
		'bnpparibas'               => 'bnpparibas',
		'bo'                       => 'bo',
		'boats'                    => 'boats',
		'boehringer'               => 'boehringer',
		'bofa'                     => 'bofa',
		'bom'                      => 'bom',
		'bond'                     => 'bond',
		'boo'                      => 'boo',
		'book'                     => 'book',
		'booking'                  => 'booking',
		'bosch'                    => 'bosch',
		'bostik'                   => 'bostik',
		'boston'                   => 'boston',
		'bot'                      => 'bot',
		'boutique'                 => 'boutique',
		'box'                      => 'box',
		'br'                       => 'br',
		'bradesco'                 => 'bradesco',
		'bridgestone'              => 'bridgestone',
		'broadway'                 => 'broadway',
		'broker'                   => 'broker',
		'brother'                  => 'brother',
		'brussels'                 => 'brussels',
		'bs'                       => 'bs',
		'bt'                       => 'bt',
		'budapest'                 => 'budapest',
		'bugatti'                  => 'bugatti',
		'build'                    => 'build',
		'builders'                 => 'builders',
		'business'                 => 'business',
		'buy'                      => 'buy',
		'buzz'                     => 'buzz',
		'bv'                       => 'bv',
		'bw'                       => 'bw',
		'by'                       => 'by',
		'bz'                       => 'bz',
		'bzh'                      => 'bzh',
		'ca'                       => 'ca',
		'cab'                      => 'cab',
		'cafe'                     => 'cafe',
		'cal'                      => 'cal',
		'call'                     => 'call',
		'calvinklein'              => 'calvinklein',
		'cam'                      => 'cam',
		'camera'                   => 'camera',
		'camp'                     => 'camp',
		'cancerresearch'           => 'cancerresearch',
		'canon'                    => 'canon',
		'capetown'                 => 'capetown',
		'capital'                  => 'capital',
		'capitalone'               => 'capitalone',
		'car'                      => 'car',
		'caravan'                  => 'caravan',
		'cards'                    => 'cards',
		'care'                     => 'care',
		'career'                   => 'career',
		'careers'                  => 'careers',
		'cars'                     => 'cars',
		'cartier'                  => 'cartier',
		'casa'                     => 'casa',
		'case'                     => 'case',
		'caseih'                   => 'caseih',
		'cash'                     => 'cash',
		'casino'                   => 'casino',
		'cat'                      => 'cat',
		'catering'                 => 'catering',
		'catholic'                 => 'catholic',
		'cba'                      => 'cba',
		'cbn'                      => 'cbn',
		'cbre'                     => 'cbre',
		'cbs'                      => 'cbs',
		'cc'                       => 'cc',
		'cd'                       => 'cd',
		'ceb'                      => 'ceb',
		'center'                   => 'center',
		'ceo'                      => 'ceo',
		'cern'                     => 'cern',
		'cf'                       => 'cf',
		'cfa'                      => 'cfa',
		'cfd'                      => 'cfd',
		'cg'                       => 'cg',
		'ch'                       => 'ch',
		'chanel'                   => 'chanel',
		'channel'                  => 'channel',
		'chase'                    => 'chase',
		'chat'                     => 'chat',
		'cheap'                    => 'cheap',
		'chintai'                  => 'chintai',
		'christmas'                => 'christmas',
		'chrome'                   => 'chrome',
		'chrysler'                 => 'chrysler',
		'church'                   => 'church',
		'ci'                       => 'ci',
		'cipriani'                 => 'cipriani',
		'circle'                   => 'circle',
		'cisco'                    => 'cisco',
		'citadel'                  => 'citadel',
		'citi'                     => 'citi',
		'citic'                    => 'citic',
		'city'                     => 'city',
		'cityeats'                 => 'cityeats',
		'ck'                       => 'ck',
		'cl'                       => 'cl',
		'claims'                   => 'claims',
		'cleaning'                 => 'cleaning',
		'click'                    => 'click',
		'clinic'                   => 'clinic',
		'clinique'                 => 'clinique',
		'clothing'                 => 'clothing',
		'cloud'                    => 'cloud',
		'club'                     => 'club',
		'clubmed'                  => 'clubmed',
		'cm'                       => 'cm',
		'cn'                       => 'cn',
		'co'                       => 'co',
		'coach'                    => 'coach',
		'codes'                    => 'codes',
		'coffee'                   => 'coffee',
		'college'                  => 'college',
		'cologne'                  => 'cologne',
		'com'                      => 'com',
		'comcast'                  => 'comcast',
		'commbank'                 => 'commbank',
		'community'                => 'community',
		'company'                  => 'company',
		'compare'                  => 'compare',
		'computer'                 => 'computer',
		'comsec'                   => 'comsec',
		'condos'                   => 'condos',
		'construction'             => 'construction',
		'consulting'               => 'consulting',
		'contact'                  => 'contact',
		'contractors'              => 'contractors',
		'cooking'                  => 'cooking',
		'cookingchannel'           => 'cookingchannel',
		'cool'                     => 'cool',
		'coop'                     => 'coop',
		'corsica'                  => 'corsica',
		'country'                  => 'country',
		'coupon'                   => 'coupon',
		'coupons'                  => 'coupons',
		'courses'                  => 'courses',
		'cr'                       => 'cr',
		'credit'                   => 'credit',
		'creditcard'               => 'creditcard',
		'creditunion'              => 'creditunion',
		'cricket'                  => 'cricket',
		'crown'                    => 'crown',
		'crs'                      => 'crs',
		'cruise'                   => 'cruise',
		'cruises'                  => 'cruises',
		'csc'                      => 'csc',
		'cu'                       => 'cu',
		'cuisinella'               => 'cuisinella',
		'cv'                       => 'cv',
		'cw'                       => 'cw',
		'cx'                       => 'cx',
		'cy'                       => 'cy',
		'cymru'                    => 'cymru',
		'cyou'                     => 'cyou',
		'cz'                       => 'cz',
		'dabur'                    => 'dabur',
		'dad'                      => 'dad',
		'dance'                    => 'dance',
		'data'                     => 'data',
		'date'                     => 'date',
		'dating'                   => 'dating',
		'datsun'                   => 'datsun',
		'day'                      => 'day',
		'dclk'                     => 'dclk',
		'dds'                      => 'dds',
		'de'                       => 'de',
		'deal'                     => 'deal',
		'dealer'                   => 'dealer',
		'deals'                    => 'deals',
		'degree'                   => 'degree',
		'delivery'                 => 'delivery',
		'dell'                     => 'dell',
		'deloitte'                 => 'deloitte',
		'delta'                    => 'delta',
		'democrat'                 => 'democrat',
		'dental'                   => 'dental',
		'dentist'                  => 'dentist',
		'desi'                     => 'desi',
		'design'                   => 'design',
		'dev'                      => 'dev',
		'dhl'                      => 'dhl',
		'diamonds'                 => 'diamonds',
		'diet'                     => 'diet',
		'digital'                  => 'digital',
		'direct'                   => 'direct',
		'directory'                => 'directory',
		'discount'                 => 'discount',
		'discover'                 => 'discover',
		'dish'                     => 'dish',
		'diy'                      => 'diy',
		'dj'                       => 'dj',
		'dk'                       => 'dk',
		'dm'                       => 'dm',
		'dnp'                      => 'dnp',
		'do'                       => 'do',
		'docs'                     => 'docs',
		'doctor'                   => 'doctor',
		'dodge'                    => 'dodge',
		'dog'                      => 'dog',
		'doha'                     => 'doha',
		'domains'                  => 'domains',
		'dot'                      => 'dot',
		'download'                 => 'download',
		'drive'                    => 'drive',
		'dtv'                      => 'dtv',
		'dubai'                    => 'dubai',
		'duck'                     => 'duck',
		'dunlop'                   => 'dunlop',
		'duns'                     => 'duns',
		'dupont'                   => 'dupont',
		'durban'                   => 'durban',
		'dvag'                     => 'dvag',
		'dvr'                      => 'dvr',
		'dz'                       => 'dz',
		'earth'                    => 'earth',
		'eat'                      => 'eat',
		'ec'                       => 'ec',
		'eco'                      => 'eco',
		'edeka'                    => 'edeka',
		'edu'                      => 'edu',
		'education'                => 'education',
		'ee'                       => 'ee',
		'eg'                       => 'eg',
		'email'                    => 'email',
		'emerck'                   => 'emerck',
		'energy'                   => 'energy',
		'engineer'                 => 'engineer',
		'engineering'              => 'engineering',
		'enterprises'              => 'enterprises',
		'epost'                    => 'epost',
		'epson'                    => 'epson',
		'equipment'                => 'equipment',
		'er'                       => 'er',
		'ericsson'                 => 'ericsson',
		'erni'                     => 'erni',
		'es'                       => 'es',
		'esq'                      => 'esq',
		'estate'                   => 'estate',
		'esurance'                 => 'esurance',
		'et'                       => 'et',
		'etisalat'                 => 'etisalat',
		'eu'                       => 'eu',
		'eurovision'               => 'eurovision',
		'eus'                      => 'eus',
		'events'                   => 'events',
		'everbank'                 => 'everbank',
		'exchange'                 => 'exchange',
		'expert'                   => 'expert',
		'exposed'                  => 'exposed',
		'express'                  => 'express',
		'extraspace'               => 'extraspace',
		'fage'                     => 'fage',
		'fail'                     => 'fail',
		'fairwinds'                => 'fairwinds',
		'faith'                    => 'faith',
		'family'                   => 'family',
		'fan'                      => 'fan',
		'fans'                     => 'fans',
		'farm'                     => 'farm',
		'farmers'                  => 'farmers',
		'fashion'                  => 'fashion',
		'fast'                     => 'fast',
		'fedex'                    => 'fedex',
		'feedback'                 => 'feedback',
		'ferrari'                  => 'ferrari',
		'ferrero'                  => 'ferrero',
		'fi'                       => 'fi',
		'fiat'                     => 'fiat',
		'fidelity'                 => 'fidelity',
		'fido'                     => 'fido',
		'film'                     => 'film',
		'final'                    => 'final',
		'finance'                  => 'finance',
		'financial'                => 'financial',
		'fire'                     => 'fire',
		'firestone'                => 'firestone',
		'firmdale'                 => 'firmdale',
		'fish'                     => 'fish',
		'fishing'                  => 'fishing',
		'fit'                      => 'fit',
		'fitness'                  => 'fitness',
		'fj'                       => 'fj',
		'fk'                       => 'fk',
		'flickr'                   => 'flickr',
		'flights'                  => 'flights',
		'flir'                     => 'flir',
		'florist'                  => 'florist',
		'flowers'                  => 'flowers',
		'fly'                      => 'fly',
		'fm'                       => 'fm',
		'fo'                       => 'fo',
		'foo'                      => 'foo',
		'food'                     => 'food',
		'foodnetwork'              => 'foodnetwork',
		'football'                 => 'football',
		'ford'                     => 'ford',
		'forex'                    => 'forex',
		'forsale'                  => 'forsale',
		'forum'                    => 'forum',
		'foundation'               => 'foundation',
		'fox'                      => 'fox',
		'fr'                       => 'fr',
		'free'                     => 'free',
		'fresenius'                => 'fresenius',
		'frl'                      => 'frl',
		'frogans'                  => 'frogans',
		'frontdoor'                => 'frontdoor',
		'frontier'                 => 'frontier',
		'ftr'                      => 'ftr',
		'fujitsu'                  => 'fujitsu',
		'fujixerox'                => 'fujixerox',
		'fun'                      => 'fun',
		'fund'                     => 'fund',
		'furniture'                => 'furniture',
		'futbol'                   => 'futbol',
		'fyi'                      => 'fyi',
		'ga'                       => 'ga',
		'gal'                      => 'gal',
		'gallery'                  => 'gallery',
		'gallo'                    => 'gallo',
		'gallup'                   => 'gallup',
		'game'                     => 'game',
		'games'                    => 'games',
		'gap'                      => 'gap',
		'garden'                   => 'garden',
		'gb'                       => 'gb',
		'gbiz'                     => 'gbiz',
		'gd'                       => 'gd',
		'gdn'                      => 'gdn',
		'ge'                       => 'ge',
		'gea'                      => 'gea',
		'gent'                     => 'gent',
		'genting'                  => 'genting',
		'george'                   => 'george',
		'gf'                       => 'gf',
		'gg'                       => 'gg',
		'ggee'                     => 'ggee',
		'gh'                       => 'gh',
		'gi'                       => 'gi',
		'gift'                     => 'gift',
		'gifts'                    => 'gifts',
		'gives'                    => 'gives',
		'giving'                   => 'giving',
		'gl'                       => 'gl',
		'glade'                    => 'glade',
		'glass'                    => 'glass',
		'gle'                      => 'gle',
		'global'                   => 'global',
		'globo'                    => 'globo',
		'gm'                       => 'gm',
		'gmail'                    => 'gmail',
		'gmbh'                     => 'gmbh',
		'gmo'                      => 'gmo',
		'gmx'                      => 'gmx',
		'gn'                       => 'gn',
		'godaddy'                  => 'godaddy',
		'gold'                     => 'gold',
		'goldpoint'                => 'goldpoint',
		'golf'                     => 'golf',
		'goo'                      => 'goo',
		'goodhands'                => 'goodhands',
		'goodyear'                 => 'goodyear',
		'goog'                     => 'goog',
		'google'                   => 'google',
		'gop'                      => 'gop',
		'got'                      => 'got',
		'gov'                      => 'gov',
		'gp'                       => 'gp',
		'gq'                       => 'gq',
		'gr'                       => 'gr',
		'grainger'                 => 'grainger',
		'graphics'                 => 'graphics',
		'gratis'                   => 'gratis',
		'green'                    => 'green',
		'gripe'                    => 'gripe',
		'grocery'                  => 'grocery',
		'group'                    => 'group',
		'gs'                       => 'gs',
		'gt'                       => 'gt',
		'gu'                       => 'gu',
		'guardian'                 => 'guardian',
		'gucci'                    => 'gucci',
		'guge'                     => 'guge',
		'guide'                    => 'guide',
		'guitars'                  => 'guitars',
		'guru'                     => 'guru',
		'gw'                       => 'gw',
		'gy'                       => 'gy',
		'hair'                     => 'hair',
		'hamburg'                  => 'hamburg',
		'hangout'                  => 'hangout',
		'haus'                     => 'haus',
		'hbo'                      => 'hbo',
		'hdfc'                     => 'hdfc',
		'hdfcbank'                 => 'hdfcbank',
		'health'                   => 'health',
		'healthcare'               => 'healthcare',
		'help'                     => 'help',
		'helsinki'                 => 'helsinki',
		'here'                     => 'here',
		'hermes'                   => 'hermes',
		'hgtv'                     => 'hgtv',
		'hiphop'                   => 'hiphop',
		'hisamitsu'                => 'hisamitsu',
		'hitachi'                  => 'hitachi',
		'hiv'                      => 'hiv',
		'hk'                       => 'hk',
		'hkt'                      => 'hkt',
		'hm'                       => 'hm',
		'hn'                       => 'hn',
		'hockey'                   => 'hockey',
		'holdings'                 => 'holdings',
		'holiday'                  => 'holiday',
		'homedepot'                => 'homedepot',
		'homegoods'                => 'homegoods',
		'homes'                    => 'homes',
		'homesense'                => 'homesense',
		'honda'                    => 'honda',
		'honeywell'                => 'honeywell',
		'horse'                    => 'horse',
		'hospital'                 => 'hospital',
		'host'                     => 'host',
		'hosting'                  => 'hosting',
		'hot'                      => 'hot',
		'hoteles'                  => 'hoteles',
		'hotels'                   => 'hotels',
		'hotmail'                  => 'hotmail',
		'house'                    => 'house',
		'how'                      => 'how',
		'hr'                       => 'hr',
		'hsbc'                     => 'hsbc',
		'ht'                       => 'ht',
		'hu'                       => 'hu',
		'hughes'                   => 'hughes',
		'hyatt'                    => 'hyatt',
		'hyundai'                  => 'hyundai',
		'ibm'                      => 'ibm',
		'icbc'                     => 'icbc',
		'ice'                      => 'ice',
		'icu'                      => 'icu',
		'id'                       => 'id',
		'ie'                       => 'ie',
		'ieee'                     => 'ieee',
		'ifm'                      => 'ifm',
		'ikano'                    => 'ikano',
		'il'                       => 'il',
		'im'                       => 'im',
		'imamat'                   => 'imamat',
		'imdb'                     => 'imdb',
		'immo'                     => 'immo',
		'immobilien'               => 'immobilien',
		'in'                       => 'in',
		'industries'               => 'industries',
		'infiniti'                 => 'infiniti',
		'info'                     => 'info',
		'ing'                      => 'ing',
		'ink'                      => 'ink',
		'institute'                => 'institute',
		'insurance'                => 'insurance',
		'insure'                   => 'insure',
		'int'                      => 'int',
		'intel'                    => 'intel',
		'international'            => 'international',
		'intuit'                   => 'intuit',
		'investments'              => 'investments',
		'io'                       => 'io',
		'ipiranga'                 => 'ipiranga',
		'iq'                       => 'iq',
		'ir'                       => 'ir',
		'irish'                    => 'irish',
		'is'                       => 'is',
		'iselect'                  => 'iselect',
		'ismaili'                  => 'ismaili',
		'ist'                      => 'ist',
		'istanbul'                 => 'istanbul',
		'it'                       => 'it',
		'itau'                     => 'itau',
		'itv'                      => 'itv',
		'iveco'                    => 'iveco',
		'iwc'                      => 'iwc',
		'jaguar'                   => 'jaguar',
		'java'                     => 'java',
		'jcb'                      => 'jcb',
		'jcp'                      => 'jcp',
		'je'                       => 'je',
		'jeep'                     => 'jeep',
		'jetzt'                    => 'jetzt',
		'jewelry'                  => 'jewelry',
		'jio'                      => 'jio',
		'jlc'                      => 'jlc',
		'jll'                      => 'jll',
		'jm'                       => 'jm',
		'jmp'                      => 'jmp',
		'jnj'                      => 'jnj',
		'jo'                       => 'jo',
		'jobs'                     => 'jobs',
		'joburg'                   => 'joburg',
		'jot'                      => 'jot',
		'joy'                      => 'joy',
		'jp'                       => 'jp',
		'jpmorgan'                 => 'jpmorgan',
		'jprs'                     => 'jprs',
		'juegos'                   => 'juegos',
		'juniper'                  => 'juniper',
		'kaufen'                   => 'kaufen',
		'kddi'                     => 'kddi',
		'ke'                       => 'ke',
		'kerryhotels'              => 'kerryhotels',
		'kerrylogistics'           => 'kerrylogistics',
		'kerryproperties'          => 'kerryproperties',
		'kfh'                      => 'kfh',
		'kg'                       => 'kg',
		'kh'                       => 'kh',
		'ki'                       => 'ki',
		'kia'                      => 'kia',
		'kim'                      => 'kim',
		'kinder'                   => 'kinder',
		'kindle'                   => 'kindle',
		'kitchen'                  => 'kitchen',
		'kiwi'                     => 'kiwi',
		'km'                       => 'km',
		'kn'                       => 'kn',
		'koeln'                    => 'koeln',
		'komatsu'                  => 'komatsu',
		'kosher'                   => 'kosher',
		'kp'                       => 'kp',
		'kpmg'                     => 'kpmg',
		'kpn'                      => 'kpn',
		'kr'                       => 'kr',
		'krd'                      => 'krd',
		'kred'                     => 'kred',
		'kuokgroup'                => 'kuokgroup',
		'kw'                       => 'kw',
		'ky'                       => 'ky',
		'kyoto'                    => 'kyoto',
		'kz'                       => 'kz',
		'la'                       => 'la',
		'lacaixa'                  => 'lacaixa',
		'ladbrokes'                => 'ladbrokes',
		'lamborghini'              => 'lamborghini',
		'lamer'                    => 'lamer',
		'lancaster'                => 'lancaster',
		'lancia'                   => 'lancia',
		'lancome'                  => 'lancome',
		'land'                     => 'land',
		'landrover'                => 'landrover',
		'lanxess'                  => 'lanxess',
		'lasalle'                  => 'lasalle',
		'lat'                      => 'lat',
		'latino'                   => 'latino',
		'latrobe'                  => 'latrobe',
		'law'                      => 'law',
		'lawyer'                   => 'lawyer',
		'lb'                       => 'lb',
		'lc'                       => 'lc',
		'lds'                      => 'lds',
		'lease'                    => 'lease',
		'leclerc'                  => 'leclerc',
		'lefrak'                   => 'lefrak',
		'legal'                    => 'legal',
		'lego'                     => 'lego',
		'lexus'                    => 'lexus',
		'lgbt'                     => 'lgbt',
		'li'                       => 'li',
		'liaison'                  => 'liaison',
		'lidl'                     => 'lidl',
		'life'                     => 'life',
		'lifeinsurance'            => 'lifeinsurance',
		'lifestyle'                => 'lifestyle',
		'lighting'                 => 'lighting',
		'like'                     => 'like',
		'lilly'                    => 'lilly',
		'limited'                  => 'limited',
		'limo'                     => 'limo',
		'lincoln'                  => 'lincoln',
		'linde'                    => 'linde',
		'link'                     => 'link',
		'lipsy'                    => 'lipsy',
		'live'                     => 'live',
		'living'                   => 'living',
		'lixil'                    => 'lixil',
		'lk'                       => 'lk',
		'llc'                      => 'llc',
		'loan'                     => 'loan',
		'loans'                    => 'loans',
		'locker'                   => 'locker',
		'locus'                    => 'locus',
		'loft'                     => 'loft',
		'lol'                      => 'lol',
		'london'                   => 'london',
		'lotte'                    => 'lotte',
		'lotto'                    => 'lotto',
		'love'                     => 'love',
		'lpl'                      => 'lpl',
		'lplfinancial'             => 'lplfinancial',
		'lr'                       => 'lr',
		'ls'                       => 'ls',
		'lt'                       => 'lt',
		'ltd'                      => 'ltd',
		'ltda'                     => 'ltda',
		'lu'                       => 'lu',
		'lundbeck'                 => 'lundbeck',
		'lupin'                    => 'lupin',
		'luxe'                     => 'luxe',
		'luxury'                   => 'luxury',
		'lv'                       => 'lv',
		'ly'                       => 'ly',
		'ma'                       => 'ma',
		'macys'                    => 'macys',
		'madrid'                   => 'madrid',
		'maif'                     => 'maif',
		'maison'                   => 'maison',
		'makeup'                   => 'makeup',
		'man'                      => 'man',
		'management'               => 'management',
		'mango'                    => 'mango',
		'map'                      => 'map',
		'market'                   => 'market',
		'marketing'                => 'marketing',
		'markets'                  => 'markets',
		'marriott'                 => 'marriott',
		'marshalls'                => 'marshalls',
		'maserati'                 => 'maserati',
		'mattel'                   => 'mattel',
		'mba'                      => 'mba',
		'mc'                       => 'mc',
		'mckinsey'                 => 'mckinsey',
		'md'                       => 'md',
		'me'                       => 'me',
		'med'                      => 'med',
		'media'                    => 'media',
		'meet'                     => 'meet',
		'melbourne'                => 'melbourne',
		'meme'                     => 'meme',
		'memorial'                 => 'memorial',
		'men'                      => 'men',
		'menu'                     => 'menu',
		'meo'                      => 'meo',
		'merckmsd'                 => 'merckmsd',
		'metlife'                  => 'metlife',
		'mg'                       => 'mg',
		'mh'                       => 'mh',
		'miami'                    => 'miami',
		'microsoft'                => 'microsoft',
		'mil'                      => 'mil',
		'mini'                     => 'mini',
		'mint'                     => 'mint',
		'mit'                      => 'mit',
		'mitsubishi'               => 'mitsubishi',
		'mk'                       => 'mk',
		'ml'                       => 'ml',
		'mlb'                      => 'mlb',
		'mls'                      => 'mls',
		'mm'                       => 'mm',
		'mma'                      => 'mma',
		'mn'                       => 'mn',
		'mo'                       => 'mo',
		'mobi'                     => 'mobi',
		'mobile'                   => 'mobile',
		'mobily'                   => 'mobily',
		'moda'                     => 'moda',
		'moe'                      => 'moe',
		'moi'                      => 'moi',
		'mom'                      => 'mom',
		'monash'                   => 'monash',
		'money'                    => 'money',
		'monster'                  => 'monster',
		'mopar'                    => 'mopar',
		'mormon'                   => 'mormon',
		'mortgage'                 => 'mortgage',
		'moscow'                   => 'moscow',
		'moto'                     => 'moto',
		'motorcycles'              => 'motorcycles',
		'mov'                      => 'mov',
		'movie'                    => 'movie',
		'movistar'                 => 'movistar',
		'mp'                       => 'mp',
		'mq'                       => 'mq',
		'mr'                       => 'mr',
		'ms'                       => 'ms',
		'msd'                      => 'msd',
		'mt'                       => 'mt',
		'mtn'                      => 'mtn',
		'mtr'                      => 'mtr',
		'mu'                       => 'mu',
		'museum'                   => 'museum',
		'mutual'                   => 'mutual',
		'mv'                       => 'mv',
		'mw'                       => 'mw',
		'mx'                       => 'mx',
		'my'                       => 'my',
		'mz'                       => 'mz',
		'na'                       => 'na',
		'nab'                      => 'nab',
		'nadex'                    => 'nadex',
		'nagoya'                   => 'nagoya',
		'name'                     => 'name',
		'nationwide'               => 'nationwide',
		'natura'                   => 'natura',
		'navy'                     => 'navy',
		'nba'                      => 'nba',
		'nc'                       => 'nc',
		'ne'                       => 'ne',
		'nec'                      => 'nec',
		'net'                      => 'net',
		'netbank'                  => 'netbank',
		'netflix'                  => 'netflix',
		'network'                  => 'network',
		'neustar'                  => 'neustar',
		'new'                      => 'new',
		'newholland'               => 'newholland',
		'news'                     => 'news',
		'next'                     => 'next',
		'nextdirect'               => 'nextdirect',
		'nexus'                    => 'nexus',
		'nf'                       => 'nf',
		'nfl'                      => 'nfl',
		'ng'                       => 'ng',
		'ngo'                      => 'ngo',
		'nhk'                      => 'nhk',
		'ni'                       => 'ni',
		'nico'                     => 'nico',
		'nike'                     => 'nike',
		'nikon'                    => 'nikon',
		'ninja'                    => 'ninja',
		'nissan'                   => 'nissan',
		'nissay'                   => 'nissay',
		'nl'                       => 'nl',
		'no'                       => 'no',
		'nokia'                    => 'nokia',
		'northwesternmutual'       => 'northwesternmutual',
		'norton'                   => 'norton',
		'now'                      => 'now',
		'nowruz'                   => 'nowruz',
		'nowtv'                    => 'nowtv',
		'np'                       => 'np',
		'nr'                       => 'nr',
		'nra'                      => 'nra',
		'nrw'                      => 'nrw',
		'ntt'                      => 'ntt',
		'nu'                       => 'nu',
		'nyc'                      => 'nyc',
		'nz'                       => 'nz',
		'obi'                      => 'obi',
		'observer'                 => 'observer',
		'off'                      => 'off',
		'office'                   => 'office',
		'okinawa'                  => 'okinawa',
		'olayan'                   => 'olayan',
		'olayangroup'              => 'olayangroup',
		'oldnavy'                  => 'oldnavy',
		'ollo'                     => 'ollo',
		'om'                       => 'om',
		'omega'                    => 'omega',
		'one'                      => 'one',
		'ong'                      => 'ong',
		'onl'                      => 'onl',
		'online'                   => 'online',
		'onyourside'               => 'onyourside',
		'ooo'                      => 'ooo',
		'open'                     => 'open',
		'oracle'                   => 'oracle',
		'orange'                   => 'orange',
		'org'                      => 'org',
		'organic'                  => 'organic',
		'origins'                  => 'origins',
		'osaka'                    => 'osaka',
		'otsuka'                   => 'otsuka',
		'ott'                      => 'ott',
		'ovh'                      => 'ovh',
		'pa'                       => 'pa',
		'page'                     => 'page',
		'panasonic'                => 'panasonic',
		'panerai'                  => 'panerai',
		'paris'                    => 'paris',
		'pars'                     => 'pars',
		'partners'                 => 'partners',
		'parts'                    => 'parts',
		'party'                    => 'party',
		'passagens'                => 'passagens',
		'pay'                      => 'pay',
		'pccw'                     => 'pccw',
		'pe'                       => 'pe',
		'pet'                      => 'pet',
		'pf'                       => 'pf',
		'pfizer'                   => 'pfizer',
		'pg'                       => 'pg',
		'ph'                       => 'ph',
		'pharmacy'                 => 'pharmacy',
		'phd'                      => 'phd',
		'philips'                  => 'philips',
		'phone'                    => 'phone',
		'photo'                    => 'photo',
		'photography'              => 'photography',
		'photos'                   => 'photos',
		'physio'                   => 'physio',
		'piaget'                   => 'piaget',
		'pics'                     => 'pics',
		'pictet'                   => 'pictet',
		'pictures'                 => 'pictures',
		'pid'                      => 'pid',
		'pin'                      => 'pin',
		'ping'                     => 'ping',
		'pink'                     => 'pink',
		'pioneer'                  => 'pioneer',
		'pizza'                    => 'pizza',
		'pk'                       => 'pk',
		'pl'                       => 'pl',
		'place'                    => 'place',
		'play'                     => 'play',
		'playstation'              => 'playstation',
		'plumbing'                 => 'plumbing',
		'plus'                     => 'plus',
		'pm'                       => 'pm',
		'pn'                       => 'pn',
		'pnc'                      => 'pnc',
		'pohl'                     => 'pohl',
		'poker'                    => 'poker',
		'politie'                  => 'politie',
		'porn'                     => 'porn',
		'post'                     => 'post',
		'pr'                       => 'pr',
		'pramerica'                => 'pramerica',
		'praxi'                    => 'praxi',
		'press'                    => 'press',
		'prime'                    => 'prime',
		'pro'                      => 'pro',
		'prod'                     => 'prod',
		'productions'              => 'productions',
		'prof'                     => 'prof',
		'progressive'              => 'progressive',
		'promo'                    => 'promo',
		'properties'               => 'properties',
		'property'                 => 'property',
		'protection'               => 'protection',
		'pru'                      => 'pru',
		'prudential'               => 'prudential',
		'ps'                       => 'ps',
		'pt'                       => 'pt',
		'pub'                      => 'pub',
		'pw'                       => 'pw',
		'pwc'                      => 'pwc',
		'py'                       => 'py',
		'qa'                       => 'qa',
		'qpon'                     => 'qpon',
		'quebec'                   => 'quebec',
		'quest'                    => 'quest',
		'qvc'                      => 'qvc',
		'racing'                   => 'racing',
		'radio'                    => 'radio',
		'raid'                     => 'raid',
		're'                       => 're',
		'read'                     => 'read',
		'realestate'               => 'realestate',
		'realtor'                  => 'realtor',
		'realty'                   => 'realty',
		'recipes'                  => 'recipes',
		'red'                      => 'red',
		'redstone'                 => 'redstone',
		'redumbrella'              => 'redumbrella',
		'rehab'                    => 'rehab',
		'reise'                    => 'reise',
		'reisen'                   => 'reisen',
		'reit'                     => 'reit',
		'reliance'                 => 'reliance',
		'ren'                      => 'ren',
		'rent'                     => 'rent',
		'rentals'                  => 'rentals',
		'repair'                   => 'repair',
		'report'                   => 'report',
		'republican'               => 'republican',
		'rest'                     => 'rest',
		'restaurant'               => 'restaurant',
		'review'                   => 'review',
		'reviews'                  => 'reviews',
		'rexroth'                  => 'rexroth',
		'rich'                     => 'rich',
		'richardli'                => 'richardli',
		'ricoh'                    => 'ricoh',
		'rightathome'              => 'rightathome',
		'ril'                      => 'ril',
		'rio'                      => 'rio',
		'rip'                      => 'rip',
		'rmit'                     => 'rmit',
		'ro'                       => 'ro',
		'rocher'                   => 'rocher',
		'rocks'                    => 'rocks',
		'rodeo'                    => 'rodeo',
		'rogers'                   => 'rogers',
		'room'                     => 'room',
		'rs'                       => 'rs',
		'rsvp'                     => 'rsvp',
		'ru'                       => 'ru',
		'rugby'                    => 'rugby',
		'ruhr'                     => 'ruhr',
		'run'                      => 'run',
		'rw'                       => 'rw',
		'rwe'                      => 'rwe',
		'ryukyu'                   => 'ryukyu',
		'sa'                       => 'sa',
		'saarland'                 => 'saarland',
		'safe'                     => 'safe',
		'safety'                   => 'safety',
		'sakura'                   => 'sakura',
		'sale'                     => 'sale',
		'salon'                    => 'salon',
		'samsclub'                 => 'samsclub',
		'samsung'                  => 'samsung',
		'sandvik'                  => 'sandvik',
		'sandvikcoromant'          => 'sandvikcoromant',
		'sanofi'                   => 'sanofi',
		'sap'                      => 'sap',
		'sapo'                     => 'sapo',
		'sarl'                     => 'sarl',
		'sas'                      => 'sas',
		'save'                     => 'save',
		'saxo'                     => 'saxo',
		'sb'                       => 'sb',
		'sbi'                      => 'sbi',
		'sbs'                      => 'sbs',
		'sc'                       => 'sc',
		'sca'                      => 'sca',
		'scb'                      => 'scb',
		'schaeffler'               => 'schaeffler',
		'schmidt'                  => 'schmidt',
		'scholarships'             => 'scholarships',
		'school'                   => 'school',
		'schule'                   => 'schule',
		'schwarz'                  => 'schwarz',
		'science'                  => 'science',
		'scjohnson'                => 'scjohnson',
		'scor'                     => 'scor',
		'scot'                     => 'scot',
		'sd'                       => 'sd',
		'se'                       => 'se',
		'search'                   => 'search',
		'seat'                     => 'seat',
		'secure'                   => 'secure',
		'security'                 => 'security',
		'seek'                     => 'seek',
		'select'                   => 'select',
		'sener'                    => 'sener',
		'services'                 => 'services',
		'ses'                      => 'ses',
		'seven'                    => 'seven',
		'sew'                      => 'sew',
		'sex'                      => 'sex',
		'sexy'                     => 'sexy',
		'sfr'                      => 'sfr',
		'sg'                       => 'sg',
		'sh'                       => 'sh',
		'shangrila'                => 'shangrila',
		'sharp'                    => 'sharp',
		'shaw'                     => 'shaw',
		'shell'                    => 'shell',
		'shia'                     => 'shia',
		'shiksha'                  => 'shiksha',
		'shoes'                    => 'shoes',
		'shop'                     => 'shop',
		'shopping'                 => 'shopping',
		'shouji'                   => 'shouji',
		'show'                     => 'show',
		'showtime'                 => 'showtime',
		'shriram'                  => 'shriram',
		'si'                       => 'si',
		'silk'                     => 'silk',
		'sina'                     => 'sina',
		'singles'                  => 'singles',
		'site'                     => 'site',
		'sj'                       => 'sj',
		'sk'                       => 'sk',
		'ski'                      => 'ski',
		'skin'                     => 'skin',
		'sky'                      => 'sky',
		'skype'                    => 'skype',
		'sl'                       => 'sl',
		'sling'                    => 'sling',
		'sm'                       => 'sm',
		'smart'                    => 'smart',
		'smile'                    => 'smile',
		'sn'                       => 'sn',
		'sncf'                     => 'sncf',
		'so'                       => 'so',
		'soccer'                   => 'soccer',
		'social'                   => 'social',
		'softbank'                 => 'softbank',
		'software'                 => 'software',
		'sohu'                     => 'sohu',
		'solar'                    => 'solar',
		'solutions'                => 'solutions',
		'song'                     => 'song',
		'sony'                     => 'sony',
		'soy'                      => 'soy',
		'space'                    => 'space',
		'spiegel'                  => 'spiegel',
		'sport'                    => 'sport',
		'spot'                     => 'spot',
		'spreadbetting'            => 'spreadbetting',
		'sr'                       => 'sr',
		'srl'                      => 'srl',
		'srt'                      => 'srt',
		'st'                       => 'st',
		'stada'                    => 'stada',
		'staples'                  => 'staples',
		'star'                     => 'star',
		'starhub'                  => 'starhub',
		'statebank'                => 'statebank',
		'statefarm'                => 'statefarm',
		'statoil'                  => 'statoil',
		'stc'                      => 'stc',
		'stcgroup'                 => 'stcgroup',
		'stockholm'                => 'stockholm',
		'storage'                  => 'storage',
		'store'                    => 'store',
		'stream'                   => 'stream',
		'studio'                   => 'studio',
		'study'                    => 'study',
		'style'                    => 'style',
		'su'                       => 'su',
		'sucks'                    => 'sucks',
		'supplies'                 => 'supplies',
		'supply'                   => 'supply',
		'support'                  => 'support',
		'surf'                     => 'surf',
		'surgery'                  => 'surgery',
		'suzuki'                   => 'suzuki',
		'sv'                       => 'sv',
		'swatch'                   => 'swatch',
		'swiftcover'               => 'swiftcover',
		'swiss'                    => 'swiss',
		'sx'                       => 'sx',
		'sy'                       => 'sy',
		'sydney'                   => 'sydney',
		'symantec'                 => 'symantec',
		'systems'                  => 'systems',
		'sz'                       => 'sz',
		'tab'                      => 'tab',
		'taipei'                   => 'taipei',
		'talk'                     => 'talk',
		'taobao'                   => 'taobao',
		'target'                   => 'target',
		'tatamotors'               => 'tatamotors',
		'tatar'                    => 'tatar',
		'tattoo'                   => 'tattoo',
		'tax'                      => 'tax',
		'taxi'                     => 'taxi',
		'tc'                       => 'tc',
		'tci'                      => 'tci',
		'td'                       => 'td',
		'tdk'                      => 'tdk',
		'team'                     => 'team',
		'tech'                     => 'tech',
		'technology'               => 'technology',
		'tel'                      => 'tel',
		'telecity'                 => 'telecity',
		'telefonica'               => 'telefonica',
		'temasek'                  => 'temasek',
		'tennis'                   => 'tennis',
		'teva'                     => 'teva',
		'tf'                       => 'tf',
		'tg'                       => 'tg',
		'th'                       => 'th',
		'thd'                      => 'thd',
		'theater'                  => 'theater',
		'theatre'                  => 'theatre',
		'tiaa'                     => 'tiaa',
		'tickets'                  => 'tickets',
		'tienda'                   => 'tienda',
		'tiffany'                  => 'tiffany',
		'tips'                     => 'tips',
		'tires'                    => 'tires',
		'tirol'                    => 'tirol',
		'tj'                       => 'tj',
		'tjmaxx'                   => 'tjmaxx',
		'tjx'                      => 'tjx',
		'tk'                       => 'tk',
		'tkmaxx'                   => 'tkmaxx',
		'tl'                       => 'tl',
		'tm'                       => 'tm',
		'tmall'                    => 'tmall',
		'tn'                       => 'tn',
		'to'                       => 'to',
		'today'                    => 'today',
		'tokyo'                    => 'tokyo',
		'tools'                    => 'tools',
		'top'                      => 'top',
		'toray'                    => 'toray',
		'toshiba'                  => 'toshiba',
		'total'                    => 'total',
		'tours'                    => 'tours',
		'town'                     => 'town',
		'toyota'                   => 'toyota',
		'toys'                     => 'toys',
		'tr'                       => 'tr',
		'trade'                    => 'trade',
		'trading'                  => 'trading',
		'training'                 => 'training',
		'travel'                   => 'travel',
		'travelchannel'            => 'travelchannel',
		'travelers'                => 'travelers',
		'travelersinsurance'       => 'travelersinsurance',
		'trust'                    => 'trust',
		'trv'                      => 'trv',
		'tt'                       => 'tt',
		'tube'                     => 'tube',
		'tui'                      => 'tui',
		'tunes'                    => 'tunes',
		'tushu'                    => 'tushu',
		'tv'                       => 'tv',
		'tvs'                      => 'tvs',
		'tw'                       => 'tw',
		'tz'                       => 'tz',
		'ua'                       => 'ua',
		'ubank'                    => 'ubank',
		'ubs'                      => 'ubs',
		'uconnect'                 => 'uconnect',
		'ug'                       => 'ug',
		'uk'                       => 'uk',
		'unicom'                   => 'unicom',
		'university'               => 'university',
		'uno'                      => 'uno',
		'uol'                      => 'uol',
		'ups'                      => 'ups',
		'us'                       => 'us',
		'uy'                       => 'uy',
		'uz'                       => 'uz',
		'va'                       => 'va',
		'vacations'                => 'vacations',
		'vana'                     => 'vana',
		'vanguard'                 => 'vanguard',
		'vc'                       => 'vc',
		've'                       => 've',
		'vegas'                    => 'vegas',
		'ventures'                 => 'ventures',
		'verisign'                 => 'verisign',
		'versicherung'             => 'versicherung',
		'vet'                      => 'vet',
		'vg'                       => 'vg',
		'vi'                       => 'vi',
		'viajes'                   => 'viajes',
		'video'                    => 'video',
		'vig'                      => 'vig',
		'viking'                   => 'viking',
		'villas'                   => 'villas',
		'vin'                      => 'vin',
		'vip'                      => 'vip',
		'virgin'                   => 'virgin',
		'visa'                     => 'visa',
		'vision'                   => 'vision',
		'vista'                    => 'vista',
		'vistaprint'               => 'vistaprint',
		'viva'                     => 'viva',
		'vivo'                     => 'vivo',
		'vlaanderen'               => 'vlaanderen',
		'vn'                       => 'vn',
		'vodka'                    => 'vodka',
		'volkswagen'               => 'volkswagen',
		'volvo'                    => 'volvo',
		'vote'                     => 'vote',
		'voting'                   => 'voting',
		'voto'                     => 'voto',
		'voyage'                   => 'voyage',
		'vu'                       => 'vu',
		'vuelos'                   => 'vuelos',
		'wales'                    => 'wales',
		'walmart'                  => 'walmart',
		'walter'                   => 'walter',
		'wang'                     => 'wang',
		'wanggou'                  => 'wanggou',
		'warman'                   => 'warman',
		'watch'                    => 'watch',
		'watches'                  => 'watches',
		'weather'                  => 'weather',
		'weatherchannel'           => 'weatherchannel',
		'webcam'                   => 'webcam',
		'weber'                    => 'weber',
		'website'                  => 'website',
		'wed'                      => 'wed',
		'wedding'                  => 'wedding',
		'weibo'                    => 'weibo',
		'weir'                     => 'weir',
		'wf'                       => 'wf',
		'whoswho'                  => 'whoswho',
		'wien'                     => 'wien',
		'wiki'                     => 'wiki',
		'williamhill'              => 'williamhill',
		'win'                      => 'win',
		'windows'                  => 'windows',
		'wine'                     => 'wine',
		'winners'                  => 'winners',
		'wme'                      => 'wme',
		'wolterskluwer'            => 'wolterskluwer',
		'woodside'                 => 'woodside',
		'work'                     => 'work',
		'works'                    => 'works',
		'world'                    => 'world',
		'wow'                      => 'wow',
		'ws'                       => 'ws',
		'wtc'                      => 'wtc',
		'wtf'                      => 'wtf',
		'xbox'                     => 'xbox',
		'xerox'                    => 'xerox',
		'xfinity'                  => 'xfinity',
		'xihuan'                   => 'xihuan',
		'xin'                      => 'xin',
		'xn--11b4c3d'              => 'कॉम',
		'xn--1ck2e1b'              => 'セール',
		'xn--1qqw23a'              => '佛山',
		'xn--2scrj9c'              => 'ಭಾರತ',
		'xn--30rr7y'               => '慈善',
		'xn--3bst00m'              => '集团',
		'xn--3ds443g'              => '在线',
		'xn--3e0b707e'             => '한국',
		'xn--3hcrj9c'              => 'ଭାରତ',
		'xn--3oq18vl8pn36a'        => '大众汽车',
		'xn--3pxu8k'               => '点看',
		'xn--42c2d9a'              => 'คอม',
		'xn--45br5cyl'             => 'ভাৰত',
		'xn--45brj9c'              => 'ভারত',
		'xn--45q11c'               => '八卦',
		'xn--4gbrim'               => 'موقع',
		'xn--54b7fta0cc'           => 'বাংলা',
		'xn--55qw42g'              => '公益',
		'xn--55qx5d'               => '公司',
		'xn--5su34j936bgsg'        => '香格里拉',
		'xn--5tzm5g'               => '网站',
		'xn--6frz82g'              => '移动',
		'xn--6qq986b3xl'           => '我爱你',
		'xn--80adxhks'             => 'москва',
		'xn--80ao21a'              => 'қаз',
		'xn--80aqecdr1a'           => 'католик',
		'xn--80asehdb'             => 'онлайн',
		'xn--80aswg'               => 'сайт',
		'xn--8y0a063a'             => '联通',
		'xn--90a3ac'               => 'срб',
		'xn--90ae'                 => 'бг',
		'xn--90ais'                => 'бел',
		'xn--9dbq2a'               => 'קום',
		'xn--9et52u'               => '时尚',
		'xn--9krt00a'              => '微博',
		'xn--b4w605ferd'           => '淡马锡',
		'xn--bck1b9a5dre4c'        => 'ファッション',
		'xn--c1avg'                => 'орг',
		'xn--c2br7g'               => 'नेट',
		'xn--cck2b3b'              => 'ストア',
		'xn--cg4bki'               => '삼성',
		'xn--clchc0ea0b2g2a9gcd'   => 'சிங்கப்பூர்',
		'xn--czr694b'              => '商标',
		'xn--czrs0t'               => '商店',
		'xn--czru2d'               => '商城',
		'xn--d1acj3b'              => 'дети',
		'xn--d1alf'                => 'мкд',
		'xn--e1a4c'                => 'ею',
		'xn--eckvdtc9d'            => 'ポイント',
		'xn--efvy88h'              => '新闻',
		'xn--estv75g'              => '工行',
		'xn--fct429k'              => '家電',
		'xn--fhbei'                => 'كوم',
		'xn--fiq228c5hs'           => '中文网',
		'xn--fiq64b'               => '中信',
		'xn--fiqs8s'               => '中国',
		'xn--fiqz9s'               => '中國',
		'xn--fjq720a'              => '娱乐',
		'xn--flw351e'              => '谷歌',
		'xn--fpcrj9c3d'            => 'భారత్',
		'xn--fzc2c9e2c'            => 'ලංකා',
		'xn--fzys8d69uvgm'         => '電訊盈科',
		'xn--g2xx48c'              => '购物',
		'xn--gckr3f0f'             => 'クラウド',
		'xn--gecrj9c'              => 'ભારત',
		'xn--gk3at1e'              => '通販',
		'xn--h2breg3eve'           => 'भारतम्',
		'xn--h2brj9c'              => 'भारत',
		'xn--h2brj9c8c'            => 'भारोत',
		'xn--hxt814e'              => '网店',
		'xn--i1b6b1a6a2e'          => 'संगठन',
		'xn--imr513n'              => '餐厅',
		'xn--io0a7i'               => '网络',
		'xn--j1aef'                => 'ком',
		'xn--j1amh'                => 'укр',
		'xn--j6w193g'              => '香港',
		'xn--jlq61u9w7b'           => '诺基亚',
		'xn--jvr189m'              => '食品',
		'xn--kcrx77d1x4a'          => '飞利浦',
		'xn--kprw13d'              => '台湾',
		'xn--kpry57d'              => '台灣',
		'xn--kpu716f'              => '手表',
		'xn--kput3i'               => '手机',
		'xn--l1acc'                => 'мон',
		'xn--lgbbat1ad8j'          => 'الجزائر',
		'xn--mgb9awbf'             => 'عمان',
		'xn--mgba3a3ejt'           => 'ارامكو',
		'xn--mgba3a4f16a'          => 'ایران',
		'xn--mgba7c0bbn0a'         => 'العليان',
		'xn--mgbaakc7dvf'          => 'اتصالات',
		'xn--mgbaam7a8h'           => 'امارات',
		'xn--mgbab2bd'             => 'بازار',
		'xn--mgbai9azgqp6j'        => 'پاکستان',
		'xn--mgbayh7gpa'           => 'الاردن',
		'xn--mgbb9fbpob'           => 'موبايلي',
		'xn--mgbbh1a'              => 'بارت',
		'xn--mgbbh1a71e'           => 'بھارت',
		'xn--mgbc0a9azcg'          => 'المغرب',
		'xn--mgbca7dzdo'           => 'ابوظبي',
		'xn--mgberp4a5d4ar'        => 'السعودية',
		'xn--mgbgu82a'             => 'ڀارت',
		'xn--mgbi4ecexp'           => 'كاثوليك',
		'xn--mgbpl2fh'             => 'سودان',
		'xn--mgbt3dhd'             => 'همراه',
		'xn--mgbtx2b'              => 'عراق',
		'xn--mgbx4cd0ab'           => 'مليسيا',
		'xn--mix891f'              => '澳門',
		'xn--mk1bu44c'             => '닷컴',
		'xn--mxtq1m'               => '政府',
		'xn--ngbc5azd'             => 'شبكة',
		'xn--ngbe9e0a'             => 'بيتك',
		'xn--ngbrx'                => 'عرب',
		'xn--node'                 => 'გე',
		'xn--nqv7f'                => '机构',
		'xn--nqv7fs00ema'          => '组织机构',
		'xn--nyqy26a'              => '健康',
		'xn--o3cw4h'               => 'ไทย',
		'xn--ogbpf8fl'             => 'سورية',
		'xn--otu796d'              => '招聘',
		'xn--p1acf'                => 'рус',
		'xn--p1ai'                 => 'рф',
		'xn--pbt977c'              => '珠宝',
		'xn--pgbs0dh'              => 'تونس',
		'xn--pssy2u'               => '大拿',
		'xn--q9jyb4c'              => 'みんな',
		'xn--qcka1pmc'             => 'グーグル',
		'xn--qxam'                 => 'ελ',
		'xn--rhqv96g'              => '世界',
		'xn--rovu88b'              => '書籍',
		'xn--rvc1e0am3e'           => 'ഭാരതം',
		'xn--s9brj9c'              => 'ਭਾਰਤ',
		'xn--ses554g'              => '网址',
		'xn--t60b56a'              => '닷넷',
		'xn--tckwe'                => 'コム',
		'xn--tiq49xqyj'            => '天主教',
		'xn--unup4y'               => '游戏',
		'xn--vermgensberater-ctb'  => 'vermögensberater',
		'xn--vermgensberatung-pwb' => 'vermögensberatung',
		'xn--vhquv'                => '企业',
		'xn--vuq861b'              => '信息',
		'xn--w4r85el8fhu5dnra'     => '嘉里大酒店',
		'xn--w4rs40l'              => '嘉里',
		'xn--wgbh1c'               => 'مصر',
		'xn--wgbl6a'               => 'قطر',
		'xn--xhq521b'              => '广东',
		'xn--xkc2al3hye2a'         => 'இலங்கை',
		'xn--xkc2dl3a5ee0h'        => 'இந்தியா',
		'xn--y9a3aq'               => 'հայ',
		'xn--yfro4i67o'            => '新加坡',
		'xn--ygbi2ammx'            => 'فلسطين',
		'xn--zfr164b'              => '政务',
		'xperia'                   => 'xperia',
		'xxx'                      => 'xxx',
		'xyz'                      => 'xyz',
		'yachts'                   => 'yachts',
		'yahoo'                    => 'yahoo',
		'yamaxun'                  => 'yamaxun',
		'yandex'                   => 'yandex',
		'ye'                       => 'ye',
		'yodobashi'                => 'yodobashi',
		'yoga'                     => 'yoga',
		'yokohama'                 => 'yokohama',
		'you'                      => 'you',
		'youtube'                  => 'youtube',
		'yt'                       => 'yt',
		'yun'                      => 'yun',
		'za'                       => 'za',
		'zappos'                   => 'zappos',
		'zara'                     => 'zara',
		'zero'                     => 'zero',
		'zip'                      => 'zip',
		'zippo'                    => 'zippo',
		'zm'                       => 'zm',
		'zone'                     => 'zone',
		'zuerich'                  => 'zuerich',
		'zw'                       => 'zw',
	);

	return apply_filters( 'ppom_valid_tlds', $valid_tlds );
}
