<?php
/*
 * Followig class handling radio input control and their
* dependencies. Do not make changes in code
* Create on: 9 November, 2013
*/

class NM_emojis_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Emojis', 'ppom-pro' );
		$this->desc     = __( 'emoji', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-user-plus" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}

	private function get_settings() {

		return array(
			'title'               => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will be shown as field label', 'ppom-pro' ),
			),
			'data_name'           => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'         => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Small description, it will be display near name title.', 'ppom-pro' ),
			),
			'error_message'       => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),

			'class'               => array(
				'type'  => 'text',
				'title' => __( 'Class', 'ppom-pro' ),
				'desc'  => __( 'Insert an additional class(es) (separateb by comma) for more personalization.', 'ppom-pro' ),
			),
			'max_selected'        => array(
				'type'  => 'number',
				'title' => __( 'Max selected', 'ppom-pro' ),
				'desc'  => __( 'Max. selected, leave blank for default.', 'ppom-pro' ),
			),
			'width'               => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'options'             => array(
				'type'  => 'paired-palettes',
				'title' => __( 'Add colors', 'ppom-pro' ),
				'desc'  => __( 'Type color code with price (optionally). To write label, use #colorcode - White', 'ppom-pro' ),
			),
			'emojis_display_type' => array(
				'type'    => 'select',
				'title'   => __( 'Input Type', 'ppom-pro' ),
				'desc'    => __( 'Set input type.', 'ppom-pro' ),
				'options' => array(
					'textarea'   => 'Textarea',
					'text'       => 'Text',
					'standalone' => 'Dropdown',
				),
			),
			'search_placeholder'  => array(
				'type'  => 'text',
				'title' => __( 'Search Placeholder', 'ppom-pro' ),
				'desc'  => __( 'Set search placeholder.', 'ppom-pro' ),
			),
			'placeholder'         => array(
				'type'  => 'text',
				'title' => __( 'Placeholder', 'ppom-pro' ),
				'desc'  => __( 'Set placeholder.', 'ppom-pro' ),
			),
			'filters_position'    => array(
				'type'    => 'select',
				'title'   => __( 'Filters Position', 'ppom-pro' ),
				'desc'    => __( 'Set filters position.', 'ppom-pro' ),
				'options' => array(
					'top'    => 'Top',
					'bottom' => 'Bottom',
				),
			),
			'search_position'     => array(
				'type'    => 'select',
				'title'   => __( 'Search Position', 'ppom-pro' ),
				'desc'    => __( 'Set search position.', 'ppom-pro' ),
				'options' => array(
					'top'    => 'Top',
					'bottom' => 'Bottom',
				),
			),
			'picker_position'     => array(
				'type'    => 'select',
				'title'   => __( 'Emojis Picker Position', 'ppom-pro' ),
				'desc'    => __( 'Set emojis picker position.', 'ppom-pro' ),
				'options' => array(
					'top'    => 'Top',
					'right'  => 'Right',
					'bottom' => 'Bottom',
				),
			),
			'tones_Style'         => array(
				'type'    => 'select',
				'title'   => __( 'Tones Style', 'ppom-pro' ),
				'desc'    => __( 'Set tones style.', 'ppom-pro' ),
				'options' => array(
					'bullet'   => 'Bullet',
					'radio'    => 'Radio',
					'square'   => 'Square',
					'checkbox' => 'Checkbox',
				),
			),
			'recent_emojis'       => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Recent Emojis', 'ppom-pro' ),
				'desc'  => __( 'Enable recent emojis.', 'ppom-pro' ),
			),
			'tones'               => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Tones', 'ppom-pro' ),
				'desc'  => __( 'Enable tones.', 'ppom-pro' ),
			),
			'search'              => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Search', 'ppom-pro' ),
				'desc'  => __( 'Enable search.', 'ppom-pro' ),
			),
			'visibility'          => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role'     => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'        => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon', 'ppom-pro' ),
			),
			'required'            => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'onetime'             => array(
				'type'  => 'checkbox',
				'title' => __( 'Fixed Fee', 'ppom-pro' ),
				'desc'  => __( 'Add one time fee to cart total.', 'ppom-pro' ),
			),
			'onetime_taxable'     => array(
				'type'  => 'checkbox',
				'title' => __( 'Fixed Fee Taxable?', 'ppom-pro' ),
				'desc'  => __( 'Calculate Tax for Fixed Fee', 'ppom-pro' ),
			),
			'logic'               => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'          => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}

}
