<?php
/**
 * PPOM Product Enquiry Form Template
 **/


/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// get enquiry form settings
$btn_title     = ppom_get_option( 'ppom-enf-btn-title', 'Enquire Form' );
$btn_bgcolor   = ppom_get_option( 'ppom-enf-btn-bg-color', '#688586' );
$btn_textcolor = ppom_get_option( 'ppom-enf-btn-text-color', '#ffffff' );
$note          = ppom_get_option( 'ppom-enf-note' );
$btn_class     = ppom_get_option( 'ppom-enf-btn-class' ) != '' ? explode( ',', ppom_get_option( 'ppom-enf-btn-class' ) ) : array();
$btn_class[]   = 'enf-btn';
$btn_class     = implode( ' ', $btn_class );

// get current product informations
$product      = wc_get_product( $product_id );
$product_url  = get_permalink( $product_id );
$product_name = $product->get_title();

?>

<div class="ppom-enf-wrap">

	<!-- Enquiry Form Button -->
	<a href="#" data-model-id="ppom_enf_model_id" class="<?php echo esc_attr( $btn_class ); ?>"
	   style="background-color:<?php echo esc_attr( $btn_bgcolor ); ?>;color:<?php echo esc_attr( $btn_textcolor ); ?>;"><?php echo esc_html( $btn_title ); ?></a>

	<div id="ppom_enf_model_id" class="ppom-popup-wrapper ppom-popup-handle">
		<div class="ppom-popup-inner-section">
			<header class="ppom-popup-header">
				<h3><?php echo esc_html( ucwords( $product_name ) ); ?></h3>
			</header>
			<div class="ppom-popup-body">

				<input type="hidden" id="ppom_enf_nonce_create"
					   value="<?php echo wp_create_nonce( 'ppom_enf_nonce_id' ); ?>">

				<div class="ppom-enf-inner-box">

					<!-- email section -->
					<div class="form-group">
						<label><?php _e( 'Email: ', 'ppom-pro' ); ?><span
									class="ppom-enf-req-item"><?php _e( '*required', 'ppom-pro' ); ?></span></label>
						<input type="email" id="ppom_enf_user_email" class="form-control"
							   placeholder="<?php _e( 'Enter Your Email', 'ppom-pro' ); ?>">
					</div>

					<!-- message section -->
					<div class="form-group">
						<label><?php _e( 'Message: ', 'ppom-pro' ); ?><span
									class="ppom-enf-req-item"><?php _e( '*required', 'ppom-pro' ); ?></span></label>
						<textarea class="form-control" id="ppom_enf_user_message"
								  placeholder="<?php _e( 'Enter Your Message', 'ppom-pro' ); ?>"></textarea>
					</div>
				</div>

				<!-- submit button -->
				<div class="ppom-enf-submit-btn">

					<span class="ppom-enf-alert"></span>
					<div class="ppom-enf-note-wrap">
						<?php echo $note; ?>
					</div>
					<button class="btn btn-primary"
							id="ppom-enf-submit-meta"><?php _e( 'Send', 'ppom-pro' ); ?></button>
				</div>

			</div>
			<footer class="ppom-popup-footer">
				<a href="#" class="ppom-popup-button ppom-popup-close-js"><?php _e( 'Close', 'ppom-pro' ); ?></a>
			</footer>
		</div>
	</div>
</div>
