<?php
/*
* Followig class handling variation matrix
*/


/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


class NM_EVENTCALENDAR_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {
		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Event Calendar', 'ppom-pro' );
		$this->settings = self::get_settings();
		$this->icon     = __( '<i class="fa fa-list-alt" aria-hidden="true"></i>', 'ppom-pro' );

	}


	function date_formates() {

		$date_formate = array(
			'mm/dd/yy'     => __( 'Default - mm/dd/yy', 'ppom-pro' ),
			'yy-mm-dd'     => __( 'ISO 8601 - yy-mm-dd', 'ppom-pro' ),
			'd M, y'       => __( 'Short - d M, y', 'ppom-pro' ),
			'd MM, y'      => __( 'Medium - d MM, y', 'ppom-pro' ),
			'DD, d MM, yy' => __( 'Full - DD, d MM, yy', 'ppom-pro' ),
		);

		return apply_filters( 'ppom_eventcalendar_dateformate', $date_formate );
	}


	function startofday_options() {

		$startofday = array(
			'0' => __( 'Sunday', 'ppom-pro' ),
			'1' => __( 'Monday', 'ppom-pro' ),
			'2' => __( 'Tuesday', 'ppom-pro' ),
			'3' => __( 'Wednesday', 'ppom-pro' ),
			'4' => __( 'Thursday', 'ppom-pro' ),
			'5' => __( 'Friday', 'ppom-pro' ),
			'6' => __( 'Saturday', 'ppom-pro' ),
		);

		return apply_filters( 'ppom_eventcalendar_startofday', $startofday );
	}


	private function get_settings() {

		return array(
			'title'                 => array(
				'type'  => 'text',
				'title' => __( 'Titles', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2.', 'ppom-pro' ),
			),
			'data_name'             => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'           => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Type description, it will be display under section heading.', 'ppom-pro' ),
			),
			'width'                 => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'date_formate'          => array(
				'type'    => 'select',
				'title'   => __( 'Date Formate', 'ppom-pro' ),
				'desc'    => __( 'Select date formate. It will show on frontent', 'ppom-pro' ),
				'options' => $this->date_formates(),
				'default' => 'yy-mm-dd',
			),
			'startofday'            => array(
				'type'    => 'select',
				'title'   => __( 'Start Of Day', 'ppom-pro' ),
				'desc'    => __( 'Select start of day', 'ppom-pro' ),
				'options' => $this->startofday_options(),
				'default' => '0',
			),
			'ticket_message'        => array(
				'type'    => 'text',
				'title'   => __( 'Ticket Message', 'ppom-pro' ),
				'desc'    => __( 'Show ticket message eg, Available Tickets %TICKET%', 'ppom-pro' ),
				'default' => 'Available Tickets %TICKET%',
			),
			'calendar'              => array(
				'type'    => 'calendar-paired',
				'title'   => __( 'Select Date Range', 'ppom-pro' ),
				'desc'    => '',
				'default' => '',
			),
			'global_price'          => array(
				'type'    => 'text',
				'title'   => __( 'Event Global Price', 'ppom-pro' ),
				'desc'    => 'Add event global price.',
				'default' => '',
			),
			'disabled_global_price' => array(
				'type'    => 'checkbox',
				'title'   => __( 'Disable Global Price', 'ppom-pro' ),
				'desc'    => 'Disable global price and enable tickets variation with prices options',
				'default' => '',
			),
			'options'               => array(
				'type'    => 'ticket-variation-paired',
				'title'   => __( 'Add Tickets Variation And Price', 'ppom-pro' ),
				'desc'    => '',
				'default' => '',
			),
			'calendar_bgcolor'      => array(
				'type'  => 'text',
				'title' => __( 'Calendar BG Color', 'ppom-pro' ),
				'desc'  => __( 'Change calendar background color.', 'ppom-pro' ),
			),
			'calendar_header_color' => array(
				'type'  => 'text',
				'title' => __( 'Calendar Header Color', 'ppom-pro' ),
				'desc'  => __( 'Change calendar header background color.', 'ppom-pro' ),
			),
			'date_bgcolor'          => array(
				'type'  => 'text',
				'title' => __( 'Disabled Dates BG Color', 'ppom-pro' ),
				'desc'  => __( 'Change disabled dates box background color.', 'ppom-pro' ),
			),
			'selected_date_bgcolor' => array(
				'type'  => 'text',
				'title' => __( 'Selected Dates BG Color', 'ppom-pro' ),
				'desc'  => __( 'Change selected date box background color.', 'ppom-pro' ),
			),
			'qty_box_bgcolor'       => array(
				'type'  => 'text',
				'title' => __( 'Quantity Box Bg Color', 'ppom-pro' ),
				'desc'  => __( 'Change quantity box background color.', 'ppom-pro' ),
			),
			'qty_box_textcolor'     => array(
				'type'  => 'text',
				'title' => __( 'Quantity Box Text Color', 'ppom-pro' ),
				'desc'  => __( 'Change quantity box text color.', 'ppom-pro' ),
			),
			'qty_cross_icon'        => array(
				'type'  => 'text',
				'title' => __( 'Remove Icon Color', 'ppom-pro' ),
				'desc'  => __( 'Change quantity box remove icon color.', 'ppom-pro' ),
			),
			'visibility'            => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role'       => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'          => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon.', 'ppom-pro' ),
			),
			'simple_ticket_msg'     => array(
				'type'  => 'checkbox',
				'title' => __( 'Simple Ticket Message', 'ppom-pro' ),
				'desc'  => __( 'Show tickets message after select the date.', 'ppom-pro' ),
			),
			'tooltip_ticket_msg'    => array(
				'type'    => 'checkbox',
				'title'   => __( 'Tooltip Ticket Message', 'ppom-pro' ),
				'desc'    => __( 'Show selected dates tickets message in tooltip.', 'ppom-pro' ),
				'default' => 'checked',
			),
			'required'              => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'hide_weekends'         => array(
				'type'  => 'checkbox',
				'title' => __( 'Disabled Weekends', 'ppom-pro' ),
				'desc'  => __( 'Disabled weekends from selected date range.', 'ppom-pro' ),
			),
			'logic'                 => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below.', 'ppom-pro' ),
			),
			'conditions'            => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
