"use strict"
jQuery(function($){

    /*-------------------------------------------------------
        
        ------ Its Include Following Function -----

        1- Add Date Range
        2- Remove Selected Date
        3- Convert Date In Single String Formate
        
    --------------------------------------------------------*/


    /**
        1- Add Date Range
    **/
    $(document).on('click', '.ppom-eventcalendar-addrange button', function(e){
		e.preventDefault();

		var wraper      = $(this).closest('.ppom-slider');
		var event_table = wraper.find('.ppom-eventcalendar-wrapper');
		var range_box   = event_table.find('.ppom-eventcalendar-ranger');
		var start_date  = range_box.find('.ppom-eventcalendar-startdate').val();
		var end_date    = range_box.find('.ppom-eventcalendar-enddate').val();
		var tickets     = range_box.find('.ppom-eventcalendar-ticket').val();

		var field_index = wraper.find('.ppom-fields-actions').attr('data-field-no');

		var dateFormat;
       	var dates = getDates(new Date(start_date), new Date(end_date));

       	$.each(dates, function (indexs, da) {

	        var tbody = event_table.find('table').find('tbody');

            var html = '';
            html += '<tr>';
            	html += '<td>'+da+'</td>' ;
            	html += '<td data-event="ticket">';
            		html += '<input type="number" class="form-control ppom-eventcalendar-field" min="0" name="ppom['+field_index+'][calendar]['+da+'][ticket]" placeholder="ticket" value="'+tickets+'" data-metatype="ticket" data-date="'+da+'">';
            	html += '</td>';
            	html += '<td>';
            		html += '<button class="btn ppom-eventcalendar-rm">Remove</button>';
            	html += '</td>';
            html += '</tr>';

            $(html).appendTo(tbody);
        });
	});


    /**
        2- Remove Selected Date
    **/
	$(document).on('click', '.ppom-eventcalendar-rm', function(e){
		e.preventDefault();

		$(this).closest('tr').remove();
	});


	/**
        3- Remove All Dates Range
    **/
	$(document).on('click', '.ppom-eventcalendar-rm-all', function(e){
		e.preventDefault();

		$(this).closest('table').find('tbody tr').remove();
	});


	/**
        2- Get Date Range Between Two Dates
    **/
	var getDates = function(startDate, endDate) {
	  	var dates = [],
      	currentDate = startDate,
      	addDays = function(days) {
        	var date = new Date(this.valueOf());
        	date.setDate(date.getDate() + days);
        	return date;
      	};
	  	while (currentDate <= endDate) {

	  		currentDate = convert_date_to_single_string(currentDate)
	    	dates.push(currentDate);
	    	currentDate = addDays.call(currentDate, 1);
	  	}
	  	return dates;
	};


	/**
        3- Convert Date In Single String Formate 
    **/
	function convert_date_to_single_string(str) {
	    var date = new Date(str),
	        mnth = ("0" + (date.getMonth()+1)).slice(-2),
	        day  = ("0" + date.getDate()).slice(-2);
	    return [ date.getFullYear(), mnth, day ].join("-");
	}


	/**
        4- Enabled/Disabled global/variation Price 
    **/
	$(document).on('click', '#ticket_variation_tab', function(){
		// console.log('sd')
		var wrapper = $(this).closest('.ppom-slider');
		var disabled_global_price = wrapper.find('[data-meta-id="disabled_global_price"] input[type="checkbox"]');

		if (!disabled_global_price.is(':checked')) {
			wrapper.find('[data-meta-id="options"] .form-group').css('display', 'none');
			wrapper.find('[data-meta-id="global_price"] .form-group').css('display', 'block');
		}else{
			wrapper.find('[data-meta-id="global_price"] .form-group').css('display', 'none');
			wrapper.find('[data-meta-id="options"] .form-group').css('display', 'block');
		}
	});

	$(document).on('click', '[data-meta-id="disabled_global_price"] input[type="checkbox"]', function(){
		
		var is_check = $(this).is(':checked');
		var wrapper = $(this).closest('.ppom-slider');

		if (is_check) {
			wrapper.find('[data-meta-id="global_price"] .form-group').css('display', 'none');	
			wrapper.find('[data-meta-id="options"] .form-group').css('display', 'block');	
		}else{
			wrapper.find('[data-meta-id="global_price"] .form-group').css('display', 'block');
			wrapper.find('[data-meta-id="options"] .form-group').css('display', 'none');
		}
	});


	// function getDates(startDate, stopDate) {

	//     var dateArray   = [];
	//     var currentDate = moment(startDate);
	//     var stopDate    = moment(stopDate);
	//     while (currentDate <= stopDate) {
	//         dateArray.push( moment(currentDate).format('MM-DD-YYYY') )
	//         currentDate = moment(currentDate).add(1, 'days');
	//     }
	//     return dateArray;
	// }

});