<?php
/**
 * Calendar Events Template
 **/

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Not Allowed' );
}

// ppom_pa($meta);
$data_name     = isset( $meta['data_name'] ) ? $meta['data_name'] : '';
$calendar_meta = isset( $meta['calendar'] ) ? $meta['calendar'] : '';

// Calendar Styles
$calendar_bgcolor  = isset( $meta['calendar_bgcolor'] ) ? $meta['calendar_bgcolor'] : '';
$calendarheader    = isset( $meta['calendar_header_color'] ) ? $meta['calendar_header_color'] : '';
$date_bgcolor      = isset( $meta['date_bgcolor'] ) ? $meta['date_bgcolor'] : '';
$visibledatecolor  = isset( $meta['selected_date_bgcolor'] ) ? $meta['selected_date_bgcolor'] : '#5FBA7D';
$qty_box_bgcolor   = isset( $meta['qty_box_bgcolor'] ) ? $meta['qty_box_bgcolor'] : '';
$qty_box_textcolor = isset( $meta['qty_box_textcolor'] ) ? $meta['qty_box_textcolor'] : '';
$qty_cross_icon    = isset( $meta['qty_cross_icon'] ) ? $meta['qty_cross_icon'] : '';

?>

<style type="text/css">
	#ppom-eventcalendar-section-<?php echo $data_name; ?> .ui-widget-header {
		background-color: <?php echo $calendarheader; ?> !important;
	}

	#ppom-eventcalendar-section-<?php echo $data_name; ?> .ui-widget-content {
		background-color: <?php echo $calendar_bgcolor; ?> !important;
	}

	#ppom-eventcalendar-section-<?php echo $data_name; ?> .eventcalendar-active-date a {
		background-color: <?php echo $visibledatecolor; ?> !important;
	}

	#ppom-eventcalendar-section-<?php echo $data_name; ?> .ui-state-disabled .ui-state-default {
		background-color: <?php echo $date_bgcolor; ?> !important;
	}

	#ppom-eventcalendar-section-<?php echo $data_name; ?> .ppom-eventcalendar-selecteddates-box,
	#ppom-eventcalendar-section-<?php echo $data_name; ?> .ppom-eventcalendar-variation-table table {
		background-color: <?php echo $qty_box_bgcolor; ?> !important;
		color: <?php echo $qty_box_textcolor; ?> !important;
	}

	#ppom-eventcalendar-section-<?php echo $data_name; ?> .ppom-eventcalendar-variation-table table tr label {
		color: <?php echo $qty_box_textcolor; ?> !important;
	}

	#ppom-eventcalendar-section-<?php echo $data_name; ?> .ppom-eventcalendar-rm-date {
		color: <?php echo $qty_cross_icon; ?> !important;
	}
</style>

<div class="ppom-eventcalendar-wrapper" id="ppom-eventcalendar-section-<?php echo esc_attr( $data_name ); ?>">

	<div id="ppom-datepicker-<?php echo esc_attr( $data_name ); ?>"></div>

	<div class="ppom-eventcalendar-append">
		<?php
		if ( $saved_meta ) {
			?>
			<table class="table table-bordered" style="margin-top: 7px;text-align: center;">
				<thead>
				<tr>
					<th><?php _e( 'Selected Date', 'ppom-pro' ); ?></th>
					<th><?php _e( 'Type', 'ppom-pro' ); ?></th>
					<th><?php _e( 'Tickets', 'ppom-pro' ); ?></th>
				</tr>
				</thead>
				<tbody>
				<?php
				foreach ( $saved_meta as $dates => $ticket_meta ) {

					$formatted_date = date( $date_format, strtotime( $dates ) );

					foreach ( $ticket_meta as $ticket_type => $qty ) {
						if ( ! empty( $qty ) ) {
							?>
							<tr>
								<td><?php echo $formatted_date; ?></td>
								<td><?php echo $ticket_type; ?></td>
								<td><?php echo $qty; ?></td>
							</tr>
							<?php
						}
					}
				}
				?>
				</tbody>
			</table>
			<?php
		}
		?>
	</div>
</div>
