<?php
/*
 * Followig class handling image cropping
*/

class NM_Fancycropper_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings;


	/*
	 * this var is pouplated with current plugin meta 
	 */
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Fancy Cropper', 'ppom-pro' );
		$this->desc     = __( 'Crop images', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-crop" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}


	// 'link' => __ ( '<a href="https://github.com/RobinHerbots/Inputmask" target="_blank">Options</a>', 'woocommerce-product-addon' ) 

	private function get_settings() {

		$croppie_options_link = 'https://najeebmedia.com/2017/12/24/crops-photos-woocommerce-ppom-using-croppie/';

		return array(
			'title'             => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will be shown as field label', 'ppom-pro' ),
			),
			'data_name'         => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'       => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Small description, it will be display near name title.', 'ppom-pro' ),
			),
			'error_message'     => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'width'             => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'uploadbtn_lable'   => array(
				'type'  => 'text',
				'title' => __( 'Upload Button Label', 'ppom-pro' ),
				'desc'  => __( 'Add upload button label e.g: Upload Images', 'ppom-pro' ),
			),
			'dragdrop_label'    => array(
				'type'  => 'text',
				'title' => __( 'Drag/Drop Label', 'ppom-pro' ),
				'desc'  => __( 'Add upload button below label e.g: Drag Or Drop Images', 'ppom-pro' ),
			),
			'viewtabe_label'    => array(
				'type'  => 'text',
				'title' => __( 'View Tab Label', 'ppom-pro' ),
				'desc'  => __( 'Change the View tab label on popup.', 'ppom-pro' ),
			),
			'croppedtabe_label' => array(
				'type'  => 'text',
				'title' => __( 'Cropped Tab Label', 'ppom-pro' ),
				'desc'  => __( 'Change the cropped tab label on popup.', 'ppom-pro' ),
			),
			'files_allowed'     => array(
				'type'    => 'text',
				'title'   => __( 'Files allowed', 'ppom-pro' ),
				'desc'    => __( 'Type number of files allowed per upload by user, e.g: 3', 'ppom-pro' ),
				'default' => 1,
			),
			'file_size'         => array(
				'type'    => 'text',
				'title'   => __( 'Image size', 'ppom-pro' ),
				'desc'    => __( 'Type size with units in kb|mb per file uploaded by user, e.g: 3|mb', 'ppom-pro' ),
				'default' => '1|mb',
			),
			'options'           => array(
				'type'  => 'paired-cropper',
				'title' => __( 'Viewport Size', 'ppom-pro' ),
				'desc'  => __( 'Add Options', 'ppom-pro' ),
			),
			'viewport_type'     => array(
				'type'    => 'select',
				'title'   => __( 'Viewport type', 'ppom-pro' ),
				'desc'    => __( 'Select Squar or circle, see help', 'ppom-pro' ),
				'options' => array(
					'square' => 'Squar',
					'circle' => 'Circle',
				),
			),
			'defaultViewport'   => array(
				'type'  => 'text',
				'title' => __( 'Viewport width,height', 'ppom-pro' ),
				'desc'  => __( 'Set default viewport separated by command w,h e.g: 200,200, see help', 'ppom-pro' ),
			),
			'boundary'          => array(
				'type'  => 'text',
				'title' => __( 'Boundary width,height', 'ppom-pro' ),
				'desc'  => __( 'Separated by command w,h e.g: 200,200, see help', 'ppom-pro' ),
			),
			'visibility'        => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role'   => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'      => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon', 'ppom-pro' ),
			),
			'enforce_boundary'  => array(
				'type'  => 'checkbox',
				'title' => __( 'Enforce Boundary', 'ppom-pro' ),
				'desc'  => __( 'Restricts zoom so image cannot be smaller than viewport.', 'ppom-pro' ),
			),
			'enableResize'      => array(
				'type'  => 'checkbox',
				'title' => __( 'Allow Resize', 'ppom-pro' ),
				'desc'  => __( 'Show cropping handler resize.', 'ppom-pro' ),
			),
			'enable_zoom'       => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Zoom', 'ppom-pro' ),
				'desc'  => __( 'Enable zooming functionality. If set to false - scrolling and pinching would not zoom.', 'ppom-pro' ),
			),
			'show_zoomer'       => array(
				'type'  => 'checkbox',
				'title' => __( 'Show Zoomer', 'ppom-pro' ),
				'desc'  => __( 'Hide or Show the zoom slider.', 'ppom-pro' ),
			),
			'enable_exif'       => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Exif', 'ppom-pro' ),
				'desc'  => __( 'Enable zooming functionality. If set to false - scrolling and pinching would not zoom.', 'ppom-pro' ),
			),
			'enable_quantity'   => array(
				'type'  => 'checkbox',
				'title' => __( 'Allow quantity', 'ppom-pro' ),
				'desc'  => __( 'Enable the quanity box to add numbers of cropped images', 'ppom-pro' ),
			),
			'image_rotation'    => array(
				'type'  => 'checkbox',
				'title' => __( 'Allow Image Rotate', 'ppom-pro' ),
				'desc'  => __( 'Enable the feature to rotate the image.', 'ppom-pro' ),
			),
			'required'          => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'logic'             => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'        => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
