<?php
/**
 * Wrapping PPOM Fields
 **/


$post_thumbnail_id = $product->get_image_id();
$html              = $post_thumbnail_id !== '' ? wc_get_gallery_image_html( $post_thumbnail_id, true ) : '';

$modal_id           = 'ppom-fieldspopup-' . $product->get_id();
$btn_textcolor      = ppom_get_option( 'ppom-fieldspopup-btn-textcolor', '#ffffff' );
$btn_bgcolor        = ppom_get_option( 'ppom-fieldspopup-btn-bgcolor', '#58a320' );
$is_cart_page_class = is_cart() ? 'btn btn-info btn-lg cart-field-popup' : 'btn btn-info btn-lg';
?>

<div class="ppom-fieldspopup-btn-wrap">
	<button class="<?php echo esc_attr( $is_cart_page_class ); ?>" data-model-id="<?php echo esc_attr( $modal_id ); ?>"
			style="background-color:<?php echo esc_attr( $btn_bgcolor ); ?>;color:<?php echo esc_attr( $btn_textcolor ); ?>;"><?php echo sprintf( __( '%s', 'ppom-pro' ), $button_label ); ?></button>
</div>

<div id="<?php echo esc_attr( $modal_id ); ?>" class="ppom-popup-wrapper ppom-popup-handle">
	<div class="ppom-popup-inner-section">
		<header class="ppom-popup-header">
			<h3><?php echo $modal_title; ?></h3>
		</header>
		<div class="ppom-popup-body">

			<div class="row">
				<div class="col-md-5"><?php echo $html; ?></div>
				<div class="col-md-7">

					<?php
					// All PPOM Fields
					echo $ppom_body;

					// Cart quantity
					woocommerce_quantity_input(
						array(
							'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
							'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
							'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( wp_unslash( $_POST['quantity'] ) ) : $product->get_min_purchase_quantity(),
						// WPCS: CSRF ok, input var ok.
						) 
					);
					?>

				</div>
			</div>

			<div class="ppom-addtocart-right" style="text-align: right;">
				<button type="submit" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>"
						class="single_add_to_cart_button button alt"
						style="float: none;"><?php echo esc_html( $product->single_add_to_cart_text() ); ?></button>
			</div>
		</div>
		<footer class="ppom-popup-footer">
			<a href="#" class="ppom-popup-button ppom-popup-close-js"><?php echo _e( 'Close', 'ppom-pro' ); ?></a>
		</footer>
	</div>
</div>
