<?php
/*
 * Followig class handling price matrix based on quantity provied in range
 * like 1-25
* dependencies. Do not make changes in code
* Create on: 10 February, 2017
*/

class NM_FixedPrice_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Fixed Price', 'ppom-pro' );
		$this->desc     = __( 'Fixed Price for Packages', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-money" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}

	function ppom_view_type() {
		return array(
			'radio'  => 'Radio',
			'select' => 'Select',
		);
	}


	private function get_settings() {

		$more_detail  = '';
		$more_detail .= '<a target="_blank" href="https://najeebmedia.com/woocommerce-package-price-ppom-addon/">';
		$more_detail .= 'More Detail</a>';

		return array(

			'title'         => array(
				'type'  => 'text',
				'title' => __( 'Titles', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2', 'ppom-pro' ),
			),
			'data_name'     => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'   => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Type description, it will be display under section heading.', 'ppom-pro' ),
			),
			'options'       => array(
				'type'         => 'paired',
				'title'        => __( 'Quantity', 'ppom-pro' ),
				'desc'         => __( 'Quantity and Fixed Price see more detail for help.', 'ppom-pro' ),
				'placeholders' => array( 'Quantity e.g 1000', 'Fixed Price' ),
				'link'         => __( $more_detail, 'ppom-pro' ),
			),
			'first_option'  => array(
				'type'  => 'text',
				'title' => __( 'First option work only for select type', 'ppom-pro' ),
				'desc'  => __( 'Just for info e.g: Select your option.', 'ppom-pro' ),
			),
			'unit_plural'   => array(
				'type'  => 'text',
				'title' => __( 'Unit plural', 'ppom-pro' ),
				'desc'  => __( 'Enter unit show with quantites like pieces', 'ppom-pro' ),
			),
			'unit_single'   => array(
				'type'  => 'text',
				'title' => __( 'Unit single', 'ppom-pro' ),
				'desc'  => __( 'Enter unit show with quantites like peice', 'ppom-pro' ),
			),
			'view_type'     => array(
				'type'    => 'select',
				'title'   => __( 'Select type', 'ppom-pro' ),
				'desc'    => __( 'Select type here', 'ppom-pro' ),
				'options' => $this->ppom_view_type(),
			),
			'decimal_place' => array(
				'type'  => 'text',
				'title' => __( 'Decimal Places', 'ppom-pro' ),
				'desc'  => __( 'For smaller price use larger decimal point for correct calculation', 'ppom-pro' ),
			),
			'class'         => array(
				'type'  => 'text',
				'title' => __( 'Class', 'ppom-pro' ),
				'desc'  => __( 'Insert an additional class(es) (separateb by comma) for more personalization.', 'ppom-pro' ),
			),
			'width'         => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'logic'         => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable conditional logic', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'    => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),

		);
	}
}


function ppom_addon_fixed_price( $args ) {

	$options = $args['options'];
	ppom_pa( $options );
}
