<?php
/*
 * Followig class handling price matrix based on quantity provied in range
 * like 1-25
* dependencies. Do not make changes in code
* Create on: 10 February, 2017
*/

class NM_Fonts_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Fonts Picker', 'ppom-pro' );
		$this->desc     = __( 'Google Font Picker', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-font" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}


	function hide_preview_options() {

		$option = array();
		$option = array(
			'none'         => __( 'None', 'ppom-pro' ),
			'above_font'   => __( 'Above Font', 'ppom-pro' ),
			'below_font'   => __( 'Below Font', 'ppom-pro' ),
			'by_data_name' => __( 'Specify Field Data Name', 'ppom-pro' ),
		);

		return apply_filters( 'ppom_fontpicker_hide_preview', $option );
	}


	private function get_settings() {

		return array(

			'title'                            => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2', 'ppom-pro' ),
			),
			'data_name'                        => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'                      => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Type description, it will be diplay under section heading.', 'ppom-pro' ),
			),
			'error_message'                    => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'options'                          => array(
				'type'  => 'fonts_paired',
				'title' => __( 'Add Font Families', 'ppom-pro' ),
				'desc'  => __( 'Add google font families or custom fonts.', 'ppom-pro' ),
				'link'  => '<a href="https://fonts.google.com/" target="_blank">' . esc_html__( 'Google Fonts List', 'ppom-pro' ) . '</a>',
			),
			'custom_fonts'                     => array(
				'type'    => 'textarea',
				'title'   => __( 'Custom Fonts', 'ppom-pro' ),
				'desc'    => __( 'You can add your custom Font CSS. We have added a sample custom Font CSS Shadow Hand. Once you added your custom Font, please add this font-family name into Font Families Tab.', 'ppom-pro' ),
				'default' => "@font-face {
	font-family: 'Shadow Hand';
	src: url('//2ttf.com/webfont/UIswCwhB/webfont.ttf') format('truetype');
}",
			),
			'first_option'                     => array(
				'type'  => 'text',
				'title' => __( 'First option', 'ppom-pro' ),
				'desc'  => __( 'Just for info e.g: Select your fonts.', 'ppom-pro' ),
			),
			'width'                            => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Type field width in % e.g: 50%', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'label_placeholder'                => array(
				'type'  => 'text',
				'title' => __( 'Textbox Placeholder', 'ppom-pro' ),
				'desc'  => __( 'Enter preview textbox placeholder.', 'ppom-pro' ),
			),
			'label_preview'                    => array(
				'type'  => 'text',
				'title' => __( 'Label', 'ppom-pro' ),
				'desc'  => __( 'The preview label for default preview area.', 'ppom-pro' ),
			),
			'maxlength'                        => array(
				'type'  => 'text',
				'title' => __( 'Max. Length', 'ppom-pro' ),
				'desc'  => __( 'Preview textbox Max. characters allowed, leave blank for default', 'ppom-pro' ),
			),
			'minlength'                        => array(
				'type'  => 'text',
				'title' => __( 'Min. Length', 'ppom-pro' ),
				'desc'  => __( 'Preview textbox Min. characters allowed, leave blank for default', 'ppom-pro' ),
			),
			'default_font'                     => array(
				'type'  => 'text',
				'title' => __( 'Default Font', 'ppom-pro' ),
				'desc'  => __( 'Add the font name by default selected.', 'ppom-pro' ),
			),
			'preview_box_textcolor'            => array(
				'type'  => 'text',
				'title' => __( 'Text Color', 'ppom-pro' ),
				'desc'  => __( 'Change preview box text color. Example: #352f2f', 'ppom-pro' ),
			),
			'preview_box_bgcolor'              => array(
				'type'  => 'text',
				'title' => __( 'BG Color', 'ppom-pro' ),
				'desc'  => __( 'Change preview box background color. Example: #cacaca', 'ppom-pro' ),
			),
			'preview_box_bgcolor_datasource'   => array(
				'type'  => 'text',
				'title' => __( 'BG Color Source', 'ppom-pro' ),
				'desc'  => __( 'The field data name that provides the background color', 'ppom-pro' ),
			),
			'preview_box_textcolor_datasource' => array(
				'type'  => 'text',
				'title' => __( 'Text Color Source', 'ppom-pro' ),
				'desc'  => __( 'The field data name that provides the text color', 'ppom-pro' ),
			),

			'required'                         => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'disable_defaultfonts'             => array(
				'type'  => 'checkbox',
				'title' => __( 'Disable Default GoogleFonts', 'ppom-pro' ),
				'desc'  => __( 'If you want to show custom fonts, please disable default Google Fonts.', 'ppom-pro' ),
			),
			'disable_fontselect'               => array(
				'type'  => 'checkbox',
				'title' => __( 'Disable Font Select', 'ppom-pro' ),
				'desc'  => __( 'Check this to only show a text preview in the default font', 'ppom-pro' ),
			),
			'preview_hide'                     => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Change the layout textbox with preview.', 'ppom-pro' ),
				'options' => $this->hide_preview_options(),
				'default' => 'below_font',
			),
			'preview_data_id'                  => array(
				'type'  => 'text',
				'title' => __( 'Preview Source Data Name', 'ppom-pro' ),
				'desc'  => __( 'The field data name that provides the preview text', 'ppom-pro' ),
			),
			'preview_class'                    => array(
				'type'  => 'text',
				'title' => __( 'Preview Class', 'ppom-pro' ),
				'desc'  => __( 'Add extra class to the preview element', 'ppom-pro' ),
			),
			'preview_addtocart'                => array(
				'type'  => 'checkbox',
				'title' => __( 'Disable Preview AddToCart', 'ppom-pro' ),
				'desc'  => __( 'Disable preview text add to cart.', 'ppom-pro' ),
			),
			'desc_tooltip'                     => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon', 'ppom-pro' ),
			),
			'logic'                            => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'                       => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),

		);
	}
}
