"use strict"
jQuery(function($){
    
    /*************************************
    *      PPOM Font Picker Addon JS     *
    **************************************/

    /*
    **============= Get PPOM inputs fields meta ================ 
    */
    var fields_meta = ppom_input_vars.field_meta;

    
    /*
    **============= Font Picker Init ================ 
    */
    setTimeout(function(){
        ppom_fontpicker_init(fields_meta);
    }, 1000);

	
    
});

function ppom_fontpicker_init(fields_meta){
    
    jQuery.each(fields_meta, function (index, value) {

        var fields_type = value.type;
        
        if ( fields_type == 'fonts' ) {

            var data_name            = value.data_name;
            var disable_defaultfonts = value.disable_defaultfonts;

            // localize fonts vars
            var settingObj   = window["ppom_fonts_"+data_name+"_vars"];
            var text_preview = settingObj.text_preview;
            var fonts_meta   = settingObj.fonts_meta;
            var first_option = settingObj.first_option;
            
            // Default Font Added
            var default_font = jQuery('#ppom-font-picker-'+data_name+'').val();
            var preview_source = value.preview_data_id;
            var preview_color = value.preview_box_textcolor_datasource;
            var preview_bgcolor = value.preview_box_bgcolor_datasource;
			
            jQuery('.ppom-input-'+data_name+'').find('p.ppom-font-info').css({'font-family': default_font, 'font-weight': 400});
            
            // Init fontselect lib
            jQuery('#ppom-font-picker-'+data_name+'').fontselect({
                fonts_meta: fonts_meta,
                placeholder: first_option,
                disable_defaultfonts: disable_defaultfonts
            }).change(function(){

                // replace + signs with spaces for css
                // var font = jQuery(this).val().replace(/\+/g, ' ');
                var font = jQuery(this).attr('data-fontfamily').replace(/\+/g, ' ');
                // split font into family and weight
                font = font.split(':');

                // set family on paragraphs
                jQuery(this).closest('div.form-group').find('p.ppom-font-info').css({'font-family': font[0], 'font-weight':font[1] || 400});
            });

			
			// Text preview control
			if(preview_source!=''){
				jQuery('#'+preview_source).keyup(function(e){
					var my_display = jQuery(this).closest('.ppom-wrapper').find('[data-data_name="'+data_name+'"] .ppom-font-info');
					my_display.html( jQuery(this).val() );
				});			
			} else {
				jQuery('#'+text_preview).keyup(function(e){
					var my_display = jQuery(this).closest('.ppom-wrapper').find('[data-data_name="'+data_name+'"] .ppom-font-info');
					my_display.html( jQuery(this).val() );
				});
			}
			
			// Text preview color control
			if(preview_color!=''){
				//console.log('color source: ' + preview_color);
				
				if(jQuery('.ppom-palettes-' + preview_color + ' input[type=radio]').is(':checked')){
					var editColor = jQuery('.ppom-palettes-' + preview_color + ' input[type=radio]:checked').val();
					jQuery('.ppom-font-info').css({'color':editColor});
				}
				
				jQuery('.ppom-palettes-' + preview_color + ' input[type=radio]').change(function(){
					var my_display = jQuery(this).closest('.ppom-wrapper').find('[data-data_name="'+data_name+'"] .ppom-font-info');
					my_display.css({'color':jQuery(this).val()});
				});				
			}
			
			// Preview background color control
			if(preview_bgcolor!=''){
				//console.log('color source: ' + preview_bgcolor);
				
				if(jQuery('.ppom-palettes-' + preview_bgcolor + ' input[type=radio]').is(':checked')){
					var editColor = jQuery('.ppom-palettes-' + preview_bgcolor + ' input[type=radio]:checked').val();
					jQuery('.ppom-font-info').css({'color':editColor});
				}
				
				jQuery('.ppom-palettes-' + preview_bgcolor + ' input[type=radio]').change(function(){
					var my_display = jQuery(this).closest('.ppom-wrapper').find('[data-data_name="'+data_name+'"] .ppom-font-info');
					my_display.css({'background-color':jQuery(this).val()});
				});				
			}			

        }
    });
}