"use strict"

jQuery(function($) {


    ppom_init_image_dropdown_addon();


    $(".dd-options > li > a").click(function() {
        var scrollPos = parseFloat($(this).parent().parent().parent().offset().top) - parseFloat($(window).outerHeight()) / 2;
        $('html,body').animate({ scrollTop: scrollPos }, 500);
    });

    $(document).on('click', '.ppom-delete-option-table', function(e) {

        var field_name = $(this).closest('tr').attr('data-data_name');
        var option_id = $(this).closest('tr').attr('data-option_id');

        var field_type = ppom_get_field_type_by_id(field_name);

        if (field_type !== 'imageselect') return false;

        $(`#ppom_imageselect_${field_name}`).ppom_ddslick('select', { index: 0 });
    });

});

/**************************************
 * getting all imageselect meta fields 
 ***************************************/
function ppom_init_image_dropdown_addon() {


    jQuery('.ppom-selectimage-meta').each(function(i, meta_field) {

        var selector = jQuery(meta_field).attr('data-id');
        var position = jQuery(meta_field).attr('data-position');
        var bg_color = jQuery(meta_field).attr('data-bg-color');
        var enable_gallery = jQuery(meta_field).attr('data-enable-gallery');
        var image_replace = jQuery(meta_field).attr('data-enable-rpimg');
        var imglinks = jQuery(meta_field).attr('data-img-links');
        var dd_height = jQuery(meta_field).attr('data-dd_height');
        imglinks = jQuery.parseJSON(imglinks);

        // getting all image url
        jQuery.each(imglinks, function(index, value) {

            if (enable_gallery == 'off') {
                var images_url = value.image_url;
                dropdown_images_hide(images_url);
            }
        });

        // ppom_ddslick plugin init
        jQuery("#" + selector + "").ppom_ddslick({
            truncateDescription: true,
            background: bg_color,
            imagePosition: position,
            height: dd_height,
            onSelected: function(selectedData) {

                //callback function: do something with selectedData;
                ppom_create_hidden_input(selectedData);
                ppom_update_option_prices();
                setTimeout(function() {
                    ppom_image_selection(selectedData, image_replace);
                }, 100);

                ppom_check_conditions();
                
                // New Conditions
                const data_name = jQuery(meta_field).closest('.ppom-field-wrapper').data('data_name');
                ppom_check_conditions(data_name, function(element_dataname, event_type) {
                    jQuery.event.trigger({
                        type: event_type,
                        field: element_dataname,
                        time: new Date()
                    });
                });

            }
        });
    });
}

/***********************************************************
 * ppom create hidden input for storing seleted images meta 
 ************************************************************/
function ppom_create_hidden_input(selectedData) {
    // console.log(selectedData);

    var dataname = selectedData.selectedData.dataname;
    var price = selectedData.selectedData.price;
    var value = selectedData.selectedData.value;
    var label = selectedData.selectedData.label;
    var text = selectedData.selectedData.text;

    var container = jQuery('.ppom-input-' + dataname);
    // GETTING X
    var the_id = 'ppom-imageselect' + dataname;
    // remove/reset
    jQuery("#" + the_id).remove();
    var _x = jQuery('<input/>')
        .attr({ 'type': 'radio', 'name': 'ppom[fields][' + dataname + ']' })
        .attr('id', the_id)
        .attr('data-price', price)
        .attr('data-label', label)
        .attr('data-title', text)
        .attr('data-data_name', dataname)
        .val(value)
        .prop('checked', true)
        .css('display', 'none')
        .addClass('ppom-input')
        .appendTo(container);
}


/***********************************************************
 * ppom selected images show in woo gallary 
 ************************************************************/
function ppom_image_selection(selectedData, img_replace) {

    var selected_img = selectedData.selectedData.imagesize;
    var gallery_wrapper = jQuery('.woocommerce-product-gallery');

    if (img_replace == 'on') {
        jQuery('.woocommerce-product-gallery--with-nav li img').each(function(i, meta_field) {
            var img_src = jQuery(this).attr('src');

            if (img_src == selected_img) {
                // console.log(img_src);
                jQuery(this).trigger('click');
            }
        });
    }
}


/***********************************************************
 * ppom dropdown images hide if user disable   
 ************************************************************/
function dropdown_images_hide(selected_img) {

    var gallery_wrapper = jQuery('.woocommerce-product-gallery');

    jQuery('.woocommerce-product-gallery--with-nav li img').each(function(i, meta_field) {
        var img_src = jQuery(meta_field).attr('src');
        if (img_src == selected_img) {
            // console.log(img_src);
            jQuery(meta_field).hide();
        }
    });
}
