<?php
/*
 * Followig class handling price matrix based on quantity provied in range
 * like 1-25
* dependencies. Do not make changes in code
* Create on: 10 February, 2017
*/

class NM_Imageselect_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Image DropDown', 'ppom-pro' );
		$this->settings = self::get_settings();
		$this->icon     = __( '<i class="fa fa-file-image-o" aria-hidden="true"></i>', 'ppom-pro' );

	}


	private function get_settings() {

		return array(

			'title'           => array(
				'type'  => 'text',
				'title' => __( 'Titles', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2.', 'ppom-pro' ),
			),
			'data_name'       => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'     => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Type description, it will be diplay under section heading.', 'ppom-pro' ),
			),
			'error_message'   => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'dropdown_height' => array(
				'type'  => 'text',
				'title' => __( 'DropDown Height ', 'ppom-pro' ),
				'desc'  => __( 'Set the Dropdown height e.g: 300px.', 'ppom-pro' ),
			),
			'image_width'     => array(
				'type'  => 'text',
				'title' => __( 'Images Width ', 'ppom-pro' ),
				'desc'  => __( 'Change the images width in px or %, e.g: 50% or 50px.', 'ppom-pro' ),
			),
			'image_height'    => array(
				'type'  => 'text',
				'title' => __( 'Images Height', 'ppom-pro' ),
				'desc'  => __( 'Change the images height in px, e.g: 50px.', 'ppom-pro' ),
			),
			'bg_color'        => array(
				'type'  => 'text',
				'title' => __( 'Background Color ', 'ppom-pro' ),
				'desc'  => __( 'Define color e.g: #effeff.', 'ppom-pro' ),
			),
			'position'        => array(
				'type'    => 'select',
				'title'   => __( 'Images Position', 'ppom-pro' ),
				'desc'    => __( 'Select images position left or right.', 'ppom-pro' ),
				'options' => array(
					'left'  => 'Left Side',
					'right' => 'Right Side',
				),
				'default' => 'left',
			),
			'width'           => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Type field width in % e.g: 50%.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'visibility'      => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role' => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'images'          => array(
				'type'  => 'imageselect',
				'title' => __( 'Select images', 'ppom-pro' ),
				'desc'  => __( 'Select images from media library.', 'ppom-pro' ),
			),
			'first_option'    => array(
				'type'  => 'text',
				'title' => __( 'First option', 'ppom-pro' ),
				'desc'  => __( 'Just for info e.g: Select your option.', 'ppom-pro' ),
			),
			'desc_tooltip'    => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon.', 'ppom-pro' ),
			),
			'required'        => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'enable_gallery'  => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Gallery', 'ppom-pro' ),
				'desc'  => __( 'All selected images show in gallery.', 'ppom-pro' ),
			),
			'image_replace'   => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Image Replace', 'ppom-pro' ),
				'desc'  => __( 'Selected image replace with main product image.', 'ppom-pro' ),
			),
			'logic'           => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below.', 'ppom-pro' ),
			),
			'conditions'      => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),

		);
	}
}
