<?php
/*
* Followig class handling images text
* dependencies. Do not make changes in code
* Create on: 10 February, 2017
*/

/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class NM_Quantityoption_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Quantity Option', 'ppom-pro' );
		$this->settings = self::get_settings();
		$this->icon     = __( '<i class="fa fa-money" aria-hidden="true"></i>', 'ppom-pro' );

	}


	private function get_settings() {

		return array(
			'title'           => array(
				'type'  => 'text',
				'title' => __( 'Titles', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2.', 'ppom-pro' ),
			),
			'data_name'       => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'placeholder'     => array(
				'type'  => 'text',
				'title' => __( 'Placeholder', 'ppom-pro' ),
				'desc'  => __( 'Optionally placeholder.', 'ppom-pro' ),
			),
			'description'     => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Type description, it will be display under section heading.', 'ppom-pro' ),
			),
			'error_message'   => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'min'             => array(
				'type'  => 'text',
				'title' => __( 'Min. values', 'ppom-pro' ),
				'desc'  => __( 'Min. values allowed, leave blank for default', 'ppom-pro' ),
			),
			'max'             => array(
				'type'  => 'text',
				'title' => __( 'Max. values', 'ppom-pro' ),
				'desc'  => __( 'Max. values allowed, leave blank for default', 'ppom-pro' ),
			),
			'step'            => array(
				'type'  => 'text',
				'title' => __( 'Steps', 'ppom-pro' ),
				'desc'  => __( 'specified valid number intervals', 'ppom-pro' ),
			),
			'unit_price'      => array(
				'type'  => 'text',
				'title' => __( 'Unit Price', 'ppom-pro' ),
				'desc'  => __( 'You can define per unit price, leave it blank if not sure.', 'ppom-pro' ),
			),

			'default_value'   => array(
				'type'  => 'text',
				'title' => __( 'Set default value', 'ppom-pro' ),
				'desc'  => __( 'Pre-defined value for text input', 'ppom-pro' ),
			),
			'class'           => array(
				'type'  => 'text',
				'title' => __( 'Class', 'ppom-pro' ),
				'desc'  => __( 'Insert an additional class(es) (separateb by comma) for more personalization.', 'ppom-pro' ),
			),
			'width'           => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'visibility'      => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role' => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'required'        => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'desc_tooltip'    => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon.', 'ppom-pro' ),
			),
			'onetime'         => array(
				'type'  => 'checkbox',
				'title' => __( 'Fixed Fee', 'ppom-pro' ),
				'desc'  => __( 'The result price will not be multiply with product quantity.', 'ppom-pro' ),
			),
			'logic'           => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below.', 'ppom-pro' ),
			),
			'conditions'      => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
