"use strict"
jQuery(function($){

    /*****************************
    *    PPOM Donation Addon JS   *
    ******************************/

    /*
    **============= Get PPOM inputs fields meta ================ 
    */
    var fields_meta = ppom_input_vars.field_meta;
    
    ppom_loop_the_quantityoption();
    
    
    $(document).on("keyup change", 'input.ppom-input-quantityoption', function(e){
                
        e.preventDefault();

        var field_val   = $(this).val();
        var field_title = $(this).attr('data-title');
        var field_price = $(this).attr('data-price');
        var data_name   = $(this).attr('data-data_name');
        var onetime     = $(this).attr('data-onetime');
        
        var apply = onetime == 'on' ? 'onetime' : 'variable';
        
        // console.log('onchagne', data_name);

        ppom_quantityoption_create_hidden_input(data_name, field_title, field_val, field_price, apply);
    });


    /*
    **============= Loop PPOM inputs fields meta ================ 
    */
    function ppom_loop_the_quantityoption() {
        
         $.each(fields_meta, function (index, value) {

            var fields_type = value.type;
            
            if ( fields_type == 'quantityoption' ) {
                
    
                var data_name   = value.data_name;
                var title       = value.title;
                var field_value= $("#"+data_name).val();
                var field_price =   value.unit_price || 1;
                var apply = value.onetime == 'on' ? 'onetime' : 'variable';
    
                if (field_value != '') {
                    ppom_quantityoption_create_hidden_input(data_name, title, field_value, field_price, apply);
                }
    
                
            }
        });
    }
   


    /*
    **============= Create hidden input for price ================ 
    */
    function ppom_quantityoption_create_hidden_input( data_name, title, field_val, field_price, apply) {

        const container = $(".ppom-input-"+data_name+"");
        const variable_price = Number(field_val) * Number(field_price);
        
        // create input id
        var the_id    = 'ppom-quantityoption-rm'+data_name;
        
        if(apply == 'onetime'){
            const p = jQuery(`#${data_name}`).attr('data-price_formatted');
            title = `${title} ${field_val} x ${p}`;
        }
        
        
        
        // remove/reset
        $("#"+the_id).remove();
        
        var _x = $('<input/>')
                .attr({'type':'checkbox','name':'ppom[fields]['+data_name+']'})
                .attr('id', the_id)
                .attr('data-apply', apply)
                .attr('data-price', variable_price )
                .attr('data-label', '')
                .attr('data-title', title)
                .attr('data-data_name', data_name)
                .val(field_val)
                .prop('checked', true)
                .css('display','none')
                .appendTo(container);

                ppom_update_option_prices();
    }

});