<?php
/**
 * Print PDF Product Meta Template
 **/


/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
$wc_order = wc_get_order( $order_id );

$ppom_admin_url = admin_url( 'admin-post.php' );
$ppom_pdf_url   = add_query_arg(
	array(
		'action'   => 'ppom_pdf_meta',
		'order_id' => $order_id,
	),
	$ppom_admin_url 
);

$html_header = ppom_get_option( 'ppom-pdf-header-html' );
$html_footer = ppom_get_option( 'ppom-pdf-footer-html' );

?>
<div class="ppom-pdf-box-wrapper">

	<?php
	if ( $html_header != '' ) {
		?>
		<div class="ppom-pdf-header-section"><?php echo $html_header; ?></div>
		<?php
	}
	foreach ( $wc_order->get_items() as $order_item ) {

		$item_meta = $order_item->get_meta( '_ppom_fields' );

		// This is required in ppom_make_meta_data function
		if ( ! isset( $item_meta['fields']['id'] ) ) {
			continue;
		}

		$item_price = $order_item->get_total();
		$item_price = ppom_price( $item_price );

		// adding 'ppom' and 'data' to use ppom_make_meta_data function
		$ppom_meta['data'] = wc_get_product( $order_item->get_product_id() );
		$ppom_meta['ppom'] = $item_meta;
		$ppom_meta         = ppom_make_meta_data( $ppom_meta );

		?>

		<div class="ppom-pdf-inner-box">
			<h3 class="ppom-pdf-item-title"><?php echo $order_item->get_name(); ?>
				<span class="ppom-pdf-display-price">(<?php echo $item_price; ?>)</span>
			</h3>
			<?php if ( empty( $ppom_meta ) ) { ?>
				<h4 class="ppom-pdf-not-item"><?php _e( 'Meta Not Available', 'ppom-pro' ); ?></h4>
			<?php } ?>
			<table class="ppom-pdf-table table-hover">
				<?php if ( ! empty( $ppom_meta ) ) { ?>
					<thead class="thead-light">
					<tr>
						<th><?php _e( 'Meta Title', 'ppom-pro' ); ?></th>
						<th><?php _e( 'Meta Value', 'ppom-pro' ); ?></th>
					</tr>
					</thead>
				<?php } ?>
				<tbody class="ppom-pdf-table-tbody">
				<?php
				if ( ! empty( $ppom_meta ) ) {
					foreach ( $ppom_meta as $key => $meta_value ) {

						$fields_name = isset( $meta_value['name'] ) ? $meta_value['name'] : '';

						if ( isset( $meta_value['display'] ) && $meta_value['display'] != '' ) {
							$fields_value = $meta_value['display'];
						} elseif ( isset( $meta_value['value'] ) && $meta_value['value'] != '' ) {
							$fields_value = $meta_value['value'];
						}

						$price = isset( $meta_value['price'] ) ? $meta_value['price'] : '';

						?>
						<tr class="ppom-pdf-table-tbody-tr">
							<td class="ppom-pdf-table-tbody-td"><?php echo $fields_name; ?></td>
							<td class="ppom-pdf-table-tbody-td"><?php echo $fields_value; ?></td>
						</tr>
						<?php
					}
				}
				?>
				</tbody>
			</table>
		</div>

		<?php
		if ( $html_footer != '' ) {
			?>
			<div class="ppom-pdf-footer-section"><?php echo $html_footer; ?></div>
			<?php
		}
	}
	if ( $section == 'ppom_simple_view' ) {
		?>

		<div class="ppom-pdf-print-btn" title="<?php _e( 'Export PDF', 'ppom-pro' ); ?>">
			<a href="<?php echo esc_url( $ppom_pdf_url ); ?>" class="button button-primary ppom-pdf-print-js"
			   target="_blank"><?php _e( 'Export PDF', 'ppom-pro' ); ?></a>
		</div>

	<?php } ?>

</div>
