<?php
/*
 * Followig class handling Phone input control and their
* dependencies. Do not make changes in code
* Create on: 9 November, 2013
*/

class NM_phone_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Phone Input', 'ppom-pro' );
		$this->desc     = __( 'International phone input', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-check" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}

	private function get_settings() {

		return array(
			'title'           => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will be shown as field label', 'ppom-pro' ),
			),
			'data_name'       => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'     => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Small description, it will be display near name title.', 'ppom-pro' ),
			),
			'placeholder'     => array(
				'type'  => 'text',
				'title' => __( 'Placeholder', 'ppom-pro' ),
				'desc'  => __( 'Optionally placeholder.', 'ppom-pro' ),
			),
			'error_message'   => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'class'           => array(
				'type'        => 'text',
				'title'       => __( 'Class', 'ppom-pro' ),
				'desc'        => __( 'Insert an additional class(es) (separateb by comma) for more personalization.', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'width'           => array(
				'type'        => 'select',
				'title'       => __( 'Width', 'ppom-pro' ),
				'desc'        => __( 'Select width column', 'ppom-pro' ),
				'options'     => ppom_get_input_cols(),
				'default'     => 12,
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'default_country' => array(
				'type'        => 'text',
				'title'       => __( 'Default Country', 'ppom-pro' ),
				'desc'        => __( "Set default country code e.g 'uk'", 'ppom-pro' ),
				'options'     => ppom_get_input_cols(),
				'default'     => '',
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			/*
			'preferred' => array (
					'type' => 'text',
					'title' => __ ( 'Preferred countries', 'ppom-phone' ),
					'desc' => __ ( "Country codes to be at the top e.g 'uk','es'", "ppom-phone"),
					'options'	=> ppom_get_input_cols(),
					'default'	=> '',
					'col_classes' => array('col-md-3','col-sm-12')
			),
			'exclude' => array (
					'type' => 'text',
					'title' => __ ( 'Exclude countries', 'ppom-phone' ),
					'desc' => __ ( "Country codes to be at the top e.g 'uk','es'", "ppom-phone"),
					'options'	=> ppom_get_input_cols(),
					'default'	=> '',
					'col_classes' => array('col-md-3','col-sm-12')
			),*/
			'enable_search'   => array(
				'type'        => 'checkbox',
				'title'       => __( 'Enable Search', 'ppom-pro' ),
				'desc'        => __( 'Search country option', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'enable_material' => array(
				'type'        => 'checkbox',
				'title'       => __( 'Enable Material', 'ppom-pro' ),
				'desc'        => __( 'Show Material Design', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'visibility'      => array(
				'type'        => 'select',
				'title'       => __( 'Visibility', 'ppom-pro' ),
				'desc'        => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options'     => ppom_field_visibility_options(),
				'default'     => 'everyone',
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'visibility_role' => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'    => array(
				'type'        => 'checkbox',
				'title'       => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'        => __( 'Show Description in Tooltip with Help Icon', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'required'        => array(
				'type'        => 'checkbox',
				'title'       => __( 'Required', 'ppom-pro' ),
				'desc'        => __( 'Select this if it must be required.', 'ppom-pro' ),
				'col_classes' => array( 'col-md-3', 'col-sm-12' ),
			),
			'logic'           => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'      => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
