<?php
/*
* Followig class handling Quantities Pack
*/


/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


class NM_QTYPACK_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Quantities Pack', 'ppom-pro' );
		$this->settings = self::get_settings();
		$this->icon     = __( '<i class="fa fa-list-alt" aria-hidden="true"></i>', 'ppom-pro' );

	}

	private function get_settings() {

		return array(
			'title'            => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2.', 'ppom-pro' ),
			),
			'data_name'        => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'      => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Type description, it will be display under section heading.', 'ppom-pro' ),
			),
			'width'            => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'default_price'    => array(
				'type'  => 'text',
				'title' => __( 'Default Price', 'ppom-pro' ),
				'desc'  => __( 'Default option price, if no prices is given in Options', 'ppom-pro' ),
			),
			'pack_size'        => array(
				'type'  => 'text',
				'title' => __( 'Pack Size', 'ppom-pro' ),
				'desc'  => __( 'Enter maximum pack size.', 'ppom-pro' ),
			),
			'packsize_message' => array(
				'type'    => 'text',
				'title'   => __( 'Pack Size Message', 'ppom-pro' ),
				'desc'    => __( 'Show pack size message eg, Maximum Pack Quantities %PACKSIZE%', 'ppom-pro' ),
				'default' => 'Maximum Pack Quantities %PACKSIZE%',
			),
			'options'          => array(
				'type'  => 'paired-quantity',
				'title' => __( 'Add options', 'ppom-pro' ),
				'desc'  => __( 'Type option with price (optionally)', 'ppom-pro' ),
			),
			'visibility'       => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role'  => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'     => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon.', 'ppom-pro' ),
			),
			'logic'            => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below.', 'ppom-pro' ),
			),
			'conditions'       => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
