<?php
/**
 * Variation Quantity Matrix Prices Horizontally
 **/

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Not Allowed' );
}

global $product;
$options = isset( $meta['options'] ) ? $meta['options'] : array();

$include_productprice = '';
if ( ppom_is_field_has_price( $meta ) ) {
	$include_productprice = 'on';
}

// If price matrix attached then disable default_price
$default_price = ! empty( $meta['default_price'] ) ? $meta['default_price'] : 0;

$pricematrix_field = ppom_has_field_by_type( ppom_get_product_id( $product ), 'pricematrix' );
if ( $pricematrix_field ) {
	$default_price = 0;
}
?>

<div class="ppom-qtypack-wrapper">
	<table class="table table-bordered table-hover" data-fieldID="<?php echo esc_attr( $data_name ); ?>">
		<thead>
		<tr>
			<th><?php _e( 'Options', 'ppom-pro' ); ?></th>
			<th><?php _e( 'Quantity', 'ppom-pro' ); ?></th>
		</tr>
		</thead>
		<?php
		foreach ( $options as $opt ) {
			$the_price  = isset( $opt['price'] ) && $opt['price'] != '' ? $opt['price'] : $default_price;
			$the_option = isset( $opt['option'] ) ? trim( $opt['option'] ) : '';
			$option_id  = isset( $opt['id'] ) ? trim( $opt['id'] ) : '';
			$min        = ( isset( $opt['min'] ) && $opt['min'] != '' ? $opt['min'] : 0 );
			$max        = ( isset( $opt['max'] ) ? $opt['max'] : 10000 );
			?>
			<tr>
				<th>
					<label class="quantities-lable"> <?php echo esc_html( sprintf( __( '%s', 'ppom-pro' ), $the_option ) ); ?></label>
					<?php if ( $the_price ) { ?>
						<span class="ppom-quantity-price-wrap"><?php echo wc_price( $the_price ); ?></span>
					<?php } ?>
				</th>
				<td>
					<?php
					$usebaseprice = isset( $opt['price'] ) ? 'no' : 'yes';

					$opt_key = htmlentities( $the_option );
					$name    = "ppom[fields][{$data_name}][{$opt_key}]";

					$dom_id = apply_filters( 'ppom_dom_option_id', $option_id, $meta );

					// Default value
					$selected_val = isset( $_POST['ppom']['fields'][ $data_name ][ $opt_key ] ) ? $_POST['ppom']['fields'][ $data_name ][ $opt_key ] : 0;
					?>
					<input
							type="number"
							name="<?php echo esc_attr( $name ); ?>"
							data-label="<?php echo esc_attr( $the_option ); ?>"
							class="ppom-quantity-pack-input"
							id="<?php echo esc_attr( $dom_id ); ?>"
							data-data_name="<?php echo esc_attr( $data_name ); ?>"
							data-optionid="<?php echo esc_attr( $option_id ); ?>"
							data-usebase_price="<?php echo esc_attr( $usebaseprice ); ?>"
							data-includeprice="<?php echo esc_attr( $include_productprice ); ?>"
							data-price="<?php echo esc_attr( $the_price ); ?>"
							value="<?php echo esc_attr( $selected_val ); ?>"
							placeholder="0"
							min="<?php echo esc_attr( $min ); ?>"
							max="<?php echo esc_attr( $max ); ?>"
							style="width: 72px;"
					>
				</td>
			</tr>
		<?php } ?>
	</table>
</div>
