<?php
/*
 * Followig class handling select input control and their
* dependencies. Do not make changes in code
* Create on: 9 November, 2013
*/

class NM_Superlist_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Super List', 'ppom-pro' );
		$this->desc     = __( 'regular select input', 'ppom-pro' );
		$this->icon     = __( '<i class="fa fa-check" aria-hidden="true"></i>', 'ppom-pro' );
		$this->settings = self::get_settings();

	}

	function ppom_superlist_options() {

		$superlist_options = array(
			'countries'       => __( 'Countries', 'ppom-pro' ),
			'currency'        => __( 'Currency', 'ppom-pro' ),
			'currency_symbol' => __( 'Currency Symbol', 'ppom-pro' ),
			'color'           => __( 'Colors', 'ppom-pro' ),
			'languages'       => __( 'Languages', 'ppom-pro' ),
			'domainname'      => __( 'Top Level Domains', 'ppom-pro' ),
			'monthsname'      => __( 'Months Names', 'ppom-pro' ),
			'starname'        => __( 'Stars Names', 'ppom-pro' ),
		);

		return apply_filters( 'ppom_superlist_options', $superlist_options );
	}

	private function get_settings() {

		return array(
			'title'           => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will be shown as field label', 'ppom-pro' ),
			),
			'data_name'       => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'     => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Small description, it will be display near name title.', 'ppom-pro' ),
			),
			'option_exclude'  => array(
				'type'  => 'textarea',
				'title' => __( 'Exclude Options', 'ppom-pro' ),
				'desc'  => __( 'Insert options code each code per Line e.g: AZ, AED, AFN, bs', 'ppom-pro' ),
			),
			'error_message'   => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'listoptions'     => array(
				'type'    => 'select',
				'title'   => __( 'Select Superlist', 'ppom-pro' ),
				'desc'    => __( 'Set superlist.', 'ppom-pro' ),
				'options' => $this->ppom_superlist_options(),
				'default' => 'everyone',
			),
			'selected'        => array(
				'type'  => 'text',
				'title' => __( 'Selected option', 'ppom-pro' ),
				'desc'  => __( 'Type option name if you want already selected.', 'ppom-pro' ),
			),
			'width'           => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'visibility'      => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role' => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'    => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon', 'ppom-pro' ),
			),
			'required'        => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'logic'           => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'      => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}

}
