<?php
/*
* SVG Addon Settings
*/

/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class NM_SVG_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'SVG Image', 'ppom-pro' );
		$this->settings = self::get_settings();
		$this->icon     = __( '<i class="fa fa-money" aria-hidden="true"></i>', 'ppom-pro' );

	}

	function view_option() {

		$option = array();

		$option = array(
			'default'          => __( 'Default', 'ppom-pro' ),
			'preview_in_popup' => __( 'Preview In Popup', 'ppom-pro' ),
			// 'ajax_fields'       => __('Ajax Field Popup','ppom-addon-svg'),
		);

		return apply_filters( 'ppom_svg_preview_style', $option );
	}

	private function get_settings() {

		return array(
			'data_name'             => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'preview_btn_title'     => array(
				'type'  => 'text',
				'title' => __( 'Preview Button Title', 'ppom-pro' ),
				'desc'  => __( 'Enter preview button title', 'ppom-pro' ),
			),
			'preview_btn_textcolor' => array(
				'type'  => 'text',
				'title' => __( 'Primary Button Color', 'ppom-pro' ),
				'desc'  => __( 'Change the preview button text color.', 'ppom-pro' ),
			),
			'preview_btn_bgcolor'   => array(
				'type'  => 'text',
				'title' => __( 'Primary Button BG Color', 'ppom-pro' ),
				'desc'  => __( 'Change the preview button background color.', 'ppom-pro' ),
			),
			'download_btnclr'       => array(
				'type'  => 'text',
				'title' => __( 'Download Button Color', 'ppom-pro' ),
				'desc'  => __( 'Change the download button color.', 'ppom-pro' ),
			),
			'download_iconclr'      => array(
				'type'  => 'text',
				'title' => __( 'Download Button Icon Color', 'ppom-pro' ),
				'desc'  => __( 'Change the download button icon color.', 'ppom-pro' ),
			),
			'svg_uploader'          => array(
				'type'  => 'svg-paired',
				'title' => __( 'SVG Template', 'ppom-pro' ),
				'desc'  => __( 'Upload SVG template.', 'ppom-pro' ),
			),
			'svg_view'              => array(
				'type'    => 'select',
				'title'   => __( 'Preview Style', 'ppom-pro' ),
				'desc'    => __( 'Change the view of SVG preview.', 'ppom-pro' ),
				'options' => $this->view_option(),
				'default' => 'below_font',
			),
			'svg_download'          => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable SVG Download', 'ppom-pro' ),
				'desc'  => __( 'Allow user to download the SVG output into image.', 'ppom-pro' ),
			),
		);
	}
}
