"use strict"
jQuery(function($) {

    if (ppom_svg_vars.svg_view == 'ajax_fields') {
        $('form.cart').find('div.quantity').hide();
        $('form.cart').find('[name="add-to-cart"]').hide();
    }

    /*****************************
     *        PPOM SVG JS         *
     *****************************/

    const ppom_SVG = {

        ppom_inputs: ppom_input_vars.field_meta,
        text_val: {},
        svgFont: [],
        templateName: ppom_svg_vars.template,
        svgAttachmentID: ppom_svg_vars.svg_attachment_id,
        svg_url: ppom_svg_vars.svg_url,
        svgEndPoint: ppom_svg_vars.svg_endpoint,
        svg_instance: {},

        /*
         **============= SVG INIT ================ 
         */
        init: function() {
            this.eventsHandler();
        },

        /*
         **============= SVG Events Handler  ================ 
         */
        eventsHandler: function() {

            /*========== Save All Images Event ===========*/
            $(document).on('click', '.ppom-svg-preview-js', function(e) {
                e.preventDefault();

                $('.ppom-svg-init').html('');

                const modal = $('[data-remodal-id="ppom_svg_preview"]').remodal();

                ppom_SVG.ppom_inputs.map((meta, index) => {

                    const data_name = meta.data_name;
                    const field_type = meta.type;

                    switch (field_type) {
                        case 'text':
                            const val = $('#' + data_name).val();

                            ppom_SVG.text_val[data_name] = val;

                            break;
                        case 'fonts':
                            const fontName = $('#ppom-font-picker-' + data_name + '').attr('data-fontfamily');
                            if (fontName != '' && fontName != undefined) {

                                let font = fontName.replace(/\+/g, ' ');
                                font = font.split(':');
                                ppom_SVG.svgFont = font;
                            }
                            break;
                    }
                });

                Pablo('.ppom-svg-init').load(ppom_SVG.svg_url, function(svg_init) {


                    $.each(ppom_SVG.text_val, function(dataname, val) {
                        if (val != '') {
                            var name = svg_init.find('.' + dataname).content(val);
                        }
                    });

                    const image_format = svg_init.toImage();
                    $('.ppom-svg-init').html(image_format);

                    svg_init.dataUrl('svg', function(dataUrl) {

                        if (dataUrl) {
                            $('.ppom-svg-download').show();
                            $('.ppom-svg-addtocart').show();
                            ppom_SVG.svg_instance.svg = svg_init;
                            const filename = 'svg-' + Date.now() + '.svg';
                            var svg = atob(dataUrl.replace(/data:image\/svg\+xml;base64,/, ''));

                            $('.ppom-svg-template-save').val(dataUrl);
                            $('.ppom-svg-filename').val(filename);
                        }
                    });

                    if (modal != undefined) {
                        modal.open();
                    }
                });
            });


            $(document).on('click', '.ppom-svg-download', function(e) {
                e.preventDefault();

                ppom_SVG.svg_instance.svg.download('png', 'SVG Design.png', function(result) {
                    if (result.error) {
                        alert('sorry! there is issue while downloading the svg design.');
                    }
                });

            });

            $(document).on('click', '.ppom-ipopup-open', function(e) {
                e.preventDefault();

                var $this = $(this);

                var product_id = $(this).attr('data-product_id');
                var data = {
                    action: 'ppom_svg_load_inputs_ajax_base',
                    product_id: product_id
                }

                $.post(ppom_svg_vars.ajax_url, data, function(resp) {

                    $('.ppom-ipopup-body .row').html(resp.ppom_html);

                    $('.ppom-ipopup-wrapper').show();

                    $('form.cart').find('.quantity').hide();
                    $('form.cart').find('[name="add-to-cart"]').hide();
                    $this.hide();
                }, 'json');

            });

            $(document).on('click', '.ppom-ipopup-close', function(e) {
                e.preventDefault();

                $('.ppom-ipopup-wrapper').hide();
                $('form.cart').find('.quantity').show();
                $('form.cart').find('[name="add-to-cart"]').show();
                $('form.cart').find('.ppom-ipopup-open').show();

            });
        },
    }

    ppom_SVG.init();

});
