<?php
/**
 * Switcher Input Template
 *
 * This template can be overridden by copying it to yourtheme/ppom/frontend/switcher/switcher.php
 *
 * @version 1.0
 **/

/* 
**========== Block direct access =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

// TODO: re-check again
global $product;

$fm = new PPOM_InputManager( $field_meta, 'switcher' );

$featured = $fm->get_meta_value( 'featured' );

$options = ppom_convert_options_to_key_val( $fm->options(), $field_meta, $product );

$product_type = $product->get_type();
// ppom_pa($options);
?>

<div class="<?php echo esc_attr( $fm->field_inner_wrapper_classes() ); ?>">
	<!-- If title of field exist -->
	<?php if ( $fm->field_label() ) : ?>
		<label class="<?php echo esc_attr( $fm->label_classes() ); ?>"
			   for="<?php echo esc_attr( $fm->data_name() ); ?>"><?php echo sprintf( __( '%s', 'ppom-pro' ), $fm->field_label() ); ?></label>
	<?php endif ?>

	<div class="ppom-switcher-wrapper">
		<div class="ppom-switcher-option-group">
			<?php
			$counter = 0;
			foreach ( $options as $key => $value ) {

				$option_label = $value['label'];
				$option_price = $value['price'];
				$raw_label    = $value['raw'];
				$without_tax  = $value['without_tax'];
				$option_id    = $value['option_id'];
				$image_id     = $value['image_id'];
				$dom_id       = apply_filters( 'ppom_dom_option_id', $option_id, $field_meta );
				$opt_percent  = isset( $value['percent'] ) ? $value['percent'] : '';

				$img_src = '';
				if ( $image_id ) {
					$img_src = wp_get_attachment_image_src( $image_id, 'full' );
					$img_src = $img_src[0];
				}

				$ppom_has_percent = $opt_percent !== '' ? 'ppom-option-has-percent' : '';
				$option_class     = array(
					"ppom-option-{$option_id}",
					"ppom-{$product_type}-option",
					$ppom_has_percent,
				);

				$option_class = apply_filters( 'ppom_option_classes', implode( ' ', $option_class ), $field_meta );
				$input_class  = $fm->input_classes() . ' ' . $option_class;

				$checked_option = '';
				if ( ! empty( $default_value ) ) {

					$default_value  = stripcslashes( $default_value );
					$checked_option = checked( $default_value, $key, false );
				}

				?>
				<div class="ppom-radio-group">

					<label class="<?php echo esc_attr( $fm->radio_label_classes() ); ?> ppom-label-indicator"
						   for="<?php echo esc_attr( $dom_id ); ?>"><?php echo $option_label; ?>
						<input
								type="radio"
								id="<?php echo esc_attr( $dom_id ); ?>"
								name="<?php echo esc_attr( $fm->form_name() ); ?>"
								class="<?php echo esc_attr( $input_class ); ?> ppom-indicator"
								value="<?php echo esc_attr( $key ); ?>"
								data-price="<?php echo esc_attr( $option_price ); ?>"
								data-percent="<?php echo esc_attr( $opt_percent ); ?>"
								data-optionid="<?php echo esc_attr( $option_id ); ?>"
								data-label="<?php echo esc_attr( $raw_label ); ?>"
								data-title="<?php echo esc_attr( $fm->title() ); ?>"
								data-without_tax="<?php echo esc_attr( $without_tax ); ?>"
								data-data_name="<?php echo esc_attr( $fm->data_name() ); ?>"
								data-image="<?php echo esc_url( $img_src ); ?>"
								<?php echo $checked_option; ?>
								data-css-transform="<?php echo $counter; ?>"

						>
					</label>
				</div>

				<?php
				$counter += 100;
			}
			?>
			<div class="ppom-option-marker"></div>
		</div>
	</div>
</div>
