<?php
/*
* Followig class handling images text
* dependencies. Do not make changes in code
* Create on: 10 February, 2017
*/

/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class NM_Textcounter_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Text Counter', 'ppom-pro' );
		$this->settings = self::get_settings();
		$this->icon     = __( '<i class="fa fa-comments-o" aria-hidden="true"></i>', 'ppom-pro' );

	}

	function countdown_option() {

		$options = array(
			'word'      => __( 'Word', 'ppom-pro' ),
			'character' => __( 'Character', 'ppom-pro' ),
		);

		return apply_filters( 'ppom_textcounter_options', $options );
	}


	private function get_settings() {

		return array(
			'title'            => array(
				'type'  => 'text',
				'title' => __( 'Titles', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2.', 'ppom-pro' ),
			),
			'data_name'        => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'      => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Type description, it will be display under section heading.', 'ppom-pro' ),
			),
			'error_message'    => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __( 'Insert the error message for validation.', 'ppom-pro' ),
			),
			'count_type'       => array(
				'type'    => 'select',
				'title'   => __( 'Count Type', 'ppom-pro' ),
				'desc'    => __( 'Select text count type.', 'ppom-pro' ),
				'options' => $this->countdown_option(),
			),
			'textarea_row'     => array(
				'type'  => 'number',
				'title' => __( 'Textarea Row', 'ppom-pro' ),
				'desc'  => __( 'Control height of textarea e.g: 3', 'ppom-pro' ),
			),
			'maxlength'        => array(
				'type'  => 'text',
				'title' => __( 'Max. Character/Word', 'ppom-pro' ),
				'desc'  => __( 'Add Max. character or word limit', 'ppom-pro' ),
			),
			'count_price'      => array(
				'type'  => 'text',
				'title' => __( 'Character/Word Price', 'ppom-pro' ),
				'desc'  => __( 'Add per character/word price', 'ppom-pro' ),
			),
			'counter_color'    => array(
				'type'  => 'text',
				'title' => __( 'Counter text Color', 'ppom-pro' ),
				'desc'  => __( 'Add counter box text color', 'ppom-pro' ),
			),
			'counter_bg_color' => array(
				'type'  => 'text',
				'title' => __( 'Counter Background Color', 'ppom-pro' ),
				'desc'  => __( 'Add counter box background color', 'ppom-pro' ),
			),
			'width'            => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'visibility'       => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role'  => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'     => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon.', 'ppom-pro' ),
			),
			'required'         => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'enable_textinput' => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Text Input', 'ppom-pro' ),
				'desc'  => __( 'Show text input instead textarea.', 'ppom-pro' ),
			),
			'enabled_space'    => array(
				'type'  => 'checkbox',
				'title' => __( 'Include Space', 'ppom-pro' ),
				'desc'  => __( 'Space count only character type.', 'ppom-pro' ),
			),
			'logic'            => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below.', 'ppom-pro' ),
			),
			'conditions'       => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
