<?php
/*
* Followig class handling UploadCare
* dependencies. Do not make changes in code
* Create on: February 20, 2021
* Created by: N-Media
*/

/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

class NM_uploadcare_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();
		$this->title       = __( 'UploadCare', 'ppom-pro' );
		$this->settings    = self::get_settings();
		$this->icon        = __( '<i class="fa fa-file" aria-hidden="true"></i>', 'ppom-pro' );

	}

	function ppom_uploadcare_locale() {

		return array(
			'ar'   => 'Arabic',
			'az'   => 'Azeri',
			'ca'   => 'Catalan',
			'cs'   => 'Czech',
			'da'   => 'Danish',
			'de'   => 'German',
			'el'   => 'Greek',
			'en'   => 'English',
			'es'   => 'Spanish',
			'et'   => 'Estonian',
			'fr'   => 'French',
			'he'   => 'Hebrew',
			'it'   => 'Italian',
			'ja'   => 'Japanese',
			'ko'   => 'Korean',
			'lv'   => 'Latvian',
			'nb'   => 'Norwegian',
			'nl'   => 'Dutch',
			'pl'   => 'Polish',
			'pt'   => 'Portuguese',
			'ro'   => 'Romanian',
			'ru'   => 'Russian',
			'sk'   => 'Slovak',
			'sr'   => 'Serbian',
			'sv'   => 'Swedish',
			'tr'   => 'Turkish',
			'uk'   => 'Ukrainian',
			'vi'   => 'Vietnamese',
			'zh'   => 'Chinese',
			'zhTW' => 'Chinese(T)',
		);

	}

	private function get_settings() {

		$effects_url       = 'https://uploadcare.com/docs/uploads/image-editor/#effects-stringarray';
		$sources_url       = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-tabs';
		$publicKey_url     = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-public-key';
		$multiple_url      = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-multiple';
		$multiple_max_url  = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-multiple-max';
		$multiple_min_url  = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-multiple-min';
		$preview_step_url  = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-preview-step';
		$crop_url          = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-crop';
		$image_shrink_url  = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-image-shrink';
		$clearable_url     = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-clearable';
		$multipart_min_url = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-multipart-min-size';
		$loacale_url       = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-locale';
		$validators_url    = 'https://uploadcare.com/docs/uploads/file-uploader-options/#option-validators';

		return array(
			'title'                  => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will be shown as field label', 'ppom-pro' ),
			),
			'data_name'              => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __(
					'REQUIRED: The identification name of this field, that you can insert
									 into body email configuration. Note:Use only lowercase characters and
									 underscores.',
					'ppom-pro' 
				),
			),
			'description'            => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __(
					'Small description, it will be display near name title.',
					'ppom-pro' 
				),
			),
			'placeholder'            => array(
				'type'  => 'text',
				'title' => __( 'Placeholder', 'ppom-pro' ),
				'desc'  => __( 'Optional.', 'ppom-pro' ),
			),
			'error_message'          => array(
				'type'  => 'text',
				'title' => __( 'Error message', 'ppom-pro' ),
				'desc'  => __(
					'Insert the error message for validation.',
					'ppom-pro' 
				),
			),
			'class'                  => array(
				'type'  => 'text',
				'title' => __( 'Class', 'ppom-pro' ),
				'desc'  => __(
					'Insert an additional class(es) (separateb by comma) for more
									 personalization.',
					'ppom-pro' 
				),
			),
			'width'                  => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'uploadcare_settings'    => array(
				'type'  => 'uploadcare_settings',
				'title' => __( 'UploadCare Settings', 'ppom-pro' ),
				'desc'  => __(
					'The Uploadcare experience is centered around the concept of a 
									  project. Projects are separate environments that can hold 
									  different sets of files and settings. For instance, you could use
									  one project to receive user-generated content, another for
									  implementing advanced security features, and a third one to serve 
									  your frontend assets.',
					'ppom-pro' 
				),
			),
			'uploadcare_effects'     => array(
				'type'  => 'uploadcare_effects',
				'title' => __( 'Effects. <a href="' . esc_url( $effects_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __(
					'effects can either be a string holding one or more
					 				  comma-separated effects or an array of strings, JS only. You 
					 				  can also enable all effects by setting the option to all.',
					'ppom-pro' 
				),
			),
			'crop_effect'            => array(
				'type'  => 'checkbox',
				'title' => __( 'Crop', 'ppom-pro' ),
				'desc'  => __(
					'Defines the file uploader manual crop behavior. When 
									 uploading images,your users can select a crop area.',
					'ppom-pro' 
				),
			),
			'sharp_effect'           => array(
				'type'  => 'checkbox',
				'title' => __( 'Sharp', 'ppom-pro' ),
				'desc'  => __(
					'effects can either be a string holding one or more
					 				 comma-separated effects or an array of strings, JS only. You 
					 				 can also enable all effects by setting the option to all.',
					'ppom-pro' 
				),
			),
			'grayscale_effect'       => array(
				'type'  => 'checkbox',
				'title' => __( 'Greyscale', 'ppom-pro' ),
				'desc'  => __(
					'effects can either be a string holding one or more comma-separated effects or an array of strings, JS only. You 
									 can also enable all effects by setting the option to all.',
					'ppom-pro' 
				),
			),
			'blur_effect'            => array(
				'type'  => 'checkbox',
				'title' => __( 'Blur', 'ppom-pro' ),
				'desc'  => __(
					'effects can either be a string holding one or more comma-separated effects or an array of strings, JS only. You 
					 				 can also enable all effects by setting the option to all.',
					'ppom-pro' 
				),
			),
			'rotate_effect'          => array(
				'type'  => 'checkbox',
				'title' => __( 'Rotate', 'ppom-pro' ),
				'desc'  => __(
					'effects can either be a string holding one or more comma-separated effects or an array of strings, JS only. You
					 				 can also enable all effects by setting the option to all.',
					'ppom-pro' 
				),
			),
			'enhance_effect'         => array(
				'type'  => 'checkbox',
				'title' => __( 'Enhance', 'ppom-pro' ),
				'desc'  => __(
					'effects can either be a string holding one or more comma-separated effects or an array of strings, JS only. You 
									 can also enable all effects by setting the option to all.',
					'ppom-pro' 
				),
			),
			'mirror_effect'          => array(
				'type'  => 'checkbox',
				'title' => __( 'Mirror', 'ppom-pro' ),
				'desc'  => __(
					'effects can either be a string holding one or more comma-separated effects or an array of strings, JS only. You
									 can also enable all effects by setting the option to all.',
					'ppom-pro' 
				),
			),
			'flip_effect'            => array(
				'type'  => 'checkbox',
				'title' => __( 'Flip', 'ppom-pro' ),
				'desc'  => __(
					'effects can either be a string holding one or more comma-separated effects or an array of strings, JS only. You 
									 can also enable all effects by setting the option to all.',
					'ppom-pro' 
				),
			),
			'invert_effect'          => array(
				'type'  => 'checkbox',
				'title' => __( 'Invert', 'ppom-pro' ),
				'desc'  => __(
					'effects can either be a string holding one or more comma-separated effects or an array of strings, JS only. You 
									 can also enable all effects by setting the option to all.',
					'ppom-pro' 
				),
			),
			'upload_sources'         => array(
				'type'  => 'upload_sources',
				'title' => __( 'Upload Sources. <a href="' . esc_url( $sources_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'file'                   => array(
				'type'  => 'checkbox',
				'title' => __( 'File', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'url'                    => array(
				'type'  => 'checkbox',
				'title' => __( 'Url', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'facebook'               => array(
				'type'  => 'checkbox',
				'title' => __( 'Facebook', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source.', 'ppom-pro' ),
			),
			'gdrive'                 => array(
				'type'  => 'checkbox',
				'title' => __( 'Google Drive', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'gphotos'                => array(
				'type'  => 'checkbox',
				'title' => __( 'Google Photos', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'dropbox'                => array(
				'type'  => 'checkbox',
				'title' => __( 'Dropbox', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source.', 'ppom-pro' ),
			),
			'evernote'               => array(
				'type'  => 'checkbox',
				'title' => __( 'Evernote', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'flickr'                 => array(
				'type'  => 'checkbox',
				'title' => __( 'Flickr', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'onedrive'               => array(
				'type'  => 'checkbox',
				'title' => __( 'One Drive', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'instagram'              => array(
				'type'  => 'checkbox',
				'title' => __( 'Instagram', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'visibility'             => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'public_key'             => array(
				'type'  => 'text',
				'title' => __( 'Public key. <a href="' . esc_url( $publicKey_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __(
					'E.g: BJHjkd8753489ojfbk. Sets your Uploadcare public key.',
					'ppom-pro' 
				),
			),
			'uploadcare_locale'      => array(
				'type'    => 'select',
				'title'   => __( 'Uploadcare Locale. <a href="' . esc_url( $loacale_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'    => __( 'E.g: en :-en means (english) .Uploadcare File Uploader supports locales.', 'ppom-pro' ),
				'options' => $this->ppom_uploadcare_locale(),
				'default' => 'en',
			),
			'multiple_max'           => array(
				'type'  => 'number',
				'title' => __( 'Multiple max. <a href="' . esc_url( $multiple_max_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __(
					'E.g: 4 .Sets the maximum number of files that can be selected for a
									 single upload. Defaults to 0 which stands for no limit',
					'ppom-pro' 
				),
			),
			'multiple_min'           => array(
				'type'  => 'number',
				'title' => __( 'Multiple min. <a href="' . esc_url( $multiple_min_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __(
					'E.g: 2 .Sets the minimal number of files that can be selected for a single upload.The default value is 1. Note, there is no 
									 point in setting this option to 0 since there should be at least one file in a file group.',
					'ppom-pro' 
				),
			),
			'crop_ratio'             => array(
				'type'  => 'text',
				'title' => __( 'Crop. <a href="' . esc_url( $crop_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __(
					'E.g: 2:3 .Defines the file uploader manual crop behavior. When uploading 
					 				 images,your users can select a crop area',
					'ppom-pro' 
				),
			),
			'image_shrink'           => array(
				'type'  => 'text',
				'title' => __( 'Image shrink. <a href="' . esc_url( $image_shrink_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __(
					'E.g: 200x200. Saves traffic and storage space by resizing images on a client before uploading. See the detailed option 
									 description for details. Using the client-side resize does not force the images only option.',
					'ppom-pro' 
				),
			),
			'multipart_minimum_size' => array(
				'type'  => 'number',
				'title' => __( 'Multipart Minimum Size. <a href="' . esc_url( $multipart_min_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __(
					'E.g: 10485760 .This option sets the file size threshold for  multipart uploading. The value ranges from 10485760 (10 MB),
									 which is default, up to 104857600(100 MB).',
					'ppom-pro' 
				),
			),
			'uploadcare_validators'  => array(
				'type'  => 'uploadcare_validators',
				'title' => __( 'Validators. <a href="' . esc_url( $validators_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __( 'Uploadcare file source', 'ppom-pro' ),
			),
			'image_max_width'        => array(
				'type'  => 'number',
				'title' => __( 'Image Max Width', 'ppom-pro' ),
				'desc'  => __( 'E.g: 1000 .maximum width of image/images', 'ppom-pro' ),
			),
			'image_max_height'       => array(
				'type'  => 'number',
				'title' => __( 'Image Max Height', 'ppom-pro' ),
				'desc'  => __( 'E.g: 660 .maximum height of image/images', 'ppom-pro' ),
			),
			'visibility_role'        => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'multiple'               => array(
				'type'  => 'checkbox',
				'title' => __( 'Data multiple. <a href="' . esc_url( $multiple_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __( 'If true, the file uploader allows selecting and uploading multiple files. false by default.', 'ppom-pro' ),
			),
			'preview_step'           => array(
				'type'  => 'checkbox',
				'title' => __( 'Preview step. <a href="' . esc_url( $preview_step_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __(
					'If true, the preview step is present after selecting files. Otherwise, the file uploader dialog closes when the 
									 selection is complete. false by default.',
					'ppom-pro' 
				),
			),
			'enable_cart_img'        => array(
				'type'  => 'checkbox',
				'title' => __( 'Thumb Image', 'ppom-pro' ),
				'desc'  => __( 'Enable image in cart instead of link.', 'ppom-pro' ),
			),
			'required'               => array(
				'type'  => 'checkbox',
				'title' => __( 'Required', 'ppom-pro' ),
				'desc'  => __( 'Select this if it must be required.', 'ppom-pro' ),
			),
			'clearable'              => array(
				'type'  => 'checkbox',
				'title' => __( 'Clearable. <a href="' . esc_url( $clearable_url ) . '" target="_blank">More info </a>', 'ppom-pro' ),
				'desc'  => __(
					'Allows users to remove uploaded files from the file uploader. Note, those files are 
									 not deleted from your Uploadcare account.',
					'ppom-pro' 
				),
			),
			'logic'                  => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
			'conditions'             => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
