<?php
/**
 * PPOM Uploadcare Addon Template
 **/
if ( ! defined( 'ABSPATH' ) ) {
	die( 'Not Allowed' );
}


$public_key = isset( $meta['public_key'] ) ? $meta['public_key'] : '';

$dataname = isset( $meta['id'] ) ? $meta['id'] : '';

$default_effects = $stdClass->get_effects();
$effects         = '';
foreach ( $default_effects as $key => $value ) {
	$effect_key = "{$value}_effect";
	if ( isset( $meta[ $effect_key ] ) && $meta[ $effect_key ] == 'on' ) {
		$effects .= ",{$value}";
	}
}
$effects = ltrim( $effects, ',' );

$default_sources  = $stdClass->get_sources();
$selected_sources = array_filter(
	$default_sources,
	function ( $source ) use ( $meta ) {
		return isset( $meta[ $source ] );
	} 
);
$selected_sources = implode( ' ', $selected_sources );

$multiple_files = '';
if ( isset( $meta['multiple'] ) && $meta['multiple'] == 'on' ) {
	$multiple_files = true;
	$multiple_max   = isset( $meta['multiple_max'] ) ? $meta['multiple_max'] : '';
	$multiple_min   = isset( $meta['multiple_min'] ) ? $meta['multiple_min'] : '';
}

$preview_step = '';
if ( isset( $meta['preview_step'] ) && $meta['preview_step'] == 'on' ) {
	$preview_step = true;
}

$clearable = '';
if ( isset( $meta['clearable'] ) && $meta['clearable'] == 'on' ) {
	$clearable = true;
}

$image_shrink = isset( $meta['image_shrink'] ) ? $meta['image_shrink'] : '';

$crop_ratio = isset( $meta['crop_ratio'] ) ? $meta['crop_ratio'] : '';

$uploadcare_locale = isset( $meta['uploadcare_locale'] ) ? $meta['uploadcare_locale'] : '';

$multipart_minimum_size = isset( $meta['multipart_minimum_size'] ) ? $meta['multipart_minimum_size'] : '';

$image_max_width  = isset( $meta['image_max_width'] ) ? $meta['image_max_width'] : '';
$image_max_height = isset( $meta['image_max_height'] ) ? $meta['image_max_height'] : '';

?>
<div class="ppom-uploadcare-wrapper">
	<div id="ppom-uc-main" class="ppom-file-container text-center">
		<input
				type="hidden"
				role="uploadcare-uploader"
				data-images-only
				<?php if ( $public_key !== '' ) { ?>
					data-public-key="<?php echo esc_attr( $public_key ); ?>"
				<?php } ?>
				<?php if ( $effects !== '' ) { ?>
					data-effects="<?php echo esc_attr( $effects ); ?>"
				<?php } ?>
				<?php if ( $selected_sources !== '' ) { ?>
					data-tabs="<?php echo esc_attr( $selected_sources ); ?>"
				<?php } ?>
				<?php if ( $multiple_files !== '' ) { ?>
					data-multiple="<?php echo esc_attr( $multiple_files ); ?>"
				<?php } ?>
				<?php if ( $multiple_max !== '' ) { ?>
					data-multiple-max="<?php echo esc_attr( $multiple_max ); ?>"
				<?php } ?>
				<?php if ( $multiple_min !== '' ) { ?>
					data-multiple-min="<?php echo esc_attr( $multiple_min ); ?>"
				<?php } ?>
				<?php if ( $preview_step !== '' ) { ?>
					data-preview-step="<?php echo esc_attr( $preview_step ); ?>"
				<?php } ?>
				<?php if ( $image_shrink !== '' ) { ?>
					data-image-shrink="<?php echo esc_attr( $image_shrink ); ?>"
				<?php } ?>
				<?php if ( $crop_ratio !== '' ) { ?>
					data-crop="<?php echo esc_attr( $crop_ratio ); ?>"
				<?php } ?>
				<?php if ( $clearable !== '' ) { ?>
					data-clearable="<?php echo esc_attr( $clearable ); ?>"
				<?php } ?>
				<?php if ( $multipart_minimum_size !== '' ) { ?>
					data-multipart-min-size="<?php echo esc_attr( $multipart_minimum_size ); ?>"
				<?php } ?>
				<?php if ( $image_max_width !== '' ) { ?>
					data-max-width="<?php echo esc_attr( $image_max_width ); ?>"
				<?php } ?>
				<?php if ( $image_max_height !== '' ) { ?>
					data-max-height="<?php echo esc_attr( $image_max_height ); ?>"
				<?php } ?>
		/>
		<input type="hidden" class="ppom_uploadcare_resp" name="ppom[fields][<?php echo esc_attr( $dataname ); ?>]"/>

	</div>
	<div class="ppom-uploadcare-resp-thumb"></div>
</div>
