<?php
/*
* Followig class handling variation matrix
*/


/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


class NM_VQMatrix_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'Variation Matrix', 'ppom-pro' );
		$this->settings = self::get_settings();
		$this->icon     = __( '<i class="fa fa-list-alt" aria-hidden="true"></i>', 'ppom-pro' );

	}

	private function get_settings() {

		return array(
			'title'            => array(
				'type'  => 'text',
				'title' => __( 'Title', 'ppom-pro' ),
				'desc'  => __( 'It will as section heading wrapped in h2.', 'ppom-pro' ),
			),
			'data_name'        => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'description'      => array(
				'type'  => 'textarea',
				'title' => __( 'Description', 'ppom-pro' ),
				'desc'  => __( 'Type description, it will be display under section heading.', 'ppom-pro' ),
			),
			'width'            => array(
				'type'    => 'select',
				'title'   => __( 'Width', 'ppom-pro' ),
				'desc'    => __( 'Select width column.', 'ppom-pro' ),
				'options' => ppom_get_input_cols(),
				'default' => 12,
			),
			'vqmatrix_label'   => array(
				'type'  => 'text',
				'title' => __( 'Label', 'ppom-pro' ),
				'desc'  => __( 'Just show for informations.', 'ppom-pro' ),
			),
			'default_price'    => array(
				'type'  => 'text',
				'title' => __( 'Default Price', 'ppom-pro' ),
				'desc'  => __( 'Default option price, if no prices is given in Options', 'ppom-pro' ),
			),
			'min_qty'          => array(
				'type'  => 'text',
				'title' => __( 'Min Quantity', 'ppom-pro' ),
				'desc'  => __( 'Enter min quantity allowed.', 'ppom-pro' ),
			),
			'max_qty'          => array(
				'type'  => 'text',
				'title' => __( 'Max Quantity', 'ppom-pro' ),
				'desc'  => __( 'Enter max quantity allowed.', 'ppom-pro' ),
			),
			'price_view'       => array(
				'type'  => 'checkbox',
				'title' => __( 'Horizontal', 'ppom-pro' ),
				'desc'  => __( 'These options have prices and by default will show Vertically. If you want to show prices Horizontally enable this option, Simple Options will be displayed as Vertically then.', 'ppom-pro' ),
			),
			'options'          => array(
				'type'  => 'vqmatrix-colunm',
				'title' => __( 'Add Options', 'ppom-pro' ),
				'desc'  => __( 'Add different variation options', 'ppom-pro' ),
			),
			'row_options'      => array(
				'type'  => 'vqmatrix-row',
				'title' => __( 'Add Options', 'ppom-pro' ),
				'desc'  => __( 'Add different variation options', 'ppom-pro' ),
			),
			'visibility'       => array(
				'type'    => 'select',
				'title'   => __( 'Visibility', 'ppom-pro' ),
				'desc'    => __( 'Set field visibility based on user.', 'ppom-pro' ),
				'options' => ppom_field_visibility_options(),
				'default' => 'everyone',
			),
			'visibility_role'  => array(
				'type'   => 'text',
				'title'  => __( 'User Roles', 'ppom-pro' ),
				'desc'   => __( 'Role separated by comma.', 'ppom-pro' ),
				'hidden' => true,
			),
			'desc_tooltip'     => array(
				'type'  => 'checkbox',
				'title' => __( 'Show tooltip (PRO)', 'ppom-pro' ),
				'desc'  => __( 'Show Description in Tooltip with Help Icon.', 'ppom-pro' ),
			),
			'enable_plusminus' => array(
				'type'  => 'checkbox',
				'title' => __( 'Enhance -/+ controls', 'ppom-pro' ),
				'desc'  => __( 'Add the -/+ buttons', 'ppom-pro' ),
			),
			'logic'            => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below.', 'ppom-pro' ),
			),
			'conditions'       => array(
				'type'  => 'html-conditions',
				'title' => __( 'Conditions', 'ppom-pro' ),
				'desc'  => __( 'Tick it to turn conditional logic to work below', 'ppom-pro' ),
			),
		);
	}
}
