<?php
/**
 * Variation Quantity Matrix Prices Vertically
 **/

if ( ! defined( 'ABSPATH' ) ) {
	die( 'Not Allowed' );
}

global $product;
$priced_options = isset( $meta['options'] ) ? $meta['options'] : null;
$simple_options = isset( $meta['row_options'] ) ? $meta['row_options'] : array();
$opt_label      = ! empty( $meta['vqmatrix_label'] ) ? $meta['vqmatrix_label'] : '';

// ppom_pa($simple_options);

$include_productprice = '';
if ( ppom_is_field_has_price( $meta ) ) {
	$include_productprice = 'on';
}

// If price matrix attached then disable default_price
$default_price = ! empty( $meta['default_price'] ) ? $meta['default_price'] : 0;

$pricematrix_field = ppom_has_field_by_type( ppom_get_product_id( $product ), 'pricematrix' );
if ( $pricematrix_field ) {
	$default_price = 0;
}

$min_qty = isset( $meta['min_qty'] ) ? $meta['min_qty'] : array();
$max_qty = isset( $meta['max_qty'] ) ? $meta['max_qty'] : array();

?>
<div class="ppom-vqmatrix-wrapper table-responsive">
	<table class="table table-bordered table-hover">
		<thead>
		<tr>
			<th><?php echo stripslashes( trim( $opt_label ) ); ?></th>

			<?php
			foreach ( $simple_options as $s_index => $s_val ) {
				$simple_opt_name = isset( $s_val['option'] ) ? $s_val['option'] : '';
				$img_id          = ! empty( $s_val['img_id'] ) ? $s_val['img_id'] : null;

				$img_url = $this->get_attachment_image( $img_id );
				?>
				<th>
					<label class="ppom-vqmatrix-label"><?php echo $simple_opt_name; ?></label>

					<?php if ( $img_url ) : ?>
						<span class="ppom-vqmatrix-attach-img" style="display: block;">
							<img src="<?php echo esc_url( $img_url ); ?>" width="50">
						</span>
					<?php endif ?>
				</th>
				<?php
			}
			?>
		</tr>
		</thead>

		<?php
		foreach ( $priced_options as $p_index => $p_val ) {
			$priced_opt_name = ! empty( $p_val['option'] ) ? stripslashes( trim( $p_val['option'] ) ) : '';
			$priced_opt_id   = ! empty( $p_val['option_id'] ) ? stripslashes( trim( $p_val['option_id'] ) ) : '';
			$img_id          = ! empty( $p_val['img_id'] ) ? $p_val['img_id'] : null;
			$img_url         = $this->get_attachment_image( $img_id );
			?>
			<tr>
				<th>
					<label class="ppom-vqmatrix-label"><?php echo $priced_opt_name; ?></label>

					<?php if ( $p_val['price'] ) : ?>
						<span><?php echo wc_price( $p_val['price'] ); ?></span>
					<?php endif ?>

					<?php if ( $img_url ) : ?>
						<span class="ppom-vqmatrix-attach-img" style="display: block;">
							<img src="<?php echo esc_url( $img_url ); ?>" width="50">
						</span>
					<?php endif ?>
				</th>

				<?php
				foreach ( $simple_options as $s_index => $s_val ) {
					$simple_opt_name = isset( $s_val['option'] ) ? $s_val['option'] : '';
					$simple_opt_id   = ! empty( $s_val['option_id'] ) ? stripslashes( trim( $s_val['option_id'] ) ) : '';
					?>
					<td>
						<?php

						$name_k = ucfirst( $priced_opt_id ) . '-' . ucfirst( $simple_opt_id );

						$min = ( isset( $p_val['min'] ) ? $p_val['min'] : 0 );
						$max = ( isset( $p_val['max'] ) ? $p_val['max'] : 10000 );

						$the_price    = isset( $p_val['price'] ) && $p_val['price'] != '' ? $p_val['price'] : $default_price;
						$usebaseprice = ! empty( $p_val['price'] ) ? 'no' : 'yes';

						// Price need to filter for currency switcher here not in wc_price
						$the_price = apply_filters( 'ppom_option_price', $the_price );

						$name = "ppom[fields][{$data_name}][{$name_k}]";

						// Default value
						$selected_val = isset( $_POST['ppom']['fields'][ $data_name ][ $name_k ] ) ? $_POST['ppom']['fields'][ $data_name ][ $name_k ] : 0;

						?>

						<input
								type="number"
								name="<?php echo esc_attr( $name ); ?>"
								data-label="<?php echo esc_attr( $name_k ); ?>"
								class="ppom-quantity"
								data-usebase_price="<?php echo esc_attr( $usebaseprice ); ?>"
								data-includeprice="<?php echo esc_attr( $include_productprice ); ?>"
								data-price="<?php echo esc_attr( $the_price ); ?>"
								value="<?php echo esc_attr( $selected_val ); ?>"
								placeholder="0"
								min="<?php echo esc_attr( $min ); ?>"
								max="<?php echo esc_attr( $max ); ?>"
								data-min="<?php echo esc_attr( $min_qty ); ?>"
								data-max="<?php echo esc_attr( $max_qty ); ?>"
						>
					</td>
					<?php
				}
				?>
			</tr>
			<?php
		}
		?>
	</table>
</div>
