<?php
/*
* Followig class handling variation matrix
*/


/* 
**========== Direct access not allowed =========== 
*/
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}


class NM_WCVQ_wooproduct extends PPOM_Inputs {

	/*
	 * input control settings
	 */
	var $title, $desc, $settings, $currency, $format;

	/*
	 * this var is pouplated with current plugin meta
	*/
	var $plugin_meta;

	function __construct() {

		$this->plugin_meta = ppom_get_plugin_meta();

		$this->title    = __( 'WC VQ', 'ppom-pro' );
		$this->settings = self::get_settings();
		$this->icon     = __( '<i class="fa fa-list-alt" aria-hidden="true"></i>', 'ppom-pro' );

	}

	private function get_settings() {

		return array(

			'data_name'        => array(
				'type'  => 'text',
				'title' => __( 'Data name', 'ppom-pro' ),
				'desc'  => __( 'REQUIRED: The identification name of this field, that you can insert into body email configuration. Note:Use only lowercase characters and underscores.', 'ppom-pro' ),
			),
			'default_value'    => array(
				'type'  => 'number',
				'title' => __( 'Default Quantity', 'ppom-pro' ),
				'desc'  => __( 'Set default quantity for each variation.', 'ppom-pro' ),
			),
			'min_value'        => array(
				'type'  => 'number',
				'title' => __( 'Min. Quantity', 'ppom-pro' ),
				'desc'  => __( 'Set minimum quantity for each variation.', 'ppom-pro' ),
			),
			'max_value'        => array(
				'type'  => 'number',
				'title' => __( 'Max Quantity', 'ppom-pro' ),
				'desc'  => __( 'Set maximum quantity for each variation.', 'ppom-pro' ),
			),
			'enable_plusminus' => array(
				'type'  => 'checkbox',
				'title' => __( 'Enhance -/+ controls', 'ppom-pro' ),
				'desc'  => __( 'Add the -/+ buttons', 'ppom-pro' ),
			),
			'enable_wcvq'      => array(
				'type'  => 'checkbox',
				'title' => __( 'Enable PPOM Variations', 'ppom-pro' ),
				'desc'  => __( 'Change WC Variation Into PPOM Quantity', 'ppom-pro' ),
			),
			'enable_img'       => array(
				'type'  => 'checkbox',
				'title' => __( 'Show Variations Images', 'ppom-pro' ),
				'desc'  => __( 'Show WC Variations Images', 'ppom-pro' ),
			),
		);
	}
}
